        ChangeLog for Bacula Enterprise version 15.0.2

22Mar24
 - Revert "Fix #9882 About tapealert script issue on rhel8"

19Mar24
 - cloud: Fix 10788 s3 driver clean uses alist instead of ilist

18Mar24
 - cloud: generic driver clean uses alist instead of ilist
 - ilist: remove append function since it's not used, but in generic driver and 
  it's buggy

15Mar24
 - could: Fix 10788 cloud volume deletion crash

14Mar24
 - Only normal backup jobs can become "Incomplete", MAC must return errors
 - Add a new command code to bsock for dedup2 protocol

05Mar24
 - k8s: Add backup_mode parameter, add resiliance when snapshot backup is not 
  compatible and clone backup fails and minor fixes

04Mar24
 - win32: update openssl 1.1.1w

03Mar24
 - baculum: Update oauth2 scope list
 - baculum: Add application version endpoint

29Feb24
 - baculum: Fix config does not exist error in resource list endpoint

27Feb24
 - baculum: Fix level property in show job endpoint if level is not provided in 
  config
 - baculum: Make sources order by jobstatus consistent in asc/desc sorting

26Feb24
 - baculum: Add to filesets endpoint parameter to list unique filesets without 
  versions

23Feb24
 - baculum: Fix regular expression in list client files/dirs endpoint

22Feb24
 - Cleaner shell code in install-key-manager.sh.in
 - baculum: Fix displaying items in list client files/dirs endpoint

21Feb24
 - Fix compilation
 - baculum: Add overview parameter to client resources endpoint

19Feb24
 - Fix org#2706 Volume encryption force RSA:2048 instead of gpg default

16Feb24
 - Fix #10752 storage option on the restore command line not working
 - Fix org#2707 Check the NODUMP flag only on files and directories

15Feb24
 - Report immutable/readonly error messages to the job log
 - Disable SyncOnClose on Fifo device using /dev/null

14Feb24
 - add bVarEstimate to let the FD knows this is an estimate and not a real 
  backup
 - Enable Device/SyncOnClose by default

13Feb24
 - rpms: update cloud plugin

03Feb24
 - k8s:Add check snapshot api-resource available

01Feb24
 - Use llu for st_dev in snapshot code

31Jan24
 - Fix when 'volumesnapshotclasses' resource is not available in cluster

29Jan24
 - k8s: Fix 0010669: When a node have not any pvc

23Jan24
 - Added custom version to get more verbose

21Dec23
 - cloud: Fix #10291 clean_cloud_volume uses "ls", so we handle its return code 
  the same way

05Sep23
 - build: avoid warning with extra parenthesis


Bugs fixed/closed since last release:
10291 10752 2706 2707 9882

        ChangeLog for Bacula Enterprise version 15.0.1

12Feb24
 - Enable Amazon cloud driver

31Jan24
 - Fix org#2440 Improve Makefiles to use relative paths

30Jan24
 - baculum: Add volume statistics endpoint

29Jan24
 - baculum: Add jobstatus filter to objects overview endpoint
 - baculum: Fix content property in sources endpoint

27Jan24
 - Fix org#2705 about issue with accurate checking of new file signature attributes

24Jan24
 - Fix org#2704 about old FD compatibility

18Jan24
 - cloud: regress test for Upload and TruncateCode options
 - cloud: create a multitest for CDash invocation
 - Fix #10631 (1) remove unauthorized Jmsg() in BSOCK::recv()
 - baculum: Add using multiple content values in filesets endpoint

17Jan24
 - cloud: Fix #10685 TruncateCache at endofjob was not processed due to wrong transfer status verification

15Jan24
 - baculum: Add cancel jobs running on storage endpoint
 - Fix org#2561 Convert text from ISO-8859 to UTF8

12Jan24
 - baculum: Mask sensitive AWS data in debug log

11Jan24
 - Add directive filter to config endpoints

10Jan24
 - Add endpoint to list AWS cloud buckets

08Jan24
 - baculum: Fix count property in volume overview endpoint

05Jan24
 - baculum: Add jobdefs list endpoint
 - baculum: Adapt storage file ls command parameters to new form
 - Update API documentation

22Dec23
 - Add client plugin list endpoint

21Dec23
 - Add a regression test for exercising MT10291

19Dec23
 - Add content parameter to filesets endpoint
 - Add enabled filter to clients show endpoint

18Dec23
 - k8s: Fix compilation problem

15Dec23
 - cloud storage: Fix #10291 Assume that driver ls can return error 1 when the path doesnt exist. Handle it in generic driver
 - cloud storage: Fix #10291 Assume that driver ls can return an error when scanning an unexistant cloud volume and loosen the conditions that handle this case

13Dec23
 - k8s: Fix problem when it restores a 'namespace'

12Dec23
 - cloud: proof guard truncation

11Dec23
 - aws_cloud_driver: Fix #10604 upload() might not exit with correct error code

08Dec23
 - baculum: List only reachable/unreachable clients in clients endpoint

07Dec23
 - baculum: Add job type parameter to objects overview endpoint

06Dec23
 - aws driver: Fix #10591 missing \n in returned lists

30Nov23
 - Fix zlib compression was disable in FD

28Nov23
 - Fix and improve BSR cycle detection and resolution
 - k8s: Fix pvc naming error in csi snapshots

27Nov23
 - baculum: Add endpoint to list SCSI tape devices on storage daemon host
 - baculum: Add parser for diskperf command output

24Nov23
 - baculum: Fix using error module
 - baculum: Add option to interpret Bacula error codes by API

23Nov23
 - Fix JSON output in .status dir running

22Nov23
 - baculum: Add name parameter to storages endpoint

17Nov23
 - Fix openssl 3.x don't tolerate to call EVP_CipherFinal_ex() twice
 - Fix restore issue when compression is enabled but not available

16Nov23
 - Fix #10453 volume with a wrong label

15Nov23
 - Fix #2699 About SQLite update script

14Nov23
 - Fix #2701 compilation of bjoblist

13Nov23
 - baculum: Add endpoint to get device disk usage on storage daemon host

10Nov23
 - baculum: Add endpoint to create directory on storage daemon host

09Nov23
 - cloud: test compare upload to AWS with 4 different methods, including bacula post-upload
 - Fix: #0010535. Problem with k8s snapshot version
 - Fix #10163 Add %i (jobid) to edit_device_codes()
 - baculum: Update API documentation
 - baculum: Add fileset filter to objects overview endpoint
 - baculum: Add type parameter to clients endpoint

07Nov23
 - All the rest: missing matching Leave() outside the cloud classes
 - All the missing Leave() in cloud code
 - cloud: create a regress test to validate cloud work queue thread resizing

06Nov23
 - Cloud Storage: Fix #10525 Add device name to the transfer fields
 - Fix #10524 About adding JobTimestamp variable for volume format

03Nov23
 - rpms: fix cloud spec file for redhat8
 - Fix warning about BSOCK::send()

02Nov23
 - Fix #10513 About show command issue with incorrect storage configuration
 - Fix org#2698 about error with osx platform
 - update DEPKGS version
 - baculum :Split client overview endpoint into reachable and unreachable clients

31Oct23
 - k8s: Fix csi compatibility

24Oct23
 - baculum: Fix name parameter in jobs objects endpoint

05Oct23
 - baculum: Add restricting resources in objects overview endpoint

29Sep23
 - baculum: Add job name and fileset to status client endpoint

26Sep23
 - Fix #10401 About issue when truncating immutable volume
 - baculum: Add regex operator support in queries

22Sep23
 - Implement OT_PINT32 for OutputWriter class

15Sep23
 - baculum: Update API documentation
 - baculum: Add delete client endpoint

30Aug23
 - Fix #10365 Pass comment field to copy/migration jobs from the control job

Bugs fixed/closed since last release:
 10163 10291 10365 10401 10453 10513 10524 10525 10535 10591 10604 10631 10685 2699 2701


        ChangeLog for Bacula version 15.0.0

31Oct23
 - baculum: Add joberrors parameter to jobs endpoint

27Oct23
 - k8s: Add snapshot support feature in pod annotations and fix minor bugs.

25Oct23
 - baculum: Add fileset parameter to objects endpoint

23Oct23
 - rpms: Fix aligned package generation

04Oct23
 - k8s: Fix write the same pvc data two times

03Oct23
 - baculum: Add filename and path properties to fileevent endpoints

02Oct23
 - baculum: Add sorting parameters to clients endpoint

28Sep23
 - baculum: Add running jobs property to clients endpoint

26Sep23
 - baculum: Add documentation for os and version filters in clients endpoint
 - baculum: Add os and version parameters to clients endpoint

25Sep23
 - baculum: Add os, version properties and overview parameter to clients endpoint

22Sep23
 - baculum: Add endpoint to check disk archive device prformance on storage 
  daemon host

21Sep23
 - baculum: Add endpoint to list files and dirs on storage daemon host

15Sep23
 - baculum: Add delete pool endpoint
 - baculum: Add delete object endpoint
 - baculum: Use new delete module in volume and job endpoints
 - baculum: Add module for delete command

14Sep23
 - rpms: Add AWS cloud driver
 - rpms: Adjust spec file
 - rpm: Fix conflict rule with client

13Sep23
 - baculum: Add client name parameter to clients endpoint
 - Generate bxxxjson man pages
 - rpms: Add man pages for bjson tools
 - Fix #10369 About clearer message during progressive virtual full

12Sep23
 - Add man pages for b*json tools

11Sep23
 - Fix cython detection
 - Add build procedure for antivirus

08Sep23
 - Add a dummy baculabackupreport with a pointer to the repository
 - Remove baculabackupreport. Can be found at https://github.com/waa/baculabackupreport
 - Fix compilation issue with ZSDT

07Sep23
 - win32: Fix exchange compilation
 - rpms: Update spec
 - rpms: Change storage daemon group to tape instead of disk
 - baculum: Add file events API endpoint
 - baculum: Improve extended name validator

06Sep23
 - Fix compilation with btotp
 - Add new database upgrade scripts to ./configure
 - BEE Backport lib files
 - BEE Backport dird files
 - BEE Backport stored files
 - Backport aligned_dev.h
 - Backport sql_get.c
 - Fix compilation

05Sep23
 - Add more checks on update volumeprotect
 - Fix compilation
 - Fix compilation

30Aug23
 - Update PriorJob and PriorJobId in db_update_job_start_record()

25Aug23
 - Fix #10249 About status schedule output fix

24Aug23
 - Fix warning with delta_seq on MySQL during restore
 - Fix mysql warning about OPT_RECONNECT that is deprecated in 8.0.34
 - cloud: Fix #10259 Oracle cloud failed behind. Several updates

14Aug23
 - Set default ZSTD level to 3 instead of 10

11Aug23
 - Fix #0010329: No module named 'csi_snapshot'

10Aug23
 - Fix ZSTD compression level ignored in FileSet

08Aug23
 - Fix #10307 Add PriorJobName and PriorJobId to the volume label format
 - Disable garbage collection based on sm_bytes for big systems
 - Add tryIncNumConcurrentJobs for CLIENT and STORE class
 - Change the deadlock check interval to 20mins

07Aug23
 - Fix #10323 about bug in status storage with incorrect devices

02Aug23
 - Fix @author in k8s plugin and ignore ouput of function check_regress_string_in_log()

31Jul23
 - k8s: Add compatibility with csi volume snapshots backup

24Jul23
 - k8s: Style consistency in string format.
 - k8s: Fix service upload error and flexible yaml loader

20Jul23
 - Fix postgresql warning

19Jul23
 - k8s: Fix #9735 Protocol error when tar file changed while we do backup 
  it
 - k8s: Fix clusterIP when we restore a headless service.
 - k8s: Fix dependence problem with upx package when the kubernetes-pod is 
  created

15Jul23
 - baculum: Speed up dashboard page loading

14Jul23
 - k8s: Fix problem when upgrade libraries
 - k8s: Upgrade libraries up to Centos7 supports
 - k8s: Fix pip fixed value with variables pip path.
 - k8s: Fix build compatibility with old versions and RHEL.

13Jul23
 - baculum: Fix parsing director time in time endpoint

11Jul23
 - Fix the selection list bug with jobid=1-2277

10Jul23
 - baculum: Add objecttype parameter to object categories endpoint
 - Add sorting by objectcategory in objects overview endpoint
 - Add sorting by fileset in objects overview endpoint

07Jul23
 - baculum: Add second dimensional sorting and use it for sorting jobstatus in 
  sources overview endpoint
 - Fix compilation k8s.
 - kubernetes: Allow parameters with simple quotes

06Jul23
 - baculum: Add modify default object sorting in object overview endpoint

04Jul23
 - baculum: Fix support for PHP 5.4 in web interface layer

03Jul23
 - baculum: Fix content field in job record
 - baculum: Improve support for newer PostgreSQL versions
 - Fix #10249 Adjust the output of status schedule
 - Fix compilation issue with tls.c
 - Update copyright year

30Jun23
 - baculum: Add fileset content property to jobs endpoint
 - update copyright year

29Jun23
 - baculum: Add object categories endpoint
 - baculum: Add support for ALL action in console ACL

28Jun23
 - baculum: Add objecttype filter to objects names endpoint
 - baculum: Add default sorting by endtime to objects overview endpoint
 - Fix error message code when a FileDaemon cannot connect a Director

26Jun23
 - baculum: Add sorting parameters to volumes overview endpoint
 - baculum: Add second dimension of sorting in jobs objects endpoint
 - fix ifdef logic in fs_get_free_space()

21Jun23
 - baculum: Add offset and limit parameters to director status endpoint
 - baculum: Add sorting by endtime and add endtime property to objects overview 
  endpoint

20Jun23
 - baculum: Add group_order_by and group_order_direction parameters to documentation
 - docker: Fix potential segfault with incorrect plugin command line

15Jun23
 - baculum: Add notes about object type filters in objects overview endpoint
 - baculum: Fix storing ACL config actions for very old PHP versions

14Jun23
 - baculum: Add objectsize property to objects overview endpoint
 - baculum: Add job type property to objects overview endpoint
 - baculum: Add path property to objects overview endpoint
 - baculum: Fix offset and limit parameter in jobs objects endpoint
 - baculum: Add objectname parameter to jobs objects endpoint

13Jun23
 - baculum: Add objectsource property to objects overview endpoint
 - baculum: New API config ACLs

12Jun23
 - Use more specific Job status when verify job is waiting for SD or FD

07Jun23
 - baculum: Add group_order_by and group_order_direction parameters to objects 
  endpoint
 - baculum: Add to grup function sorting group capability
 - baculum: Add sorting by joberrors if sorted by jobstatus first

05Jun23
 - baculum: Improve using unique_objects parameter in object endpoint
 - baculum: Add group_offset and unique_objects parameters to objects endpoint

01Jun23
 - baculum: Add volume names endpoint

31May23
 - baculum: Add object names endpoint
 - baculum: Add object types endpoint
 - baculum: Add documentation for client parameter in objects endpoint
 - baculum: Add job status filter to objects endpoint
 - baculum: Add joberrors filter to sources endpoint
 - Use size_t for smartalloc

30May23
 - baculum: Add server parameter to list vsphere datastores endpoint
 - baculum: Add job level property to sources endpoint
 - baculum: Add pool resnames endpoint
 - baculum: Add storage resnames endpoint
 - baculum: Add director time endpoint

29May23
 - baculum: Change M365 tenants endpoint output to contain tenant names
 - baculum: Update documentation

26May23
 - baculum: Add object overview endpoint
 - Fix windows compilation

25May23
 - Fix issue with data spooling introduced in 16.0

24May23
 - Fix MySQL catalog upgrade script with StatusInfo field

19May23
 - s3_driver: Fix #10130 Add debug to S3 driver
 - amazon_driver: Fix #10130 Add support for endpoint_url

17May23
 - fix #10137 Volume XXX in unavailable now.

12May23
 - win32: Fix joblist for windows

28Apr23
 - Fix #10094 About broken var command
 - Fix #10086: Going backward in BSR because of 2 jobs running in //

24Apr23
 - Fix #10082 Add Queue RunsWhen to bdirjson

21Apr23
 - win32: Modify namedpipe to configure the message protocol

11Apr23
 - Fix #9894 Use Journal instead of Syslog for systemd service output

06Apr23
 - fix warning in compat.cpp

05Apr23
 - implement fs_get_free_space for win32

04Apr23
 - Ensure the Director can work with the previous SD after VolRetention modification

31Mar23
 - Fix #10020 #9757 Improve Volume Protection code and fix the unprotection 
  code

30Mar23
 - Fix #10004 Use VolRetention if greater than MinimumVolumeRetention when 
  setting volume to Read-Only
 - Fix #10017 Add support for runscript AtJobCompletion to bdirjson

28Mar23
 - store-mngr: Rename LastBackupedTo into LastBackedUpTo
 - Fix #10004 Check if volumes are used when setting the volume protection

24Mar23
 - Fix missing JobHisto fields in make_mysql_tables

20Mar23
 - Fix #9981 About segfault in bvfs_get_volume()

17Mar23
 - Fix list jobmedia command

14Mar23
 - k8s: Fix 9935 part-2 misspelled reponse instead of response

13Mar23
 - allow double quote escaping in win32 bpipe

10Mar23
 - Fix bdb_find_next_volume() with VolEncrypted field

09Mar23
 - Add .ls dironly parameter to list only client directories
 - Fix estimate code with limit
 - k8s: Fix #9935 name 'response' is not defined in get_pods()
 - Fix #9945 About incorrect job status after Runscript::Console execution

08Mar23
 - Make Jobs with runscript "Queued" in timeout to wait

07Mar23
 - Fix #9923 Windows crash when Fileset is empty

06Mar23
 - Fix #9933 About incorrect message of the setbandwidth command
 - Fix #9912 About Director crash with status dir

03Mar23
 - Prune Object records when pruning Files

02Mar23
 - Fix orphan buffer with plugin list

28Feb23
 - Enhance MaximumConcurrentJobPerLevel script
 - Report an error when .query cannot find a suitable plugin

22Feb23
 - Fix warning reported by new GCC

17Feb23
 - Fix update_mysql_tables script

16Feb23
 - Fix bconsole path in MaximumConcurrentJobPerLevel script

15Feb23
 - Add MaximumConcurrentJobPerLevel script for RunScript Job Queue control 
  example

13Feb23
 - Allow to cancel a job in the jobq with the runscript exit status 2

10Feb23
 - win32: add helper function

03Feb23
 - store-mngr: Fix #8852 #9572 2 new store-mngr strategies and regress tests
 - Fix aix compilation

02Feb23
 - win32: fix HRESULT constant mismatch between signed and unsigned

31Jan23
 - Add limit option to the estimate command
 - Add bconsole command 'list jobs reviewed=<0|1>'
 - fix key-manager.py local variable 'crypto_ctx' referenced before assignment

13Jan23
 - Fix AIX compilation

12Jan23
 - Fix compilation for AIX
 - improve the key-manager to better support master-key
 - remove xxh_x86dispatch.c that was unused from Makefile

11Jan23
 - Cloud: Fix #9799 Add objects_default_tiers support into bsdjson

10Jan23
 - Use the malware command name as description rather than "user defined"
 - new installation script install-volume-encryption.sh
 - Cloud: Fix #9747 Fatal error prevents catalog update so Volume was never set 
  in error.

06Jan23
 - async.sh: sync the .in files
 - Add basic master-key support to key-manager
 - !! handle the Jmsg at an upper level when required
 - fix Cannot free Volume XXX, because it is reserved by someone else

05Jan23
 - adjust antivirus-test to new jobid selection
 - Fix #9780 allow multiple jobids in fileevents request

04Jan23
 - Fix #9786 About tab completion issue
 - Fix #9791 About incorrect connection message generated during a Virtual 
  Full
 - Fix #9781 About adding "list fileevents" to the help command output
 - Fix #9790 Enhance Malware error message

21Dec22
 - Cloud: Add a test that manually delete part.1 so it's correctly restored from 
  cloud
 - Fix #9764 Abort a job if a PluginOptions is incorrect
 - Fix #9765 About FileEvent table permission on Redhat

20Dec22
 - Install malware database tools to exepath
 - Fix #9712 about SHA256 size detection for malware
 - Use number/limit on status schedule output
 - Improve .help to display information about dot-commands
 - Fix connection information in verify and virtualfull jobs

19Dec22
 - Add connection message back in Copy/Migration job log
 - Fix catalog's update procedure for JobHisto

16Dec22
 - Fix schema for old MySQL
 - Cloud: change MaximumVolumeParts type to 32bits

15Dec22
 - Fix #9742 About incorrect checksum type detection for Malware checking
 - Improve connection error message with a different code for each target 
  component
 - Change connection error code to distinguish from TLS errors

14Dec22
 - Add runscript RunsWhen=Queue to create advanced job queue management scripts
 - Fix .status storage devices output

12Dec22
 - Add Content preview to FileSet catalog record.
 - Add client=x filter to ".status dir running"
 - Update pid file after a reload

09Dec22
 - setup default value for Encryption Command in bacula-sd.conf
 - Fix #9724 empty EncryptionCommand crash the SD
 - Fix #9729 bad volume label BlockVer field

08Dec22
 - k8s: Fix #9727 NoneType object is not subscriptable

07Dec22
 - update docker and kubernetes image to 07Dec22

06Dec22
 - cloud: Fix #9714 introduce max_vol_parts_num variable to limit cloud volumes 
  parts count
 - fix wrong "Last Volume Bytes" in VirtualFull

05Dec22
 - Fix #9719 About upgrade issue with grant_postgresql_privileges script

02Dec22
 - Fix #9715 add VolEncrypted field when upgrading the Catalog

01Dec22
 - show a warning when trying to read encrypted volume on un-encrypted device

28Nov22
 - Fix #9682: give a name instead of a number for stream that are unexpected
 - bscan: initialize the volume type using the device type

24Nov22
 - improve code for volume selection for encrypted volumes

22Nov22
 - Fix #9689 VolumeEncryption parameters must be yes|no|strong
 - Fix #2962 Change btape sample output message
 - Adjust malware error codes

21Nov22
 - Add list restoreobject client= option
 - Adjust some Daemon Event/Error codes
 - Fix memory leak with RestoreObject compression
 - Fix compilation without openssl

18Nov22
 - Update device initialization error code
 - initialize encrypted volume when recycling with rewrite_volume_label()
 - bscan: update the VolEncrypted state in the catalog
 - use VolEncrypted in find_next_volume() only for Volume in 'Append'
 - sqlite3: use AUTOINCREMENT for JobId to avoid reuse of old jobid when purging
 - BB03 recycle continuity

16Nov22
 - fix .bvfs_lsfile SQL query for mysql and sqlite3

15Nov22
 - Fix VolEncrypted in get_scratch_volume()
 - fix bsys path split

14Nov22
 - Display an error message when SSL_shutdown() return -1
 - Remove unneeded call to gettext()
 - Add missing error message after incorrect TLS setup
 - Fix compilation without TLS

11Nov22
 - Fix error message after connect() in filed and stored
 - Enhance the network error reporting with between the Director and the File/SD

10Nov22
 - Store verified JobId/Job name inside PriorJob and PriorJobId Verify job

08Nov22
 - Fix update_mysql_tables for MODIFY vs ADD for Protected & VolEncrypted
 - Improve the bsock network errors display

07Nov22
 - Add VolumeEncrypted field to the catalog
 - reactivate the 64bits XXHASH checksum in the block

04Nov22
 - Rename Protect to Protected
 - Initialize Protect when creating a new media
 - Stay in non-blocking state for the entire TLS connection

02Nov22
 - Modify the help command to display only available commands

31Oct22
 - Limit the 'status dir' scheduled job list to 50 jobs
 - Add set_limit_offset() to OutputWriter groups

28Oct22
 - Enhance the output of status director with large job list

27Oct22
 - Add status director scheduled 'novolume' option

26Oct22
 - Translate some error messages in file_dev.c
 - Fix warning in findlib/fstype.c
 - Update Dmsg() to not modify the errno during a call

25Oct22
 - fix key-manager.py: don't delete old volume's keyfile

24Oct22
 - Fix #9563 Inherit JobDefs tags
 - VolEnc: rename BlockEncrytion into VolumeEncryption

20Oct22
 - Fix compilation without openssl/encryption
 - fix XXH3_64bits() not exported by bacula.dll in 64bits

18Oct22
 - Fix #9569 About incorrect file selection with restore menu 7

17Oct22
 - Fix warnings in base64
 - Improve .status dir running with .api

14Oct22
 - Add %V as a variant of %v in edit_device_codes()

13Oct22
 - add the script key-manager.py
 - Modify .status dir running to return the output as a flow
 - cloud: exercice StorageClass directive for Amazon cloud driver
 - Fix #9594 Use a default date when the data has not timestamp
 - Add OT_DATE in OutputWriter

12Oct22
 - cloud: remove useless edit_device_codes function
 - Change edit_device_codes() prototype to avoid POOLMEM leaks

10Oct22
 - Add Storage Daemon SetReadOnly directive
 - pluginlib: Move the new variables in the JobInfo phase
 - Fix windows build

07Oct22
 - fix sqlite3 make table Error: near line 254: near ")": syntax error

06Oct22
 - New BB03 volume format: volume encryption & new 64bits checksum
 - remove unused DEV_BLOCK::ser_buf
 - Convert MySQL TinyBlob to BLOB for some Object table members
 - Add --enable-check-dmsg option to ./configure

05Oct22
 - Add ser_skip() and ser_set() to serialisation functions
 - Fix warnings reported by cppcheck
 - glacier: fix load_glacier_driver for MT9470

04Oct22
 - Add bVarSysConfigPath for plugins

03Oct22
 - Add Worm/UseWorm to MySQL and adapt SQLite
 - Adapt JobHisto procedure for new Job fields
 - Add Worm/IsWorm to Media table
 - create update_mysql_tables for 1026

30Sep22
 - cats: Update postgresql upgrade procedure
 - Fix MySQL make script
 - update mysql updatedb script
 - bvfs: Add VolType to .bvfs_versions

29Sep22
 - Send progress information for Migration and Copy Jobs
 - cats: Adjust MySQL update scripts
 - glacier: Fix #9470 One glacier instance per s3 driver

28Sep22
 - Extend the Metadata email search parameters to 512 bytes

26Sep22
 - Use ERROR instead of FATAL for Meta data insertion problem

23Sep22
 - meta-plugin: Added extra debug about data size. Fixed hello plugin with 
  latest parameters

22Sep22
 - cloud: loosen the glacier transfer test waiting check
 - glacier: Fix #9511 handle return values in case of glacier retry

21Sep22
 - new bin_to_base64_pad() that encode into base64 with padding

20Sep22
 - Enhance .bvfs_ls_files() to support VirtualFull

16Sep22
 - Add Tenant resource
 - inventory-fd: b_uname

14Sep22
 - Fix windows compilation
 - unittests: allow to use NULL in is() string checking function
 - Fix windows compilation issue
 - Add bstrcasestr() for non GNU platforms
 - Fix #9334 About issue with the AllowXXXXDirectories directive that was not 
  case sensitive on Unix

13Sep22
 - Add tools to synchronize Read-Only/Immutable flags with the Storage Daemon
 - Add Protect fields to the catalog and the SD/DIR protocol
 - antivirus: Generate FileEvents when a virus is detected
 - Fix small memory leak when starting a job with PluginOptions

09Sep22
 - sir: Fix the record number with aligned volume
 - sir: Fix the record number with aligned volume
 - cloud: Fix #9419 Avoid abort when truncate() fails

08Sep22
 - Fix #9455 test-cpp.c in 14.0.5 don't compile on freebsd

07Sep22
 - Add FileEvents features
 - Fix #9443 About incorrect management of the STDERR via open_bpipe()

02Sep22
 - make snapshots works on sqlite

31Aug22
 - use a UNIX file descriptor instead of FILE* for the trace file

24Aug22
 - totp: Fix #9445 Add -r option to btotp to remove a key on disk

19Aug22
 - dbcheck: check Ojbect table for orphan records

17Aug22
 - Add device function to compute the file_size depending on the device driver
 - Add device function to compute the file_size depending on the device driver
 - cloud: format exceptions. 1 liner for stderr, full stack for logger
 - cloud: configure the generic drivers python logger in non-debug mode
 - Fix #9428 About incorrect .volstatus output
 - Fix compilation warning

12Aug22
 - Fix sqlite query error in VF
 - Add SQL code to update Job::Encrypted field
 - Add Job::Encrypted catalog field
 - Update new field RealStartTime
 - Move some common code to update_job_end_record()
 - Add cats functions to deal with new Job table fields
 - Add new SQL fields inside JOB_DBR
 - Add new SQLite3 fields in make_sqlite3_tables
 - Add new MySQL fields in make_mysql_tables
 - Add new PostgreSQL fields in make_postgresql_tables
 - Keep the first FATAL code inside jcr->StatusInfo
 - Fix errors in update_bacula_tables

11Aug22
 - Optimize the split of the BSR

10Aug22
 - vss: Fix #9403 About segfault when VSS is not enabled in the FileSet

09Aug22
 - Add variable to size variable with edit_int64()

08Aug22
 - Fix #9085 Very long jobid list are truncated in copy/migration/virtualfull
 - Add multi-line support to sellist

04Aug22
 - Fix #9341 split BSR when a volume cycle is detected

02Aug22
 - Fix wrong length returned by base64_to_bin(), rewrite the function

27Jul22
 - cloud: Fix #9366 type out and err as str rather that bytes
 - cloud: rename and specialize regress test to check aws StorageClass attribute

26Jul22
 - cloud: rename ObjectDefaultTier to StorageClass
 - cloud: object tier passed to generic aws driver
 - cloud: test default object tier
 - cloud: introduce a default object tier directive in Cloud

12Jul22
 - Fix #9315 Save files if accurate/checksum fileset cannot be verified

05Jul22
 - Fix compilation
 - Fix #9284 About unnecessary warning message with empty filesets
 - Fix #9305 At restore time, show wrong Backup Client when modifying client

29Jun22
 - Fix #9297 MySQL update script with Client/Plugins filed

17Jun22
 - Optimize Aligned format for Single Item Restore

16Jun22
 - bpipe: run_program_full with error handling

07Jun22
 - Rework path 9224 to keep int in the ioctl call
 - Fix #9224 about Storage Daemon issue with BoostFS

03Jun22
 - Fix #9209 lsmark don't walk through unselected directory

01Jun22
 - Use regular LIKE for MySQL and SQLite, use ILIKE for PostgreSQL in .search 
  command
 - Add support for PriorJob with VirtualFull to support specific plugins
 - Fix accurate query issue introduced by "Update db_get_accurate_jobids() to 
  deal with one single JobId"

31May22
 - Update db_get_accurate_jobids() to deal with one single JobId
 - Accept jobid list in "list object" command

30May22
 - Add FileIndex to Object table for better VirtualFull support
 - Add VirtualFull plugin support

25May22
 - Handle incr/diff jobs in test-plugin-fd.c

23May22
 - Fix some SQL filters for MySQL

12May22
 - Do not reassign catalog objects after a migration

11May22
 - Fix "list metadata" command with copy jobs

09May22
 - Allow small volume poll interval in DEVELOPPER's mode
 - Ensure that the disk space is checked when finding new media

06May22
 - cloud: azure driver commit adjustements.
 - Apply the algorithm in all cases

05May22
 - New Block crypto functions and types for Volume encryption

04May22
 - Check malware with Verify jobs
 - Add bconsole 'list files type=malware' command
 - Add missing copyright headers
 - A script to detect copyright headers
 - cloud: add restore_bucket field to transfer structure.

22Apr22
 - Fix #1868 Make StorageGroup feature compatible with Copy and Migration 
  jobs
 - Fix small logic issue in msgchan

21Apr22
 - Add core functions to check malware after a backup
 - Add SQL command to clear the Malware table
 - Add SQL tables to store Malware database
 - Add script to download malware database from abuse.ch

12Apr22
 - Add script scripts/md5tobase64.py
 - update catalog version to 1026
 - Fix #9035 Sync the Job and JobHisto table when "update stats" is issued
 - windows: change windows os version detection
 - Fix #9035 update job statistics

11Apr22
 - Send reload messages directly to the UA Console rather than via a Job message

07Apr22
 - aws-cloud-driver: Update the tranfer regress test
 - aws-cloud-driver: Support cloud_transfer directives. Fix download
 - aws-cloud-driver: Enable cloud_transfer directives for generic_driver
 - Save memory by not keeping the SQL batch session open during the backup

06Apr22
 - Send security events after incorrect connexion with SD/DIR
 - Add security event message after incorrect connection to a FD
 - Fix BSOCKCORE::get_info()

31Mar22
 - cloud: add restore to generic_driver and aws_cloud_driver
 - Fix incorrect file:block display while reading block header
 - Do not display plugin password information in status client

24Mar22
 - Fix sqlite compilation

23Mar22
 - Add list joblog pattern= option
 - cdp: Add file modification detection to windows implemtation
 - cdp: Fix small memory leak after an error

18Mar22
 - meta: Terminate jar. rpms: multi-version m365

17Mar22
 - Modify list metadata to return only the last occurence of the data by default
 - meta-plugin: Cancel only current backend on protocol error situations
 - meta: Add complete packets in debug for protocol error. Cancel backend in 
  those situations

16Mar22
 - Add target to build mingw dependencies easily in a container

15Mar22
 - Purge metadata when deleting jobs
 - Allow to delete orphan metadata records in dbcheck

11Mar22
 - dedup: remove s at the end of dedupengine in ".status dedupengine"
 - Add install target for debug-tags_test

09Mar22
 - Fix comment

07Mar22
 - Fix #8895 A Jmsg deadlock the PGSQL timezone mismatch handling code

03Mar22
 - Increase plugin object fields size
 - Add new fileindex option to the .bvfs_restore command

25Feb22
 - Reorganize dynamically device order in Autochangers to use read-only devices 
  first

23Feb22
 - Windows: windows-env_test created to exercice env var support
 - Windows: environment variables support added to CreateChildProcess
 - Add isinline and contenttype filters to metadata list command

17Feb22
 - Add foldername search parameter to the list metadata type=email command

16Feb22
 - cloud: Fix #8807 About crash reported with invalid cloud parmeters

14Feb22
 - Fix windows compilation

11Feb22
 - Enhance error message in is() call for unittests
 - Strip leading/ending spaces in plugutil_str_split_to_alist()

08Feb22
 - Fix compilation issue on old GCC

07Feb22
 - Fix segfault when doing a Verify job with compressed data
 - Rename runscript runswhen from JobEnd to AtJobCompletion

04Feb22
 - edit_uint64_with_suffix() add option to remove the space before the suffix
 - Fix #8787 Add category shortcuts for Database and Virtual Machine in the list 
  object command

02Feb22
 - Fix windows warnings

01Feb22
 - Fix #8768 Allow to use a copy job in a Single Item Restore session
 - Fix #8762 Allow up to 4096 in comment field

31Jan22
 - Add RunScript when=EndJob option

28Jan22
 - Add command to list metadata owners for a given tenant

25Jan22
 - command ".status dedupengines [dedupengine=XXXX]" mimic .device command

24Jan22
 - Fix #8571 About adding intermediate JobStatus for Runscripts
 - Fix #7999 About 'list events' filtering
 - Fix test-plugin-fd.c with Metadata insertion

21Jan22
 - Fix windows compilation

20Jan22
 - Fix #8275 & #8622 Detect and report postgresql and system timezone mismatch

18Jan22
 - Fix compilation warning
 - Fix #5871 About allowing zfs for 'fstype'

14Jan22
 - Fix compilation
 - Fix #8371 About bscan setting proper volume retention period

12Jan22
 - new gdb_dprintf() to be used with gdb for dynamic logging
 - strengthen JCR reference inc and dec in the FD
 - Fix #8566 About reusing Immutable volume

07Jan22
 - new gdb_traceback() that does a stack trace of all the thread
 - Display bacula's thread_id in Kaboom message

06Jan22
 - Fix #8542 Display mtime instead of ctime in "estimate listing" output

30Dec21
 - Fix default check_for_immutable() return value

29Dec21
 - Small change in bdb_get_file_record()

23Dec21
 - Fix #8566 About problem with reusing Immutable volume
 - Fix #8572 About the SD capabilities info more clear
 - Update AUTHORS
 - Fix --with-zstd ./configure option

22Dec21
 - Fix compilation
 - Update minimum value for MaximumVolumeBytes to 1MB (1000000)

21Dec21
 - add 'LIBCAP support' log in configure
 - metaplugin: Ensure MetaData can handle larger packets.
 - Check both io->status and return code in plugin_verify_data_update()

20Dec21
 - test-plugin-fd: Add plugin's file attribute update
 - Allow plugins to update plugin-specific files attributes

17Dec21
 - test-plugin-fd: Send huge plugin metadata packet
 - Fix compilation
 - Introduce 'SetVolumeAppendOnly' and 'SetVolumeImmutable' SD directives

16Dec21
 - kubernetes: Update k8s agent count handling. Fix #7569
 - Add append only/immutable info in the `show storage` output
 - Add more debug info around append_only/immutable feature
 - Fix problem with manual labelling volumes with 'ProtectVolumes'

15Dec21
 - cloud: Fix #8428 Processed becomes Processing
 - Fix for the 'show job' in regards to the Storage Group
 - Find and delete orphan backup jobs without JobMedia in dbcheck

13Dec21
 - Introduce 'make_tmp_cmd' helper

09Dec21
 - Fix #8449 About FreeSpace storage policy

08Dec21
 - Fix #8448 About 'show job' command not showing StoragePolicy
 - Fix .status storage output

01Dec21
 - Revert "Fix #8240 About wrong path in update_bacula_tables"
 - Fix #8395 About confusing storage source in MAC jobs summary
 - catalog: update mysql 'meta' tables with Primary Key
 - Remove unused variable

30Nov21
 - pluginlib: A better handling of STAT:/... command in metaplugin.

29Nov21
 - Fix #8275 About incorrect PostgreSQL/system TZ config
 - Add tzset check in ./configure
 - Add ASSERTD() to check the MAX_INI_ITEMS in plugin_display_options()
 - Allow up to 64 configuration items in ConfigIni object
 - Fix bfdjson with PluginOptions
 - Fix #8398 About missing database field in upgrade procedure
 - Update list medata usage message

26Nov21
 - Add xxhash files for new signatures and block checksum
 - pluginlib: Remove smart_lock.
 - Add dummy PKEY to new MySQL tables

25Nov21
 - kubernetes: Fix missing Unsupported backup level. Fixes #0008231.
 - pluginlib: Update metplugin to support PluginObj status.

23Nov21
 - Fix #8356 About very small max volume size

22Nov21
 - add support for new file signature in the xxhash family
 - Make 'list object' more resilient for invalid input

19Nov21
 - Add bconsole .search command
 - Fix memory leak when restore is aborted

18Nov21
 - move 'check_for_invalid_chars' helper to common code
 - Fix compilation issue when ZLIB is available and not LZO and ZSTD

15Nov21
 - Fix #8335 About 'llist jobs' showing jobstatuslong field
 - Fix #5240 About 'status client/storage' showing maxConcJobs
 - Fix #8353 About 'status all' listing disable client

10Nov21
 - pluginlib: Add named pipe support for Metaplugin extend STAT: command.

05Nov21
 - kubernetes: Add BACKEND_TIMEOUT default option.
 - pluginlib: Add per plugin IO timeout for backend.
 - kubernetes: Add DONOTSAVE_FT_PLUGIN_CONFIG option.
 - pluginlib: Metaplugin avoid saving FT_PLUGIN_CONFIG Restore Options.
 - Fix #7946 About distro's 'unknown' string not informative enough

04Nov21
 - kubernetes: Add missing file.
 - Fix #390 About Job Message for 'ExcludeDirContaining'
 - remove the meaning less "Drive X is not loaded" for virtual autochanger
 - Fix #8240 About wrong path in update_bacula_tables
 - pluginlib: Metaplugin - add symbolic link support for external STAT command.
 - pluginlib: Correct build after qemu plugin merge.
 - rpms: Add 'libcap-devel' requirement for the redhat and suse builds
 - Fix #8151 About logging IP address for security messages

29Oct21
 - pluginlib: Fix compilation on older compilers.

28Oct21
 - cloud: update Makefiles

27Oct21
 - Add 'BackupJobUser' and 'RestoreJobUser' FD directives

26Oct21
 - pluginlib: Update execprog to better handle termination.

25Oct21
 - pluginlib: Update pluginclass to better handle listing.
 - Add install-bjoblist target to src/tools/Makefile
 - Fix plugins/Makefile.inc.in

22Oct21
 - bgit.py: add a --path filter to only shows commit related to a file or 
  dir

21Oct21
 - pluginlib: Add pluginlib::parse_param_add_str().

20Oct21
 - Add ExcludedBackupDirectories FD directive

19Oct21
 - pluginlib: Fix pluginclass accurate mode handling.
 - pluginlib: Update execprog class.

18Oct21
 - Add 'AllowedRestoreDirectories' directive for the FD
 - Add update_..._tables_1024_to_1025 to ./configure.in
 - Use transation to create PostgreSQL schema

16Oct21
 - Add 'allowed scripts directory' directory for the FD

15Oct21
 - Fix regression in smart_alist.
 - Extend 'berrno' class with Bacula-specific error handling
 - Update SQL scripts for version 1025
 - totp-bpam: Add support for qrencode 3.x on Redhat
 - Fix compilation when LZO is not available

14Oct21
 - Add copy operator to smartalist.
 - pluginclass: Fix command parsing.
 - Fix zstd issue in ./configure.in
 - rpms: Add dependency for libzstd
 - Fix compilation warnings

13Oct21
 - Fix append/immutable compilation problem for Windows
 - update autoconf
 - Add ZSTD to Windows build
 - Fix postgresql catalog creation script

12Oct21
 - antivirus regress test. Install antivirus before running test.
 - Add ZSTD compression support
 - Fix SQLite3 new Client::Plugins field
 - Enhance plugin_verify_data_close() plugin interface

11Oct21
 - Fix windows compilation
 - Add support for PluginOptions
 - Add test-verify-fd plugin

09Oct21
 - metaplugin: Add missing files.
 - Fix src/plugins/dird/Makefile.in

08Oct21
 - fix memory leak in ProgressCounter
 - antivirus: Add Antivirus plugin with Clamav backend
 - Add simple send() function to bsockcore
 - Add new SECURITY object to be stored in the catalog
 - Fix PluginOptions in the run menu interface

07Oct21
 - Enhance JSON output for .jlist command with error, errmsg and type
 - Add new plugin options to configure.in
 - Add new Verify Data plugin framework
 - Add new Director plugin variables
 - Add CustomerId Director::Director directive
 - pluginlib: Add dynamic file backup to Include{} in metaplugin.
 - Update Plugin API code for FileSet management.

04Oct21
 - metaplugin: Add AcceptFile() support.
 - Add api v2 json output
 - metaplugin: Add new STAT command flavour.

28Sep21
 - metaplugin: Improve stderr handling from backend.

27Sep21
 - Fix error message in list command

23Sep21
 - Add text search for mysql and fix issue with attachment query

22Sep21
 - Add 'list metadata' help usage and add Name search for attachment
 - Rename Client.Plugin to Client.Plugins
 - Add bconsole interface to metaxxx tables and rename Client.Plugin to Client.Plugins

21Sep21
 - Add Size to Email/Attachment metadata

20Sep21
 - Add 'AllowedBackupDir' FD directive

17Sep21
 - totp: Display the keyname on creation

16Sep21
 - pluginlib: Create plugin base framework for FD Plugins.
 - Update pluginlib build.
 - Return name instead of data for file pruning + indent + regress test correction

15Sep21
 - Modify meta_pkt to always have a terminated buffer
 - Scan metadata stream and insert into the catalog
 - update LICENSE-FOSS with cJSON and base32
 - From printf to dmsg with relevant debug level + add lock system + finished 
  regress test
 - Updated help command + basic regress structure

14Sep21
 - regresss: Schedule accurate-only-meta tests
 - Add new define keyword in common_fd + changed option -d for debug + check of 
  argument and store/search return

13Sep21
 - Add cJSON lib
 - Parsing and Makefile fixes
 - bjoblist creation + parsing of command

10Sep21
 - update autoconf
 - Fix error message in update_postgresql_tables_1023_to_1024
 - Add events when reloading the configuration

09Sep21
 - Check for the needed capabilites at the SD startup

03Sep21
 - totp: Add %c variable for the console name in the sendcommand
 - Add TOTP Authentication plugin for the Director
 - Add console name to the authentication plugin framework

02Sep21
 - Add support for the APPEND and IMMUTABLE flags for File Volumes

31Aug21
 - Allow to use edit_job_codes() without a JCR

30Aug21
 - cloud: Adapt aws driver

27Aug21
 - cloud: Add generic aws_cloud_driver

26Aug21
 - Created helloworld project, based in meta-plugin.

17Aug21
 - Add ./configure option for the totp plugin
 - Add option to install totp plugin to ./configure

13Aug21
 - Add bin_to_base32() function

12Aug21
 - Add Plugin field to sqlite backend
 - Add Plugin field in SQL Client table

27Jul21
 - Introduce 'FreeSpace' storage policy

11Jun21
 - kubernetes: Add Plugin Object support.

26May21
 - Fix memory problem in bpipe plugin

17Feb21
 - Fix #7266 About Failing Runscript after not aborting job

22Jan21
 - bgit: report unknow branch with a friendly message instead of a stacktrace

10Dec20
 - Add new Makefile to ./configure.in

30Jul19
 - mysql: Fix #5075 support mariadb backup software.

Bugs fixed/closed since last release:
0008231 0010329 10004 10017 10020 10082 10086 10094 10130 10137 10249 10259 10307 10323 10369 1868 2962 390 5075 5240 5871 7266 7569 7946 7999 8151 8240 8275 8335 8353 8356 8371 8395 8398 8428 8448 8449 8542 8566 8571 8572 8762 8768 8787 8807 8852 8895 9035 9085 9209 9224 9284 9297 9305 9315 9334 9341 9366 9403 9419 9428 9443 9445 9455 9470 9511 9563 9569 9594 9682 9689 9712 9714 9715 9719 9724 9727 9729 9735 9742 9747 9764 9765 9780 9781 9786 9790 9791 9799 9894 9912 9923 9933 9935 9945 9981

        ChangeLog for Bacula version 13.0.3


01May23
 - baculum: Add options to configure preserving table settings
 - baculum: Enhance validation in time period control

28Apr23
 - baculum: Fix problem with double jobids in jobs objects endpoint

27Apr23
 - baculum: Fix offset and limit parameters for case when storage in catalog is inconsistent with configuration
 - baculum: Change overview behaviour in objects endpoint if used together with groupby parameter
 - baculum: Change a way of preparing overview with counters in objects endpoint

26Apr23
 - baculum: Add starttime property to objects endpoint
 - baculum: Add to objects endpoint capability to sort by client name
 - baculum: Add joberrors filter to jobs objects endpoint
 - baculum: Add to jobs objects endpoint time filters in date/time format
 - baculum: Add objecttype parameter to jobs objects endpoint

25Apr23
 - baculum: Add client filter to objects endpoint
 - baculum: Add client property to object and objects endpoint
 - baculum: Add joberrors filter to objects endpoint
 - baculum: Add sorting by jobstatus to objects endpoint
 - baculum: Add order_by and order_direction parameters to volumes endpoint

24Apr23
 - baculum: Add volstatus filter to volumes endpoint
 - baculum: Add storage filter to volumes endpoint
 - baculum: Fix documentation for date parameters
 - baculum: Add pool filter to volumes endpoint
 - baculum: Add volumename filter to volumes endpoint
 - baculum: Add enabled flag filter to volumes endpoint

21Apr23
 - baculum: Add client resnames endpoint
 - baculum: Fix documentation about jobids parameter in bvfs restore endpoint
 - baculum: Fix losing autochanger directive value in storage resource in director configuration

20Apr23
 - baculum: Add to objects endpoint time filters in date/time format
 - baculum: Add to jobs endpoint time filters in date/time format

19Apr23
 - baculum: Add priorjobname parameter to jobs endpoint
 - baculum: Add priorjobname property to jobs endpoint

18Apr23
 - baculum: Add volerrors property to volumes overview endpoint
 - baculum: Add voltype parameter to volumes endpoint
 - baculum: Add tenant indentifier list endpoint
 - baculum: Add mediaid to volume overview endpoint
 - baculum: Add offset parameter to m365 plugin email list endpoint

17Apr23
 - Add new m365 plugin mailbox list endpoint
 - baculum: Add order_by and order_direction parameters to sources endpoint
 - baculum: Rework and improve sources endpoint
 - Enable using show command output also for internal purposes
 - baculum: Improve precision in show command output parser

07Apr23
 - baculum: Add fileset and filesetid filters to jobs objects endpoint
 - baculum: Improve identifier validator

05Apr23
 - baculum: Add job type to sources endpoint
 - baculum: Add overview parameter to objects endpoint
 - baculum: Add fileset content property to sources endpoint output

04Apr23
 - Fix #10032 Allow restore menu 1 to users without sqlquery command ACL
 - Fix #10033 Add extra Client and FileSet ACL checks to the estimate command
 - Take the first valid FileSet for the restore Job with restricted consoles
 - Restrict the use of local files during the restore file selection process when using a Restricted Console
 - Disable Bootstrap manual selection in restore for Restricted Console
 - Fix #10030 About small issue while canceling the restore command
 - baculum: Add job status property to objects endpoint
 - baculum: Add job errors property to objects endpoint
 - baculum: Update documentation
 - baculum: Add job errors property to sources endpoint
 - baculum: Add offset parameter to sources endpoint
 - baculum: Add offset parameter to filesets endpoint

03Apr23
 - Fix issue in select_backups_before_date()
 - baculum: Add order_by and order_direction params to jobs objects endpoint
 - baculum: Add client, pool, fileset and fileset content properties to jobs objects endpoint

30Mar23
 - baculum: Fix m365 user list endpoint

29Mar23
 - baculum: Add more detailed output to restore endpoint
 - baculum: Add endpoint to list m365 jobs by email
 - baculum: Fix listing restore job in job endpoints

28Mar23
 - Fix small memory leak with setbandwidth command
 - Check ClientACL in acl_access_jobid_ok()
 - baculum: Extend object name validation pattern

23Mar23
 - Do not display specific SQL errors to restricted consoles

22Mar23
 - Check client ACL on purge jobid=x
 - Add Client to JOB_DBR to ease ACL checking
 - baculum: Remove overview, order_by, order_direction and object_limit parameters from jobs objects endpoint
 - baculum: Add volstatsu property to volumes overview endpoint
 - baculum: Add volumes overview endpoint

21Mar23
 - Fix #9968 Adapt delete volume with restricted consoles
 - Fix #9968 Adapt restore menu and add RBCLIENT/BCLIENT in some ACL SQL checking
 - baculum: add offset parameter support in new job objects endpoint
 - baculum: Improve jobs objects endpoint working
 - baculum: Add method to execute SQL queries

20Mar23
 - Add RBCLIENT ACL type to query both RCLIENT and BCLIENT
 - Include BackupClient in list jobs, list jobmedia, list joblog

17Mar23
 - regess: Add test with cancel on restricted console
 - Add JCR::use_client() to determine if a Job uses a Client
 - Adapt delete command to work with restricted consoles
 - Check Pool specific ACL in select_media_dbr()
 - Add Pool name to MEDIA_DBR
 - Adapt prune command for restricted console
 - Fix list jobmedia command

16Mar23
 - Fix #9968 Enhance restricted Console support

13Mar23
 - Add checking errors in output from vsphere plugin servers, hosts and datastores commands
 - baculum: Add restore_host parameter to vsphere plugin datastores API endpoint
 - baculum: Add server parameter to vsphere plugin hosts API endpoint

11Mar23
 - baculum: Disable querying API for seeing which authentication methods are supported

10Mar23
 - baculum: Add VMware vSphere restore host list endpoint

09Mar23
 - baculum: Add output parameter to run restore endpoint
 - baculum: Add displaying bconsole command output if command is multiline

03Mar23
 - baculum: Add fileindex parameter to bvfs restore endpoint
 - baculum: Change a way of executing SQL queries
 - baculum: Add to documentation missing type parameter to job resnames endpoint

02Mar23
 - baculum: Fix compatibility with PHP 5.4

28Feb23
 - baculum: Add support for plugin filter in client list endpoint
 - baculum: Add objectid parameter to Bvfs restore endpoint

27Feb23
 - Fix #9907 About Director crash with Runscript Console
 - baculum: Add output parameter to run job endpoint
 - baculum: Add when parameter to run job endpoint
 - baculum: Add a new endpoint to list jobs together with objects

22Feb23
 - Fix warning reported by new GCC

21Feb23
 - rpms: Add rhel9 target to spec file
 - baculum: Add VMware vSphere datastore list endpoint

15Feb23
 - baculum: Add VMware vSphere host list endpoint

14Feb23
 - baculum: Add VMware vSphere server list endpoint

10Feb23
 - baculum: Fix support for PHP 5
 - baculum: Add voltype property support in bvfs output parser

09Feb23
 - baculum: Add offset and limit parameters to bvfs versions endpoint

06Feb23
 - baculum: Add to estimated job values endpoint average number of backed up objects
 - baculum: Add estimated job values endpoint that uses job historical data for estimation

03Feb23
 - baculum: Make show command output parser more accurate

30Jan23
 - baculum: Add support for cloud storage commands

23Jan23
 - baculum: Improve job statuses for job overview purpose

20Jan23
 - baculum: Fix example values in OpenAPI documentation

16Jan23
 - baculum: Add overview parameter to job list endpoint

12Jan23
 - baculum: Add endtime property and filters to source list endpoint

Bugs fixed/closed since last release:
10030 10032 10033 9907 9968


        ChangeLog for Bacula version 13.0.2

16Feb23
 - Fix #9882 About tapealert script issue on rhel8
 - win32: Switch to openssl 1.1.1t

15Feb23
 - Fix #9876 Update information printed during file restore error

19Jan23
 - win32: Switch to openssl 1.1.1s
 - win32: Fix org#2667 enable sockaddress_storage for windows

10Jan23
 - Fix org#2666 About fixing getaddrinfo check in ./configure

23Dec22
 - baculum: Add offset parameter to messages endpoint

22Dec22
 - baculum: Add offset parameter to event and pool list endpoint
 - baculum: Add offset parameter to storage and client list endpoint

20Dec22
 - baculum: Fix using multiple job statuses in list jobs jobstatus filter

15Dec22
 - baculum: Add new job, fileset and media properties support
 - baculum: Add dedupengine output type to status storage

13Dec22
 - baculum: Add option to enable/disable audit log

12Dec22
 - Add afterjobid parameter to job list endpoint

09Dec22
 - baculum: Add documentation for component actions
 - baculum: Add documentation to new jobids parameter in job list endpoint
 - baculum: Add patch for offset parameter support in SQL queries
 - baculum: Fix OFFSET parameter in PHP framework
 - baculum: Add multiple jobids filter to jobs endpoint
 - baculum: Add offset parameter to jobs, objects and volumes endpoints
 - baculum: Fix sources endpoint double results

06Dec22
 - baculum: Add new filters to object category sum endpoint

05Dec22
 - Fix #9686 Grant PROCESS privilege to bacula user to allow catalog backup
 - baculum: Add age parameter to jobs and objects endpoints
 - baculum: Add group_limit, order_by and order_direction parameters to objects 
  endpoint
 - baculum: Add job sum statistics endpoint

01Dec22
 - baculum: Add sources endpoint

22Nov22
 - baculum: Fix time range filter for job and object endpoints

10Nov22
 - Fix bconsole command issue after a first error

04Nov22
 - Fix #9614 Re-create Jobs with bscan only if the bootstrap is matching

26Oct22
 - cloud: Fix #8351 Catalog part number correction notification goes debug

25Oct22
 - generic_cloud: Fix #9606 Rearange POOLMEM usage in cb functions

06Oct22
 - Fix #9568 About "cancel inactive" command Storage Daemon selection

27Sep22
 - Fix #9535 avoid "Will not descend from / to /good_dir"

23Sep22
 - Fix Cython detection on python >= 3.8
 - k8s: Add support for Python3.10

21Sep22
 - cloud: Fix #9508 transfer remove dcr use for JobId

Bugs fixed/closed since last release:
2666 2667 8351 9508 9535 9568 9606 9614 9686 9876 9882

        ChangeLog for Bacula version 13.0.1


19Jan23
 - win32: Switch to openssl 1.1.1s
 - win32: Fix org#2667 enable sockaddress_storage for windows

10Jan23
 - Fix org#2666 About fixing getaddrinfo check in ./configure

23Dec22
 - baculum: Add offset parameter to messages endpoint

22Dec22
 - baculum: Add offset parameter to event and pool list endpoint
 - baculum: Add offset parameter to storage and client list endpoint

20Dec22
 - baculum: Fix using multiple job statuses in list jobs jobstatus filter

19Dec22
 - Add Thomas Franz to AUTHORS list
 - Fix org#2665 About memory leak on FreeBSD with extended attributes

15Dec22
 - baculum: Add new job, fileset and media properties support
 - baculum: Add dedupengine output type to status storage

13Dec22
 - baculum: Add option to enable/disable audit log

12Dec22
 - Add afterjobid parameter to job list endpoint

09Dec22
 - baculum: Add documentation for component actions
 - baculum: Add documentation to new jobids parameter in job list endpoint
 - baculum: Add patch for offset parameter support in SQL queries
 - baculum: Fix OFFSET parameter in PHP framework
 - baculum: Add multiple jobids filter to jobs endpoint
 - baculum: Add offset parameter to jobs, objects and volumes endpoints
 - baculum: Fix sources endpoint double results

06Dec22
 - baculum: Add new filters to object category sum endpoint

05Dec22
 - baculum: Add age parameter to jobs and objects endpoints
 - baculum: Add group_limit, order_by and order_direction parameters to objects 
  endpoint
 - baculum: Add job sum statistics endpoint

01Dec22
 - baculum: Add sources endpoint

22Nov22
 - baculum: Fix time range filter for job and object endpoints
 - Fix org#2577 Remove -f option from MySQL update scripts to detect errors 
  properly

16Nov22
 - baculum: Add time range parameters to objects endpoint

15Nov22
 - baculum: Add groupby parameter to object list endpoint

10Nov22
 - baculum: Fix using operators for SQL queries

09Nov22
 - baculum: Add documentation to new job sort parameters

08Nov22
 - baculum: Add to jobs endpoint parameters to sort property and sort order
 - baculum: Add time range parameters to jobs endpoint
 - baculum: Add new fileindex property to objects

04Nov22
 - Fix org#2628 About improving the update_bacula_tables script on up to date 
  catalogs

03Nov22
 - baculum: Add jobids parameter to Bvfs update endpoint

02Nov22
 - Add jobids parameter to objects endpoint

18Oct22
 - baculum: Adapt job record to version 16.0
 - baculum: Add restore plugin option fields endpoint

23Sep22
 - baculum: Add restore plugin options endpoint

22Sep22
 - baculum: Add capability to restore using plugin

19Aug22
 - baculum: Add search Bacula items endpoint

18Aug22
 - baculum: Add Microsoft 365 plugin endpoint for listing logged in users for 
  given tenant
 - baculum: Add Microsoft 365 email attachment list endpoint
 - baculum: Add Microsoft 365 email list endpoints

16Aug22
 - baculum: Add event list and single event record endpoints

12Aug22
 - baculum: Add object category status endpoint
 - baculum: Add object versions endpoint
 - Fix errors in update_bacula_tables

11Aug22
 - baculum: Add object size statistics endpoint
 - baculum: Add missing objectid parameter to API documentation
 - baculum: Add object category stats endpoint

10Aug22
 - baculum: Add single object record endpoint
 - baculum: Add query command support, object endpoint and m365 user list 
  endpoint

05Aug22
 - Add plugin column

Bugs fixed/closed since last release:
2577 2628 2665 2666 2667

        ChangeLog for Bacula version 13.0.0


05Aug22
 - Fix org#2656 About incorrect error message on TLS CA Certificate
 - Fix org#2594 About compilation warning on VolRead/WriteTime
 - Fix org#2644 Add support for binary files to bacula md5sum
 - Fix org#2655 About incorrect definition of MAX_FOPTS
 - Fix org#2657 About startup problem for bacula-sd
 - win32: update openssl to 1.1.1q

04Aug22
 - baculum: Improve logging and add audit log

03Aug22
 - baculum: Adapt code to use PSR-4 autoloader

22Jul22
 - baculum: Fix #2653 PHP warning about wrong array_key_exists() parameter in session record

04Jul22
 - rpms: fix bacula spec file
 - rpms: Add spec file for k8s tools
 - rpms: more work on docker and docker tools
 - rpms: Add kubernetes spec file
 - rpms: Fix cloud package

29Jun22
 - osx: Fix #9309 about extended attribute backup error on macOS

21Jun22
 - Rework MacOS package

Bugs fixed/closed since last release:
 2653 9309

        Changelog for version 13.0.0

04Jul22
 - Fix #9292 about file descriptor leak with the HonorNoDumpFlag fileset option

30Jun22
 - Fix #8955 About "Least Used" Storage Group not working as expected
 - Remove limitation 64 Storage resources from the Storage Manager

28Jun22
 - Fix #9293 Incorrect debug message with NODUMP flag

20Jun22
 - Fix compilation on MacOS

Bugs fixed/closed since last release:
8955 9292 9293

        Changelog for version 11.3.4

01Jun22
 - win32: Update to OpenSSL 1.1.1o

27May22
 - Fix query SQL provided in sample-query.sql

25May22
 - Fix segfault with new update packet

23May22
 - Skip storage daemon detection if the information is not available in the 
  BSR
 - Do not add an empty Storage line when generating the BSR

22May22
 - baculum: Fix #2667 keep original fileset options order

19May22
 - snapshot: Adapt for BTRFS 5.17

18May22
 - snapshot: Fix snapshot delete/prune command
 - snapshot: Fix #9143 About snapshot not properly stored in the catalog
 - snapshot: Add support for new LVM 2.03.15
 - Fix ./configure error with test-cpp.c

17May22
 - Fix #9127 About incorrect handling of the new Accurate 'o' option with 
  multiple incremental jobs. Add support for ACL updates
 - Add retry debug information to storage daemon find_next_volume process

13May22
 - Fix #9125 About issue with AllowFDConnections and very high debug level

12May22
 - Fix #9116: copy job missuses the client->FdStorageAddress directive

03May22
 - Fix org#2658 About segfault with bsdjson with incorrect parameters
 - Fix org#2659 Install dbcheck and bsmtp in 755
 - Fix org#2662 About SQLite migration script issue

28Apr22
 - baculum: Fix clearing OAuth2 properties after testing API connection on 
  security page
 - baculum: Fix directing to default page after log in for users with non-admin 
  roles

21Apr22
 - Fix compilation on s3 driver
 - rpms: Fix org#2633 about log directory not created on Centos7
 - baculum: Add to install wizard pre-defined b*json tool paths for FreeBSD and 
  older Debian/Ubuntu

20Apr22
 - baculum: Fix #2661 required parameter PHP error on PHP 8.0

29Mar22
 - ReleaseNotes English review.
 - Update updatedb scripts
 - Fix SQLite update script and add upgrade event
 - Fix ReleaseNotes about catalog version (1024)

28Mar22
 - cloud: remove useless hash checks
 - baculum: Fix error calling method_exists() with non-objects on PHP 8

25Mar22
 - Fix warning on find_one.c

Bugs fixed/closed since last release:
2633 2658 2659 2661 2662 2667 9116 9125 9127 9143

        Changelog for version 11.3.2

23Mar22
 - Install test tools with libtool

07Oct21
 - Enhance JSON output for .jlist command with error, errmsg and type

22Mar22
 - Fix Makefile warnings
 - Set rpath on binaries when using libtool
 - Help user to run the SQL scripts from scriptdir
 - Install plugins with make install
 - Add install-cdp rule to src/tools/cdp-client/Makefile
 - WIP releasenotes

21Mar22
 - Add bacula-backup docker file to ./configure
 - Add Kubernetes bacula-backup tool
 - win32: Fix compilation
 - win32: Do not include PDF in windows installer

16Mar22
 - Avoid segfault in metaplugin when the plugin command is simplified
 - Enhance metaplugin to handle plugin command with or without :
 - Fix kubernetes compilation
 - Fix cdp-client Makefile install target

15Mar22
 - win32: Update to OpenSSL 1.1.1n
 - Add missing .in in ./configure.in
 - Add KUBERNETES_IMAGE_VERSION to ./configure.in
 - Add new plugin targets to Makefiles
 - Add new plugin targets to ./configure.in
 - Fix Makefile

10Mar22
 - Add new tests to ./configure.in

04Mar22
 - fix windows compilation
 - Disable bad_call_on_strncpy_use_bstrncpy

01Mar22
 - Fix plugin object count
 - cloud: Fix #8866 reset VolCatBytes to 0 so it's updated with volume info
 - Add back cdp-client to ./configure
 - Add cdp to plugins/fd/Makefile
 - Update copyright year
 - Adjust catalog update files for community

28Feb22
 - Move Makefile.in to Makefile
 - Add kubernetes Makefile to ./configure
 - Add Kubernetes plugin
 - Update docker plugin
 - Update copyright year

25Feb22
 - metaplugin: Add function to determine if the plugin is ready to be used

23Feb22
 - cloud: Fix #8861 display the actual state name instead of state index to 
  avoid segfault Refactorize transfer state names

20Feb22
 - baculum: Update Polish translations

17Feb22
 - baculum: Add option to set job age for job status summary graph on dashboard 
  page

14Feb22
 - baculum: Fix file search for text that isn't lower-case in MySQL/MariaDB 
  database

07Feb22
 - Remove duplicate memset on POOL_DBR object
 - Add MmsgT7() and MmsgT8()
 - Add new autoconf macro
 - Fix #2654 About compilation issue on Alpine Linux
 - Add check for getpwent_r in ./configure
 - Fix #2656 About segfault in XATTR code for FreeBSD

03Feb22
 - baculum: Fix displaying directive sections in resouce configuration
 - baculum: Fix #2653 create new resource by copying configuration from other 
  resource

28Jan22
 - baculum: Add capability to provide translated directive documentation file

21Jan22
 - Fix #8608 About segfault when starting with incorrect configuration file

18Jan22
 - Fix #8719 About segfault after an incorrect copy job

13Jan22
 - Fix issue with MySQL 8 in src/cats/grant_mysql_privileges

29Dec21
 - Fix #8576 Cancel duplicate self deadlock

19Dec21
 - Check for IP SANs when verifying TLS certs

17Dec21
 - test-plugin-fd: Send huge plugin metadata packet
 - Allow plugin metadata with size >64KB

03Dec21
 - win32: update External-mingw*
 - Fix compilation warning
 - Replace a memset by bmemset in findlib/bfile.c
 - BEE Backport filed/fd_plugins.c
 - BEE Backport stored/stored_conf.h
 - Backport dird/ua_cmds.c from Enterprise
 - Use bmemset in dird/job.c

18Nov21
 - baculum: Enlarge boxes with resource count in status director - reported by 
  Sergey Zhidkov

17Nov21
 - baculum: Update Portuguese translations

16Nov21
 - baculum: Update Russian translations
 - baculum: Improve wizards view and responsivity

15Nov21
 - baculum: Update Russian translations

14Nov21
 - baculum: Add time range filters to job history page - idea proposed by Heitor 
  Faria
 - baculum: Add password generator to password fields

12Nov21
 - baculum: Add interface to manage API basic users from Web component side
 - baculum: Add API endpoints for API basic user management
 - baculum: Add capability to assign dedicated bconsole config file to API basic 
  users

10Nov21
 - baculum: Reduce free spaces between interface elements - idea proposed by 
  Sergey Zhidkov
 - baculum: Add copy resource function to enable creating new resources based on 
  others

09Nov21
 - baculum: Fix #2647 PHP warning about headers already sent on storage view 
  page
 - Fix #8343 About weird output characters after stopping job

08Nov21
 - baculum: Add option to enable/disable messages log window - idea proposed by 
  Bill Arlofski
 - baculum: Misc visual improvements

07Nov21
 - baculum: Unset default API host setting if default API host is no longer 
  assigned to user
 - baculum: Unify buttons view
 - baculum: Add capability to close modal windows on clicking gray shadow

06Nov21
 - baculum: Visual improvements in interface
 - baculum: Fix displaying documentation for jobdefs directives
 - baculum: Add documentation for directives

05Nov21
 - baculum: Fix #2646 apply new user permissions immediately instead of after 
  logging out and logging in

03Nov21
 - cloud: Fix #8265 Do not re-open part.1 during truncate

01Nov21
 - baculum: Fix undefined index error if user not use Bacula configuration 
  function
 - baculum: Update Russian translations

31Oct21
 - baculum: Move all external dependencies to vendor directory

29Oct21
 - baculum: Fix running job number on some pages
 - baculum: Update Portuguese translations
 - baculum: Loading pages optimization

28Oct21
 - baculum: Update Polish translations

27Oct21
 - baculum: Fix #2642 add tool to re-assigning volumes from one pool to another

26Oct21
 - Fix incorrect error message with metadata backup
 - Change .bvfs_get_jobids() to use PriorJob
 - Add PriorJob to llist job output
 - Allow to use PriorJob in db_get_job_record() if the Job is not found

23Oct21
 - baculum: Add warning to running job status if job needs media

21Oct21
 - baculum: New migrate job wizard

19Oct21
 - Fix #8276 About segfault when plugins are not loaded

12Oct21
 - Use const in global names in dird_conf.h

10Oct21
 - baculum: Add capability to use pre-defined paths in API config wizard - idea 
  proposed by Heitor Faria
 - Remove debugging information
 - Remove extraneous file committed in error
 - Get regression testing working on FreeBSD

28Sep21
 - baculum: Improve sun icon for displaying job status weather - idea proposed 
  by Heitor Faria

21Sep21
 - Fix #8167 About BAT tool crashing the dir

18Sep21
 - baculum: Do not require using some job resource values to ease using jobdefs 
  - idea proposed by Heitor Faria

16Sep21
 - scripts: Fix git version script.
 - Fix #8159 About a deadlock when starting the Director with a missconfigured 
  catalog

15Sep21
 - Fix compilation on OSX
 - Fix #8142 Skip XATTR larger than MaximumNetworkBuffer

13Sep21
 - Fix #8140 About wrong version mentioned in catalog update scripts

08Sep21
 - Move the delete volume event just before the actual deletion

06Sep21
 - Fix #8126 About strange ouput for the .status client command

03Sep21
 - Extend lockmgr to allow the use of destructor in pthread_key_create()

02Sep21
 - Fix compilation warning on STATUS_PKT

01Sep21
 - Fix incorrect patch merged with WIP work
 - Fix compilation error on redhat7
 - Add macro for MmsgD7-8
 - Fix compilation warning on -Wmismatched-tags.

31Aug21
 - cdp: open the inotify stream using the CLOEXEC (close on exec) flag
 - cloud: Fix #8101 Update S3 error list to match the libs3 index

30Aug21
 - Fix #8098 About director crash for Migration job
 - metaplugin: Add accurate get feature for backends.
 - Add getAccurateAttribs() FD Plugins callback.

27Aug21
 - ProgressCounter::find_accounting(state=0) return start_t & end_t
 - fix the %W hexdump output size limit problem in bsnprintf

26Aug21
 - metaplugin: Add missing files.
 - cloud: Fix destination name when moving part
 - cloud: S3 delete parts once it's been renamed
 - Fix compilation
 - cloud: Fix S3 error msg generation during upload

25Aug21
 - metaplugin: Add accurate mode query.

24Aug21
 - pluginlib: Update general build.
 - win32: Switch to OpenSSL 1.1.1l

23Aug21
 - Update general plugins build.
 - metaplugin: Fix invalid constant comparision.

20Aug21
 - add built-in hexdump to bsnprintf()

10Aug21
 - Fix #7998 About dir crashing for client intiated backup
 - Revert "Fix #7998 About dir crashing for client intiated backup"
 - Fix org#2627 About DIR crashing for copy jobs and resource rename

06Aug21
 - Fix #7998 About dir crashing for client intiated backup
 - Fix compilation warning in storage manager to get rid of 'initialzer lists' 
  warning
 - docker: Check the presence of the docker tools duing loadPlugins()
 - Fix segfault with the status dir command and debug level 250
 - Fix compilation warnings

05Aug21
 - Fix SQL query generated with ACLs
 - Add !verified to default FD configuration files
 - Map size_t/ssize_t read()/write() type to full_read()/full_write() in fd_common
 - Fix incorrect prototype for check_current_fs() after OpenBSD fix

04Aug21
 - Fix #6119 About listing files being verified
 - Add debug/trace/tags information to .status header
 - Fix #7959 About OpenBSD compilation issue
 - Fix 7891 About OpenBSD chio-changer script fix

03Aug21
 - Ensure that the DIR will reject catalog update from the FD
 - remove dead code mount_request()
 - Fix db version after sqlite catalog update

02Aug21
 - baculum: Update Portuguese translations
 - baculum: Update Russian translations
 - baculum: Update Polish translations

31Jul21
 - baculum: Fix displaying issue in restore browser - reported by Sergey Zhidkov
 - baculum: Remove redundant statistics pages
 - baculum: New advanced schedule settings
 - baculum: Fix remove storage resource if autochanger directive is set
 - baculum: Fix auto-scrolling in windows with configuration
 - baculum: Fix error about expected port number when writing component main 
  resource

29Jul21
 - cloud: Fix #7986 About incorrect message when wait_one_transfer fails

23Jul21
 - Fix #6986 About mail wariables not working after conf reload
 - Fix #7985 About bug in update_sqlite3_tables

22Jul21
 - Fix #7600 About variable for PreviousJobId in mail messages

20Jul21
 - metaplugin: Update regression to check large RestoreObject.
 - metaplugin: sendbackend() update.

19Jul21
 - Fix for the PluginObject table name for the MAC jobs

16Jul21
 - Add workaround to bextract in order to extract files generated by the VSS 
  plugin

15Jul21
 - baculum: Update Portuguese translations
 - baculum: Update Russian translations
 - update autoconf for NODUMP flag check
 - Add message about Device being used for read/write

14Jul21
 - baculum: Update Portuguese translations
 - baculum: Update Russian translations
 - baculum: Update Polish translations
 - baculum: Fix table width on schedule list page
 - Allow to restore VSS Plugin files on Linux

13Jul21
 - baculum: Update API documentation
 - baculum: Backup job wizard improvements
 - baculum: New copy job wizard
 - baculum: Add to directive controls option to hide reset button and remove 
  button
 - baculum: Add to config API endpoint parameter to apply jobdefs in results
 - metaplugin: Fix regression on restore options restore.
 - metaplugin: Fix regression on pluginconf generation.
 - rhv: Fix Makefile
 - Fix compilation of the metaplugin
 - Fix warning with scripts/getgitcommit when building outside of a git repo

12Jul21
 - baculum: Fix loading dashboard page if job status is created but not yet 
  running
 - Fix #7660 About respecting the 'nodump' flag in more OSes than BSD
 - Revert bad commit for src/tools/cdp-client/folderwatcher.cpp
 - Fix windows build
 - win32: Fix #7939 Fix Port label indentation in windows installer
 - Add list jobmedia volume=x option

10Jul21
 - baculum: Fix legend in job status pie chart on job view page
 - baculum: Change buttons on dasboard page - reported by Sergey Zhidkov
 - baculum: Add jump to previous/next error navigation in messages window

09Jul21
 - baculum: Move resource monitor and error message box to separate modules
 - baculum: Make table texts translatable - reported by Sergey Zhidkov
 - baculum: Make job status pie chart smaller - idea proposed by Sergey Zhidkov
 - baculum: Reduce size of icons in run job window and on dashboard page

08Jul21
 - baculum: Make job status pie chart clickable and direct to job history page 
  with filtered results - idea proposed by Bill Arlofski
 - Fix #7914 About showing 'DirTLS' status for '.status client running' cmd

07Jul21
 - baculum: Fix opening job details in job table on main dashboard page - 
  reported by Sergey Zhidkov
 - baculum: Fix required fields in jobdefs forms

06Jul21
 - baculum: Update Portuguese translations
 - baculum: Update Russian translations
 - rhv: Rhv spec changed to Java 11. New regress tests finished
 - snapshot: Ensure that the snapshotdb directory is correctly created
 - Fix read_mtab() on MacOS

05Jul21
 - baculum: Remove old configure page
 - baculum: Add console page to configure consoles
 - rhv: Maven adaptation. Regress tests redone to reduced way with heper files
 - osx: Add bsnapshot to the package

04Jul21
 - baculum: Update Russian translations
 - baculum: New director page with graphical/text status and with configure 
  director resources
 - baculum: Add director show command API endpoint
 - baculum: Improve checking director in status director API endpoint

02Jul21
 - baculum: Fixes to support PHP 8
 - pluginlib: Update git version building.
 - metaplugin: Fix compilation warnings.
 - metaplugin: Add RestoreObject support.
 - Add missing break for bscan's plugin metadata parsing
 - snapshot: Add support for MacOS

01Jul21
 - Fix memory leak for Storage Manager

30Jun21
 - baculum: Apply PRADO framework patches to support PHP 8
 - cloud: Fix #7888 Display retry count on upload

29Jun21
 - metaplugin: Extend query interface for unstructured data.
 - Fix org#2623 About .ls/estimate command not printing files correctly

28Jun21
 - baculum: Fix problem with listing directories in restore wizard - reported by 
  Tomasz Swiderski
 - Fix #7671 About stopping job waiting for the device
 - Slighly change SSL_shutdown() err handling
 - Fix MySQL default connection in the grant_mysql_privileges script

27Jun21
 - baculum: Fix component autochanger schemas in OpenAPI documentation
 - baculum: New delete volumes bulk action on volume list page
 - baculum: Add to API deleting volume from the catalog
 - baculum: Set responsive priority for job list table

26Jun21
 - baculum: Reorganize dasboard page - idea proposed by Sergey Zhidkov
 - baculum: Fix missing texts in translation files - reported by Sergey Zhidkov
 - baculum: Add new columns to job list page - idea proposed by Sergey Zhidkov
 - baculum: Add JSON output parameter to show client(s), show job(s), show 
  pool(s) API endpoints

25Jun21
 - Fix heartbeat segfault when the job is terminated very quickly

24Jun21
 - metaplugin - Remove locking on request.
 - metaplugin: Update backend termination procedure on cancel.

23Jun21
 - metaplugin: Add a proper job cancel handling.
 - Fix backward compatibility problem for plugin objects

18Jun21
 - pluginlib: Correct metaplugin build.
 - mssql: Fix #7777 About 'Create database Plugin Object record' error

17Jun21
 - Update (un)escape_filename_pathsep for proper escape.

16Jun21
 - Fix db_get_accurate_jobids() with concurrent queries on the same jobs

15Jun21
 - Fix #7806 Add ':_-.' to allowed tag characters
 - Adjust sample-query.sql file for new catalog schema

14Jun21
 - Fix #6001 About adding more logging for daemon<->daemon connection
 - Fix org#2622 About incorrect behavior of the MaxDiffInterval directive

11Jun21
 - Fix problem with decrementing Read Storage
 - metaplugin: Add PrevJobName parameter to JobInfo.

10Jun21
 - metaplugin: Add Error message tests to protocol.
 - metaplugin: Add error messages handling regression tests.

09Jun21
 - Fix #7568 About wrong handling of copy and migration jobs error handlig
 - Fix #7424 Count Plugin Object in verify data session
 - Fix plugin Makefile.in install-test-plugin target

08Jun21
 - Fix #6631 About bconsole command to show client's config
 - Fix #7776 About FD error not correctly reported in the job log
 - Add test-handlexacl-plugin-fd.c
 - Fix for plugin obects to properly decode object.

07Jun21
 - Update depkgs version to use latest libs3
 - rpms: Fix libs3 installation path
 - rpms: Do no build with tcp_wrapper on Fedora 31
 - Make 'status client' print plugin version by default
 - Fix #7770 About the full restore client name displayed in the restore job 
  status

05Jun21
 - rpms: Remove tcp_wrappers for cloud-storage rpm
 - rpms: Fix #2615 - Missing bacula-sd-cloud-s3-driver-<version>.so
 - rpms: Fix mysql devel package dependency for rhel/centos 7
 - rpms: Disable tcp_wrapper for rhel8 in bacula.spec.in
 - rpms: Fix #2599 - bacula-postgresql conflicts with bacula-mysql

04Jun21
 - Omit logging info about StorageGroup when it contains only 1 item
 - Fix #7739 About deleting running jobs

02Jun21
 - Sync update_mysql_database script with the community
 - Handle new streams in filed/restore.c

28May21
 - Fix #7718 About not respecting StorageGroupPolicy set in JobDefs res
 - Fix using proper StorageGroupPolicy defined in the Pool resource

26May21
 - baculum: Update script version
 - Fix #7629 About not using other available storages

24May21
 - Allow to use 'StorageGroupPolicy' directive in Pool resource
 - metaplugin: Fix #7678 About issue with queryParameter with an invalid plugin

21May21
 - Fix #7674 About more storage group messages changes

20May21
 - new ProgressCounter object to monitor progress, cancel and time
 - Fix #7669 About 'cancel inactive' crashing director

17May21
 - Fix #7644 About Storage Groups messages changes
 - Fix #7629 About empty group with storage selection
 - Fix org#2427 About incorrect handling of empty files with Accurate=yes on 
  Windows
 - Fix org#2442 About the check of the Control Device during startup

14May21
 - Fix #7628 About 'reload' command crashing the director

13May21
 - Fix #7623 About wrong versions reported by updatedb scripts

12May21
 - Revert "Fix #7321 About issue when stopping jobs waiting for resources"

10May21
 - Fix #7604 About catalog update (v1023->v1024)

07May21
 - pluginlib: Implement scan_and_terminate_str.
 - Fix stored/Makefile.in to install cloud driver object with cloud targets
 - Fix various default permissions

06May21
 - Disable fix on bvfs_get_jobids() temporarily

05May21
 - metaplugin: Add large packet (>64k) tests.
 - pluginlib: Update plugutil_str_split_to_alist.
 - metaplugin: Fix regression in protocol handling.

04May21
 - Fix org#2610 About incorrect stopping of running job
 - Fix org#2500 .bvfs_get_jobids jobid=X must return X in the list part2
 - Fix regress test issue with lchmod() feature on symlinks

30Apr21
 - Fix org#2605 About incorrect message in restore command
 - Fix of checking for job types for copy job
 - Fix org#2605 About incorrect message in restore command

29Apr21
 - baculum: Update Russian translations
 - baculum: Restore wizard improvements
 - update ./configure.in

28Apr21
 - Introduce 'o' option for accurate backup

26Apr21
 - Add offset= parameter in the 'list events' command

24Apr21
 - baculum: Fix sub-tabs on client and on storage pages

23Apr21
 - Fix #7552 About running wrong jopy job
 - Fix #7548 About wrong backup client displayed to the user
 - pluginlib: Update smart_ptr class.
 - Fix incorrect backport for patch #7451 about deleted files in virtualfull

22Apr21
 - Try to avoid segfault with heartbeat
 - catalog: Change ObjectStatus when creating class object to '0'

21Apr21
 - Update plugin interface version
 - Add BVarPluginDir variable to the plugin code
 - Update stream handling for FD plugins.

20Apr21
 - baculum: Fix #2592 logout button on Safari web browser
 - baculum: Add example working directory path in API install wizard
 - baculum: Add component action (start/stop/restart) buttons to client and 
  storage pages
 - Fix #7530 About allpools keyword ignored in cloud truncate command

19Apr21
 - baculum: Update Portuguese translations

18Apr21
 - baculum: Add new device interface definition to Baculum OpenAPI documentation
 - baculum: Fix double device error code number

17Apr21
 - baculum: Implement support for assigning multiple API hosts to one user
 - baculum: Use catalog access in changer listall endpoint only if it is configured 
  on API host

16Apr21
 - Fix #7375 About extending bls

15Apr21
 - baculum: Fix opening update slots window reported by Hector Barrera
 - metaplugin: Update regress test.
 - metaplugin: Correct XACL restore for FT_DIREND.

14Apr21
 - Fix #7448 About extending 'list jobs' with hours and days parameters
 - Fix #7113 add timestamp to dedup messages in trace file

13Apr21
 - metaplugin: Update regression tests.
 - metaplugin: Add proper skip handling to Bacula.

12Apr21
 - catalog: update to ver 1024
 - metaplugin: Update regression test for restore with core.
 - metaplugin: Add per file Core restore functionality.

08Apr21
 - baculum: Update Russian translations
 - Add back bacula/src/plugins/fd/Makefile.in
 - metaplugin: Add local restore with Core functions.
 - Add UnixTime to JSON output of the .jlist events command

07Apr21
 - metaplugin: Add checkFile() callback.
 - Fix upper camel case style for SdPacketCheck directive

06Apr21
 - baculum: Update Portuguese translations
 - Add plugins/Makefile.inc into ./configure.in

04Apr21
 - baculum: Implement autochanger management

02Apr21
 - Add escape_filename_pathsep() function to lib
 - metaplugin: Add support for FT_LNKSAVED at restore.
 - Fix org#2604 About columns alignment of 'Terminated Jobs' section

01Apr21
 - Fix handling of plugin/restore objects in copy/migration jobs
 - stored: add some more error handling in run_job()
 - dird: fix calls to start_storage_daemon_job() after introducing Storage 
  Manager
 - Add new options to list events command

31Mar21
 - Add ObjectStatus and ObjectCount to Plugin Objects
 - Ignore the case of characters Storage Policy (Pool/Job resource)
 - Add bconsole .jlist command to get JSON output from regular list commands

30Mar21
 - Remove unused bsparse tool to avoid compilation error messages
 - metaplugin: Fix PluginObject handling as last item
 - Fix compilation for check_bacula.c reported by Dan

29Mar21
 - vsphere: Update VIX lib to 7.0.2
 - Introduce Storage Manager and Storage Groups feature.

26Mar21
 - Fix #7465 About small change for 'status network' message

25Mar21
 - win32: Update openssl version to 1.1.1k
 - Remove suspicious debug line on setdebug()
 - win32: Fix error message when labeling volume on Windows SD
 - Do not abort the job at a low level if the TCP connection is refused

23Mar21
 - metaplugin: Update debugging logs.
 - Fix for copying pluginObject during copy jobs
 - Add some more handling for STREAM_PLUGIN_META_*

22Mar21
 - metaplugin: Update and extend regression tests.
 - metaplugin: Fix issue when got cancel on error.
 - Update pluginlib, add bin data to display.
 - Improve the FD cancel function while stopping the heartbeat process

18Mar21
 - Add support for store_alist_str() in plugin configuration items
 - Fix FD crash when the SD disk is full introduced with SDPacketCheck feature
 - Add functions to unittests library
 - Fix check_bacula.c to ignore daemon events

16Mar21
 - Enhance bdelete_and_free() macro
 - metaplugin: Add hardlink support to protocol.
 - Fix ff_pkt->plug_meta handling.

11Mar21
 - win32: Fix #7373 About issue with the rc build
 - win32: Fix compilation
 - win32: Fill the version information as CFLAGS
 - Add metadata support for metaplugin.

10Mar21
 - Add some auto-tuning to the SDPacketCheck feature

09Mar21
 - Fix #7449 About incorrect JSON output with TlsAllowedCn directive
 - Fix #7451 About deleted files incorrectly kept in Virtual Full
 - Fix for plugin file's metadata backing up flow

07Mar21
 - baculum: Use new APIv2 status client request on job history view page

05Mar21
 - baculum: Update Portuguese translations
 - baculum: Unify /jobs/{jobid}/files endpoint output for detailed and normal 
  modes
 - Add SDPacketCheck in the FileDaemon resource to control the network flow

04Mar21
 - Update typeof() usage for configured TYPEOF_FUNC.
 - Fix portability issue with typeof.

03Mar21
 - Fix #7396 grant command error in granting privileges script for MySQL
 - Fix Bacula_11.0 build by inverting dependencies.
 - Fix reload issue when a Job doesn't have a Pool defined
 - Fix #7286 DIR segfault when doing a "dir" command in a restore
 - Fix windows compilation issue
 - console: Fix may be uninitialized in this function.
 - tools: Fix may be uninitialized in this function.

02Mar21
 - Fix S3 compilation
 - Possible fix for SD high memory usage problem
 - Fix possible memory corruption in the label process
 - Fix compilation issue of the cloud driver

01Mar21
 - Handle lin_tape end of device with new 'Use Lintape=yes' Device directive
 - Fix "no new line at the end of the file".
 - Enable CAPS between FD/SD
 - Fix potential segfault in default bhash_info()

28Feb21
 - baculum: Update Polish translations
 - baculum: Update Russian translations
 - rpms: Fix bacula.spec for Fedora 31
 - rpms: Fix bacula.spec for rhel8 / centos 8
 - rpms: Update bacula.spec for rhel8
 - Fix bug #2498 - Wrong mode for /etc/logrotate.d/bacula
 - rpms: Fix missing query.sql

27Feb21
 - baculum: Implement API version 2

25Feb21
 - win32: Fix #7373 binaries are tagged with correct ressource

24Feb21
 - Fix #6817 About adding timestamps for dbcheck util

23Feb21
 - Fix Verify job issue with offset stream and compressed blocks

22Feb21
 - Update information message with 'purge jobs name=' command
 - Update help command for the purge command
 - Backport plugins/fd/fd_common.h
 - Fix license 5c072145d94044b683caf3c6deead8e0a7977f26

19Feb21
 - baculum: Add Craig Holyoak to AUTHORS
 - baculum: Fix #2597 LDAP login with LDAPS option
 - Fix org#2500 .bvfs_get_jobids jobid=X must return X in the list
 - Check if char **jobid parameter is NULL before to modify it in bvfs_parse_arg_version()
 - build: Update Plugins build procedure.
 - build: Regenerate configure.
 - build: Update and fix build procedure.
 - BPAM: move code to the proper location and correct regression build.
 - build: Update Plugins build procedure.

15Feb21
 - Fix #6051 About adding 'name' arg for 'purge jobs' command

14Feb21
 - Fix #7319 Introduce 'du' command inside restore menu

13Feb21
 - baculum: Fix cancel button in new job wizard

11Feb21
 - build: Refactor FD Plugins build procedures.
 - docker: Remove unused code moved to dkid_test.
 - Update files license header.

10Feb21
 - build: Remove generated file from repository.
 - Fix compilation of cloud driver
 - docker: Fix build after pluginlib introduction.
 - configure: Fix Pluginlib build.
 - configure: Fix $PLUGCONFILES setup.
 - configure: Fix small alignment problem.
 - docker: Move dkid unittests to docker directory.

08Feb21
 - Fix windows compilation

07Feb21
 - baculum: Fix undefined property error in run job API endpoint if level value 
  is not provided

06Feb21
 - baculum: Fix displaying warning messages in messages window
 - baculum: Improve updating asset files after upgrade

05Feb21
 - Add comments to alist.c
 - Split alist/ilist

04Feb21
 - Fix release/sign to use long key names
 - Fix windows compilation

03Feb21
 - win32: Backport signing procedures to 11.0
 - Fix copy/migration job selection

02Feb21
 - Use PKG_PROG_PKG_CONFIG macro to search for pkg-config. It is cross-compile 
  safe.
 - Fix configure.in
 - Fix compilation with init_working_directory()
 - update bgit.py
 - Review bstrncpy() calls
 - Add PGSQL detection for macOS and MacPorts.
 - Remove deprecated sbrk in macOS and Windows.

01Feb21
 - Initialize StartTime in db_create_job_record()

31Jan21
 - baculum: Fix finding jobs by filename in restore wizard if filename contains 
  whitespace characters
 - baculum: Update spec files
 - baculum: Update debian files to latest version
 - baculum: Remove excanvas.js dependency

30Jan21
 - baculum: Add job status weather on job list page
 - baculum: Add new icons for job status weather purpose
 - baculum: Add capability to create filedaemon console and schedule on new 
  resource page

28Jan21
 - baculum: Browser paths in restore browser using pathid
 - baculum: Add to Bvfs lsdirs and lsfiles API endpoints pathid parameter

27Jan21
 - Allow to set 0 as Maximum Job Error Count

26Jan21
 - Fix #7222 About 'yes' parameter for 'label barcodes' command
 - Fix #7262 About adding MaximumJobErrorCount FileDaemon directive

24Jan21
 - baculum: Add console messages log envelope
 - baculum: Add console messages log API endpoint

21Jan21
 - baculum: Fix #2560 in restore wizard display names encoded in non-UTF encoding
 - Fix #7261 About the director segfaulting due to too small msg buffer

15Jan21
 - Replace call .bvfs_ls_all_files with ".bvfs_lsfiles allfiles"
 - win32: Fix conditional #define's
 - bsmtp: Add the possibility to add emails separated with a comma as recipient 
  list

14Jan21
 - docker: Move dkid unit tests to separate file.
 - pluginlib: Fix linking problem.
 - docker: Refactor POOLMEM variables for POOL_MEM class.
 - Update pluginlib.

13Jan21
 - Add .bvfs_ls_all_files command
 - Windows: Fix #7256 Update Windows version detection with latest versions 
  (Windows 10).

12Jan21
 - Add bstrftime_gmt_iso8601() function

11Jan21
 - Take PluginObjects into account when copying a job

08Jan21
 - metaplugin: Fix prepare_backend regression.
 - metaplugin: Add plugin command duplication check.
 - metaplugin: Refactor simple sscanf.
 - metaplugin: Correct error message format.
 - Fix org#2579 About incorrect JSON generated from empty Messages resource

07Jan21
 - metaplugin: Fix regression at endjob procedure.

06Jan21
 - Fix org#2588 About incorrect Object/ObjectId type in update_postgresql_tables
 - Fix org#2587 Improve btraceback output
 - Fix org#2588 About incorrect Object/ObjectId type in update_postgresql_tables
 - Fix #7247 About incorrect variable substitution with the query command

05Jan21
 - pluginlib: Update metaplugin to use commctx.
 - pluginlib: Update commctx to handle foreach status.

04Jan21
 - pluginlib: PTCOMM allow to be used with CommCTX.

31Dec20
 - Add 'db_name_handler' for getting resource name from the catalog
 - Fix #7214 Adapt mtx-changer.conf for GNU cpio mt version

30Dec20
 - Fix #7207 About 'dbcheck -n' not working properly

28Dec20
 - Fix #7164 About Director reload issue with missing Job's directive

27Dec20
 - Introduce metadata plugin Iface

24Dec20
 - alist: Fix for memory overflow access.

23Dec20
 - docker: Refactor to use new pluginlib.
 - pluginlib: Refactoring PLUGINPREFIX to C++.
 - Remove legacy pluginlib.
 - docker: Refactor to use new pluginlib.
 - pluginlib: Add command context switcher.
 - pluginlib: Add smartptr template unittest.
 - pluginlib: Add smartalist template unittest.
 - pluginlib: Add common smart class templates.

22Dec20
 - ptcomm: Fix damaged buffer found in buffer resize.

21Dec20
 - Fix #7137 About checking for Storage being used for job restart/resume

18Dec20
 - Fix #7161 Add JobMedia::MediaId index to improve purge query

16Dec20
 - Fix #7141 rpm install try a "useradd root" instead of "useradd bacula"
 - BEE Backport bacula/src/tools/dbcheck.c

15Dec20
 - Fix update_sqlite3_tables to upgrade from 9.6 to 11.0
 - Fix MySQL update procedure with incorrect handling of the FileIndex type
 - Fix #7168 About incorrect start time displayed for canceled jobs not yet 
  running
 - Fix compilation warnings with Solaris Studio
 - baculum: Fix problem with setting hourly schedule - reported by Elias Pereira
 - Fix MySQL update procedure with incorrect handling of the FileIndex type
 - Fix update_sqlite3_tables to upgrade from 9.6 to 11.0

10Dec20
 - Fix #6637 About pool overriding for copy jobs
 - Fix #7165 About incorrect JSON output for SHA256/SHA512 option

09Dec20
 - ptcomm: Correct and increase default bpipe timeout.
 - win32: Update openssl for Windows to 1.1.1i

08Dec20
 - Change 'append_filter' sql helper to a function
 - Introduce 'bdb_list_plugin_objects_ids' helper method

07Dec20
 - pluginlib: Update PTCOMM.
 - ptcomm: Fix get_backend_pid regression.
 - pluginlib: Update build rules to check for headers.
 - Fix debug message
 - Do not hardcode FD Caps

04Dec20
 - Fix MySQL update scripts for new MariaDB
 - Fix warning in ./configure
 - update po

03Dec20
 - win32: Fix #7095 File deamon and plugins are not selected by default anymore
 - Introduce more filters for 'delete object' command
 - Introduce 'get_plugin_objects_ids' method
 - Add one missing use of O_CLOEXEC in vtape_dev.c
 - Add error code to init_dev()
 - Improve bscan so that it reinserts file records after prunning
 - update branch name
 - Restore custom permission of symlink on FreeBSD and MacOS
 - Sync FD/SD Version with Enterprise
 - Enable SD CAPS in hello()
 - Fix tools/Makefile.in

02Dec20
 - Fix #7113 Enable timestamp in tracefile for SD
 - Fix update_mysql_tables for UNSIGNED Ids
 - Fix Id type in MySQL make/update script
 - Fix Id type in MySQL make/update script

01Dec20
 - win32: Fix #7094 bypass random pwd generation when pwd is provided
 - Fix bscan's flushing file records in batch
 - Change plugin object-related logic in bscan to avoid duplicates
 - Fix #7098 About bscan duplicating restore objects
 - Fix org#2567 Device don't always get the right "capabilities"
 - baculum: Update script version

30Nov20
 - Fix org#2568 About compilation issue on gcc10
 - Fix org#2584 About inconsitancies in the make_mysql_tables script
 - Fix org#2573 About Syntax error in granting privileges script with MySQL if 
  --with-db-password parameter is used
 - Fix org#2471 About deleted files are listed as being present in an accurate 
  backup by various sample queries
 - Fix org#2571 About errors in es_AR.po file
 - Disable SSD Directory for community
 - Fix memory small loss in SD
 - Fix Cloud::Hostname configuration flag
 - Fix bdirjson segfault when the Catalog resource is set

28Nov20
 - baculum: Fix English text noticed by Peter McDonald
 - baculum: Prepare new FD scheduler support
 - baculum: Add new directives support
 - baculum: Adapt API part to new catalog format

27Nov20
 - Remove unused 'db_free_pluginobject_record' method

26Nov20
 - win32: Sign code when building it

25Nov20
 - Fix #7079 About a segfault in a copyjob when the fileset is no longer defined
 - Fix 32/64bit issue with setdebug command

24Nov20
 - BEE Backport tray monitor images
 - BEE Backport Android part
 - Add missing files
 - Add CDP to win32 Makefile
 - BEE Backport CDP Plugin
 - win32: Add cdp plugin
 - Update copyrights
 - pluginlib: Update test metaplugin backend.
 - pluginlib: Update ptcomm.
 - pluginlib: Extend scan_parameter_str for char*.
 - dedup: Fix #7033 device not initialized when using legacy config format
 - baculum: Update Russian translations

23Nov20
 - pluginlib: Add scan_parameter_str to replace some sscanf.
 - pluginlib: Add common Metaplugin protocol test backend.
 - Plugins: Add a common Bacula FD Plugin library.
 - baculum: Update Portuguese translations

22Nov20
 - baculum: Implement graphical status storage
 - baculum: Add gauge.js library
 - baculum: Add json output option to show storages and show single storage 
  endpoints

17Nov20
 - docker: Fix variable scope reduced.
 - docker: Fix variable not initialized in the constructor.

16Nov20
 - Unify UA_VERSION for both Community and BEE.
 - Fix restore objectid function (part2)
 - Generate few more files with test-plugin-fd
 - Fix restore objectid= command
 - Fix bvfs_restore command with objectid and incremental jobs

12Nov20
 - Fix #6981 About more info during deleting plugin object
 - Fix #6980 About lack of help for 'delete object' command
 - Fix #6940 about bscan segfaulting

11Nov20
 - baculum: Add path field to restore wizard to narrow down search file results 
  to specific path - idea proposed by Wanderlei Huttel
 - baculum: Add path parameter to job files API endpoint

10Nov20
 - Fix bacula-fused hanging issue with the lock manager
 - Fix Makefile for freebsd
 - baculum: Fix #2565 status icon overlaps action buttons in API wizard
 - baculum: Add Sergey Zhidkov to AUTHORS
 - baculum: Add Russian translations

09Nov20
 - Allow passing empty arguments to bvfs_restore

07Nov20
 - baculum: Fix access to job resources if no job assigned to user

06Nov20
 - Fix unexpected connection event sent by the FD when the Message resource is 
  not configured
 - Add event with full restore command
 - move 'append_filter' catalog helper to more common place

05Nov20
 - Add missing jcr's reference counter decrement in bscan.
 - Add missing database closing in bscan
 - Remove redundant 'db_close_database' define
 - Avoid shadow parameter in BDB::bdb_create_log_record()
 - baculum: Update Portuguese translations
 - baculum: Ajax queue improvement in framework
 - baculum: Fix renaming config resources

04Nov20
 - Add proper handling of batch SQL queries in bscan
 - Fix #6932 Add comment to make_catalog_backup.pl on the $wd variable

03Nov20
 - Fix #6938 About segfault in .defaults command
 - Fix #6711 About wrong error message in case of authentication problem
 - Use LSMDATE rather than BDATE for startup/shutdown events
 - Add VERSION/BDATE to daemon startup/shutdown events

02Nov20
 - Fix #2776 About specifying range in 'disable jobs' command

01Nov20
 - baculum: Add graphs to job view page

30Oct20
 - Fix #6920 About lack of filename logging in case of reading state_file 
  err
 - Add plugin object support to bvfs_restore command

29Oct20
 - Add event record at the end of the Catalog upgrade

28Oct20
 - baculum: Fix using offset in job file list query with MySQL catalog database
 - baculum: Show more detailed job file list - idea proposed by Wanderlei 
  Huttel
 - baculum: Rework job file list API endpoint

27Oct20
 - Fix #6857 About logging of copy jobs upgraded to backup
 - Fix incompatibility problem introduced with Plugin Object

26Oct20
 - Fix #6891 Handle empty PluginConfig files
 - small fix for db_get_plugin_object_record
 - Fix bvfs-restore-test on MySQL with many files

25Oct20
 - baculum: Add searching jobs by filename in restore wizard - idea proposed by 
  Wanderlei Huttel
 - baculum: Add job files API endpoint

23Oct20
 - Fix #6892 About issue in update_bacula_tables script
 - fix SQL query for sqlite default_sql_bvfs_select (BMR restore fail)
 - Add SHA256/SHA512 to Accurate job options

22Oct20
 - Fix #6099 About 'delete object' command

20Oct20
 - Add code to retry a MySQL query after a deadlock
 - Fix #5013 About 'enable/disable jobs all' command

19Oct20
 - Fix #6860 DIR crash when VF are started from the scheduler
 - Fix #6852 About 'restore copies'

16Oct20
 - rpms: Fix spec file with ldap auth plugin
 - Fix compilation on plugins
 - Fix win32 compilation with dedup
 - Fix crash on get_plugin_object_record()
 - Fix for update mysql script with ObjectCategory index
 - Fix listing single object with specified objectid
 - Add debug report when LDAP auth was success.
 - Fix FD segfault after a hangup/blowup
 - rpms: Add Director Authentication plugin to spec file
 - Update catalog to 1023 in cats.h

15Oct20
 - BConsole add '-p' to avoid getpass for authenticate.
 - Update catalog to version 1023
 - Fix to avoid null pointers in plugin object struct parsing
 - Update make_sqlite script with ObjectCategory
 - Allow to list objects by category
 - Terminate buffer in despool_attributes_from_file()
 - Fix bug in the Object protocol
 - bscan: Add Restore Object handling
 - bscan: Add Plugin Object handling
 - catalog: Add support for Object Management
 - win32: Fix compilation

14Oct20
 - Update update_mysql_tables.in for MySQL cluster support
 - dird: Add support for Object Management

13Oct20
 - Update error handling in BPAM framework.
 - Add BConsole Authentication Plugin framework and a LDAP Plugin.
 - Add support for SHA256/512 in Verify Jobs

12Oct20
 - win32: Move the MTab code to compat.cpp and use it with Plugins

09Oct20
 - Fix compilation for solaris
 - Check tag format in bconsole tag command

08Oct20
 - Fix compilation windows with new Object code

04Oct20
 - baculum: Update Portuguese translations
 - baculum: Add default days and limit values to status schedules API endpoint

02Oct20
 - win32: In silent mode, enable fd and plugins by default

01Oct20
 - Fix #6749 bextract crash at the end of a restore from dedup
 - Fix #6790 About adding 'command help' form in bconsole

30Sep20
 - Fix bvfs-test after patch on restore menu 11
 - Allows to "clone" a device for special purpose like vacuum & aligned
 - Fix restore count issue with restore menu 11
 - baculum: Fix displaying multitextbox and multicombobox directive controls
 - baculum: Fix date filter on status schedule page
 - baculum: Fix #2570 fileset excludes settings with PHP 7.4

29Sep20
 - Add -n option to dbcheck to adjust the number of changes done
 - baculum: New features and improvements to multi-user interface and restricted 
  access

28Sep20
 - Revert "Close the FD network link when we do a hangup on the storage side"

25Sep20
 - docker: Use the new RestoreObject interface
 - Use const inside the restore_object and plugin_objec structure

24Sep20
 - Add LDAP lib detection to configure

23Sep20
 - win32: Update OpenSSL to 1.1.1f

22Sep20
 - Use seek() with FO_OFFSETS

18Sep20
 - win32: Add to silent installer the Component selection with cmdline
 - Remove useless DISTINCT to basic queries and apply ACLs to .media command
 - bscan: Use Job name instead of JobId in logging
 - baculum: Fix displaying date and time on volume view page

17Sep20
 - Fix compilation warning
 - bscan: Add Restore Object handling
 - baculum: Fix #2564 changing volume status to Read-Only

16Sep20
 - test-plugin-fd: Add support for Plugin Objects
 - bscan: Add Plugin Object handling
 - test-plugin: Add Plugin Object handling and QueryInterface
 - test-plugin: Update plugin with restore object struct

15Sep20
 - win32: Add options for Bacula silent installation

11Sep20
 - baculum: Fix saving multicombobox control values
 - baculum: Fix multicombobox and multitextbox controls to work with PHP 7.4

10Sep20
 - baculum: Fix #2562 displaying date and time in tables on Safari

09Sep20
 - win32: Fix #6736 About SD, FD and DIR name length limit
 - filed: Add support for Object Management
 - plugins: Add Object Management handling
 - catalog: Add initial Object Management code
 - filed: Pack all restore object related fields into dedicated struct

07Sep20
 - Backport BEE scripts/btraceback.in
 - Update copyrights

04Sep20
 - Backport BEE regress/scripts/tls-console.conf.in
 - BEE Backport regress/scripts/setup
 - BEE Backport regress/scripts/prepare-fake-autochanger.in
 - BEE Backport regress/scripts/populate.py
 - BEE Backport regress/scripts/plugin-handleXACL-test-bacula-dir.conf.in
 - BEE Backport regress/scripts/find_bad_jobmedia.pl
 - BEE Backport regress/scripts/diff.pl
 - BEE Backport regress/scripts/create_sed
 - BEE Backport regress/scripts/copy-tls-confs
 - BEE Backport regress/scripts/copy-plugin-handleXACL-confs
 - BEE Backport regress/scripts/copy-kubernetes-plugin-confs
 - BEE Backport regress/scripts/collect-bacula-dir.conf.in
 - BEE Backport regress/scripts/copy-cdp-plugin-confs
 - BEE Backport regress/scripts/cdp-plugin-test-bacula-dir.conf.in
 - BEE Backport regress/scripts/bpipe.sh
 - BEE Backport regress/scripts/bpipe-error-restore.sh
 - BEE Backport regress/scripts/blab.py
 - BEE Backport regress/scripts/bconsole.py
 - BEE Backport regress/scripts/functions
 - BEE Backport from regress/scripts/bacula-sd-conf.vc.in
 - BEE Backport from regress/scripts/bacula-sd-vtape.conf.in
 - BEE Backport from regress/scripts/bacula-sd-tape.conf.in
 - BEE Backport regress/scripts/bacula-dir.conf.vc.in
 - Backport from BEE regress/scripts/bacula-dir.conf.maxruntime.in
 - Backport from BEE regress/scripts/bacula-dir-fifo.conf.in
 - BEE Backport regress/scripts/bacula-dir-migration.conf.in
 - Backport from BEE regress/scripts/ansi-sd-tape.conf.in
 - Backport from BEE regress/scripts/asyncregress.sh
 - Backport from BEE regress/scripts/aligned-bacula-dir.conf.in
 - Backport from BEE regress/scripts/aligned-bacula-sd.conf.in

03Sep20
 - BEE Backport ./bacula-sd-all.conf.in
 - BEE Backport regress/scripts/do_sed
 - Add back UserIdACL in dird_conf.c for regress tests

02Sep20
 - BEE Backport regress/tests/without-batch-insert-test
 - BEE Backport regress/tests/weird-files2-test
 - BEE Backport regress/tests/weird-files-test
 - BEE Backport regress/tests/vtape-test2-changer
 - BEE Backport regress/tests/vtape-maxconjob1-test
 - BEE Backport regress/tests/vtape-get-stuck-1242
 - BEE Backport regress/tests/vtape-bug-device-initialized
 - BEE Backport regress/tests/vtape-autoselect2-changer
 - BEE Backport regress/tests/vtape-autoselect-changer
 - BEE Backport regress/tests/volume-not-found-bug
 - BEE Backport regress/tests/virtualfull-pvf-test
 - BEE Backport regress/tests/virtualfull-loop-verify-test
 - BEE Backport regress/tests/virtualfull-heise-bug-test
 - BEE Backport regress/tests/virtualfull-extreme-concurrency-bug-test
 - BEE Backport regress/tests/virtualfull-concurrency-bug-test
 - BEE Backport regress/tests/virtual-jobid-test
 - BEE Backport regress/tests/virtual-deleted-files-test
 - BEE Backport regress/tests/virtual-corruption-test
 - BEE Backport regress/tests/virtual-changer-restore-test
 - BEE Backport regress/tests/truncate-volume-unused-test
 - BEE Backport regress/tests/truncate-race-bug-test
 - BEE Backport regress/tests/tls-encryp-multi-test
 - BEE Backport regress/tests/tls-check-test
 - BEE Backport regress/tests/three-pool-recycle-test
 - BEE Backport regress/tests/synconclose-test
 - BEE Backport regress/tests/storage-bug-695
 - BEE Backport regress/tests/status-network-test
 - BEE Backport regress/tests/sqlite-test
 - BEE Backport regress/tests/spool-attributes-test
 - BEE Backport regress/tests/source-fd-storage-addr-test
 - BEE Backport regress/tests/snapshot-zfs-test
 - BEE Backport regress/tests/snapshot-mountopts-test
 - BEE Backport regress/tests/snapshot-lvm-test
 - BEE Backport regress/tests/snapshot-cmd-test
 - BEE Backport regress/tests/snapshot-btrfs-test
 - BEE Backport regress/tests/show-test
 - BEE Backport regress/tests/show-acl-test
 - BEE Backport regress/tests/short-test
 - BEE Backport regress/tests/short-auto-label-test
 - BEE Backport regress/tests/short-aligned-test
 - BEE Backport regress/tests/shared-storage-test
 - BEE Backport regress/tests/sha1-test
 - BEE Backport regress/tests/sd-plugin-test
 - BEE Backport regress/tests/schedule-test
 - BEE Backport regress/tests/resume-job-test
 - BEE Backport regress/tests/restore-stop-read6-test
 - BEE Backport regress/tests/restore-stop-read5-test
 - BEE Backport regress/tests/restore-stop-read4-test
 - BEE Backport regress/tests/restore-stop-read3-test
 - BEE Backport regress/tests/restore-replace-ifnewer-test
 - BEE Backport regress/tests/restore-multi-version-test
 - BEE Backport regress/tests/restart-sessiontime-test
 - BEE Backport regress/tests/restart-job-virtual-full-test
 - BEE Backport regress/tests/remote-fd-test
 - BEE Backport regress/tests/remote-fd-plugin-test
 - BEE Backport regress/tests/remote-fd-aligned-test
 - BEE Backport regress/tests/reload-status-test
 - BEE Backport regress/tests/reload-many-test
 - BEE Backport regress/tests/reload-duplicate-test
 - BEE Backport regress/tests/regress.py
 - BEE Backport regress/tests/query-parameter-test
 - BEE Backport regress/tests/py-sample-test.py
 - BEE Backport regress/tests/plugin-handleXACL-test
 - BEE Backport regress/tests/opt-plugin-test
 - BEE Backport regress/tests/one-file-test
 - BEE Backport regress/tests/offset-test
 - BEE Backport regress/tests/noautoparent-test
 - BEE Backport regress/tests/n-files-test
 - BEE Backport regress/tests/migration-prevjob-test
 - BEE Backport regress/tests/migration-job-bug-3913
 - BEE Backport regress/tests/migration-heise-bug-test
 - BEE Backport regress/tests/messages-reload-test
 - BEE Backport regress/tests/maxuseduration-jobmedia-bug-test
 - BEE Backport regress/tests/many-volumes-test
 - BEE Backport regress/tests/many-jobs-test
 - BEE Backport regress/tests/many-incremental-test
 - BEE Backport regress/tests/lock-pid-test
 - BEE Backport regress/tests/jobmedia-bug3-test
 - BEE Backport regress/tests/inchanger-storageid-bug
 - BEE Backport regress/tests/hdfull-test
 - BEE Backport regress/tests/fdcallsdir-sched-test
 - BEE Backport regress/tests/events-filter-test
 - BEE Backport regress/tests/delete-pool-test
 - BEE Backport regress/tests/crazy-volumes-test.py
 - BEE Backport regress/tests/crazy-small-vol-test
 - BEE Backport regress/tests/console-glob-acl-test
 - BEE Backport regress/tests/console-delete-test
 - BEE Backport regress/tests/cloud-truncate-many-parts-test
 - BEE Backport regress/tests/cloud-recycle-test
 - BEE Backport regress/tests/cloud-download-test
 - BEE Backport regress/tests/cloud-MT4857-test
 - BEE Backport regress/tests/backup-to-null-crc32
 - BEE Backport regress/tests/fstype-test
 - BEE Backport regress/tests/fileindex-test
 - BEE Backport regress/tests/events-pruning-test
 - BEE Backport regress/tests/director-autoprune-test
 - BEE Backport regress/tests/crazy-small-volumes-test.py
 - BEE Backport regress/tests/copy-prevjob-test
 - BEE Backport regress/tests/console-acl-test
 - BEE Backport regress/tests/cloud-xfer-test
 - BEE Backport regress/tests/cloud-prune-test
 - BEE Backport regress/tests/cloud-concurrent-jobs-test
 - BEE Backport regress/tests/hardlink-vf-test
 - BEE Backport regress/tests/fs-error-test
 - BEE Backport regress/tests/fdcallsdir-test
 - BEE Backport regress/tests/events-test
 - BEE Backport regress/tests/encrypt-test
 - BEE Backport regress/tests/hangup-blowup-test
 - BEE Backport regress/tests/fileset-kw-test
 - BEE Backport regress/tests/fdcallsdir-many-clients-test
 - BEE Backport regress/tests/eighty-cancel-jobs-tape
 - BEE Backport regress/tests/hdfull-aligned-test
 - BEE Backport regress/tests/fileset-change-test
 - BEE Backport regress/tests/fast-nodisk-test
 - BEE Backport regress/tests/dynamic-client-address-test
 - BEE Backport regress/tests/counter-test
 - BEE Backport regress/tests/two-volume-changer
 - BEE Backport regress/tests/maxuseduration-test
 - BEE Backport regress/tests/four-concurrent-jobs-test
 - BEE Backport regress/tests/verify-vol-test
 - BEE Backport regress/tests/short-incremental-test
 - BEE Backport regress/tests/slow-test
 - BEE Backport regress/tests/truncate-test
 - BEE Backport regress/tests/restart-base-job-test
 - BEE Backport regress/tests/verify-data-test
 - BEE Backport regress/tests/cloud-test
 - BEE Backport regress/tests/aligned-and-normal-test
 - BEE Backport regress/tests/resume-jobs-test
 - BEE Backport regress/tests/aligned-multi-test
 - BEE Backport regress/tests/multi2-storage-test
 - BEE Backport regress/tests/maxruntime-test
 - BEE Backport regress/tests/chmod-test
 - BEE Backport regress/tests/monitoring-bacula-error-test
 - BEE Backport regress/tests/tls-duplicate-job-test
 - BEE Backport regress/tests/restart2-job-test
 - BEE Backport regress/tests/restart2-base-job-test
 - BEE Backport regress/tests/restart-jobmedia-test
 - BEE Backport regress/tests/remote-console-test
 - BEE Backport regress/tests/reload-client-address-test
 - BEE Backport regress/tests/pool-attributes-test
 - BEE Backport regress/tests/runscript-test
 - BEE Backport regress/tests/tls-authenticate-test
 - BEE Backport regress/tests/six-vol-test
 - BEE Backport regress/tests/restart-reschedule-test
 - BEE Backport regress/tests/prune-all-test
 - BEE Backport regress/tests/aligned-bug-1919-test
 - BEE Backport regress/tests/upgrade-to-full-test
 - BEE Backport regress/tests/status-test
 - BEE Backport regress/tests/migration-job-no-resource-test
 - BEE Backport regress/tests/three-pool-test
 - BEE Backport regress/tests/source-addr-test
 - BEE Backport regress/tests/manual-two-vol-tape
 - BEE Backport regress/tests/sd-sd-test
 - BEE Backport regress/tests/incremental-changer
 - BEE Backport regress/tests/mcj-test
 - BEE Backport regress/tests/file-span-vol-test
 - BEE Backport regress/tests/reload-test
 - BEE Backport regress/tests/debug-settings-test
 - BEE Backport regress/tests/debug-test
 - BEE Backport regress/tests/multi-drive1-test
 - BEE Backport regress/tests/prune-test
 - BEE Backport regress/tests/cancel-multiple-test
 - BEE Backport regress/tests/priority-test
 - BEE Backport regress/tests/plugin-test
 - BEE Backport regress/tests/maxbw-test
 - BEE Backport regress/tests/multi-drive-test
 - BEE Backport regress/tests/copy-uncopied-test
 - BEE Backport regress/tests/lockmgr-test
 - BEE Backport regress/tests/duplicate-job-test
 - BEE Backport regress/tests/bvfs-restore-test
 - BEE Backport regress/tests/bvfs-acl-test
 - BEE Backport regress/tests/backup-win32-tape
 - BEE Backport regress/tests/backup-bacula-test
 - BEE Backport regress/tests/aligned-test
 - BEE Backport regress/tests/exclude-dir-test
 - BEE Backport regress/tests/concurrent-jobs-test
 - BEE Backport regress/tests/acl-xattr-test
 - BEE Backport regress/tests/accurate-test
 - Backport regress scripts

31Aug20
 - Print events when the Director has fixed Job catalog records during startup

28Aug20
 - Add first support for tags in the Director
 - Stop flooding the console with error message in unittests

26Aug20
 - Close the FD network link when we do a hangup on the storage side
 - Add bEventIsCanceled interface for plugins

25Aug20
 - Fix #6531 About a crash when sending messages to the Director via a broken 
  socket

21Aug20
 - Avoid segfault with address manipulation functions

17Aug20
 - Clarify SD vbackup device error message

05Aug20
 - Fix restore issue in community version reported by big-vol-test
 - BEE Backport bacula/src/win32/filed/vss_generic.cpp
 - BEE Backport bacula/src/win32/filed/vss.h
 - BEE Backport bacula/src/win32/filed/vss.cpp
 - BEE Backport bacula/src/win32/filed/Makefile
 - BEE Backport bacula/src/win32/wx-console/Makefile
 - BEE Backport bacula/src/win32/tools/Makefile
 - BEE Backport bacula/src/win32/libwin32/main.cpp
 - BEE Backport bacula/src/win32/libwin32/aboutDialog.cpp
 - BEE Backport bacula/src/win32/libbac/Makefile
 - BEE Backport bacula/src/win32/lib/make_def64
 - BEE Backport bacula/src/win32/lib/make_def32
 - BEE Backport bacula/src/win32/lib/Makefile
 - BEE Backport bacula/src/win32/cats/Makefile
 - BEE Backport ./make_def
 - BEE Backport bacula/src/win32/dird/who.h
 - BEE Backport bacula/src/win32/dird/service.cpp
 - BEE Backport bacula/src/win32/dird/main.cpp
 - BEE Backport bacula/src/win32/dird/Makefile
 - BEE Backport bacula/src/win32/stored/who.h
 - BEE Backport bacula/src/win32/stored/Makefile
 - BEE Backport bacula/src/win32/stored/trayMonitor.cpp
 - BEE Backport bacula/src/win32/stored/service.cpp
 - BEE Backport bacula/src/win32/stored/main.cpp
 - BEE Backport ./xwinconfig.h
 - BEE Backport bacula/src/win32/compat/mingwconfig.h
 - BEE Backport bacula/src/win32/compat/compat.cpp
 - BEE Backport bacula/src/win32/compat/winapi.h
 - BEE Backport bacula/src/win32/compat/compat.h

03Aug20
 - Add missing error handling in do_vbackup()
 - BEE Backport regress/tests/restart-job-test
 - BEE Backport regress/scripts/functions.pm
 - BEE Backport regress/tests/maxtime-test regress/tests/restart-accurate-job-test
 - BEE Backport regress/tests/hardlink-test
 - BEE Backport regress/scripts/new-test-bacula-dir.conf.in
 - Fix compilation
 - Add EXTRA_XXX_SRCS to ./configure.in

02Aug20
 - mysql: add Primary Key for all fixed tables
 - mysql: add Primary Key to each table created when sql_require_primary_key 
  flag is turned on

31Jul20
 - Fix the jobLevel, fileSet and Client into Copy/Migrate-job

30Jul20
 - Remove duplicate code in setup_resume_job() about JobType and JobLevel

28Jul20
 - Fix accurate SQL query for SQLite, remove "()" around the query

24Jul20
 - Fix #6557 Suppress message "Error: bsock.c:394 Wrote 4 bytes" after a BNET_TERMINATE

23Jul20
 - Fix org#2551 About the 'show catalog' command that is truncating the db_driver

22Jul20
 - Reopen trace file after reload_config()
 - Reopen trace file in WORKING dir after read of configuration file
 - Revert PKEY-related part of commit bf9310c220

21Jul20
 - Add missing error handling for database queries
 - Fix depend target in filed/Makefile.in
 - Fix compilation with GPFS
 - BEE Backport regress/scripts/async.sh
 - BEE Backport regress scripts
 - BEE Backport bacula/src/qt-console/tray-monitor/android/src
 - BEE Backport bacula/src/qt-console/tray-monitor/android/make_release.sh
 - BEE Backport bacula/src/qt-console/tray-monitor/android/gradlew.bat
 - BEE Backport bacula/src/qt-console/tray-monitor/android/gradlew
 - BEE Backport bacula/src/qt-console/tray-monitor/android/gradle.properties
 - BEE Backport bacula/src/qt-console/tray-monitor/android/build.gradle
 - BEE Backport bacula/src/qt-console/tray-monitor/android/build-depkgs-android.sh
 - BEE Backport bacula/src/qt-console/tray-monitor/android/bacula-fd.conf
 - BEE Backport bacula/src/qt-console/tray-monitor/android/AndroidManifest.xml

20Jul20
 - Fix windows compilation
 - Fix compilation
 - gpfs: Detect libgpfs.so in gpfsdir
 - Fix compilation with GPFS
 - Do not display NOTICE messages after PostgreSQL commands
 - Use DROP TABLE IF EXISTS in cats library to avoid errors with missing tables
 - gpfs: Add GPFS in status client output (debug level > 0)
 - Display GPFS support in config.out

17Jul20
 - Fix #6602 About wrong message in case of setting '0' bandwidth limit
 - Do not check for libgpfs in ./configure
 - Fix #6573 copy-job ignores run spooldata=(yes/no) argument

16Jul20
 - Initialize the working_directory to a useful value until read from config 
  file
 - Allow backtrace to work before the load of the config file
 - Fix #4053 About wrong error message during virtual backup
 - Fix #6599 About a segfault in the Director with debuglevel >= 900

15Jul20
 - Fix mysql table creation issue with Events table
 - rpms: Add GPFS support to Redhat/SLES
 - Add possibility to express size/speed units in KiB, MiB, GiB and TiB
 - Add GPFS configure code
 - Add GPFS ACL/XATTR Support
 - Fix update_mysql_tables_1021_to_1022 for debian
 - Fix mysql table creation issue with Events table

14Jul20
 - Disable LOCK_GUARD macro

13Jul20
 - Fix #6575 add message during setting debug parameters for Director
 - Quick fix for LOCK_GUARD macro for the release

06Jul20
 - Fix #6472 Create resource "globals" when loading a new resource, not at first 
  use
 - Release globals for the schedule in terminate_dird()
 - Add LOCK_GUARD() macro that add _FILE_ & _LINE_ to the lock_guard class
 - cloud: Fix build. Include correct class header.

03Jul20
 - cloud: Fix #6457 About segfault in glacier restore due to s3ctx initialization 
  in s3_cloud_glacier

01Jul20
 - Fix bdirjson Autochanger display

30Jun20
 - Try to fix segfault in .status dir running command

29Jun20
 - Fix #6464 Add an event message when a volume is purged
 - Allow some extra characters in EventsSource catalog field
 - Eliminate compiler errors when smartalloc is turned off

28Jun20
 - baculum: Fix date formatter to work with PHP 7.4

27Jun20
 - baculum: Fix configure Bacula hosts page to work with PHP 7.4

26Jun20
 - Fix #6454 About bconsole complaining when dynamic configuration generates 
  messages in STDERR

25Jun20
 - baculum: Update Portuguese translations

24Jun20
 - baculum: Change colours in table headers and borders

23Jun20
 - Fix #6413 Issue after incorrect password/director

22Jun20
 - Add new Object fields to the Object table

20Jun20
 - baculum: Add remove runscript button

19Jun20
 - baculum: Close modal windows on pressing ESC key
 - baculum: Fix logout button on authorization failed page

18Jun20
 - baculum: Add local user authentication method support
 - Fix #6366 About an issue with verify job level=DiskToCatalog

17Jun20
 - Add helpers for POOL_MEM objects

16Jun20
 - android: Added code to enforce Roboto font

15Jun20
 - android: Added 'Report' button on File Daemon screen, which redirects FD 
  Trace data to a Mail App on the phone

14Jun20
 - baculum: Add date and time formatters - idea proposed by Wanderlei Huttel

13Jun20
 - baculum: Enable re-running jobs in async way and visual improvements

12Jun20
 - baculum: Change cursor over selectable table
 - Fix #6360 About a crash with complex events
 - Add simple bitmap class
 - Fix #6359 About btraceback script issue during Bacula initialization

11Jun20
 - baculum: Improve restore wizard
 - Fix build script copyright detection
 - release: add code to detect Bacula Systems copyrights and fail release

09Jun20
 - Add configure variables to baculabackupreport. Patch from bug #2538

08Jun20
 - cloud: Fix org#2542 About potential thread concurrency issues
 - Fix org#2484 Use message type to determine syslog message level
 - Fix org#2487 Get working directory from dbcheck in make_catalog_backup.pl
 - Disable VolCatCloudParts computation

06Jun20
 - Improve clarity of Cloud part mismatches and make it an INFO message rather 
  than a WARNING since it corrects the catalog.

05Jun20
 - Fix #6280 About issue with AllowDuplicate on Copy/Migration jobs
 - Add optimized version of the hardlink detection in BVFS

04Jun20
 - cloud: Always handle S3 driver in the device initialization
 - Fix #6341 About improving BVFS support for hardlinks
 - Fix compilation warning
 - Use bstrncat() instead of strncat()
 - Fix #6116 About restart/resume command is using original fileset/client 
  resource to restart jobs

03Jun20
 - Avoid concurrent initialization of the same device in the Storage Daemon

02Jun20
 - Fix tray-monitor installation
 - Add ./configure code to check for and enable/disable S3 support
 - Fix tray-monitor installation
 - Ensure cloud driver loaded when listing cloud volumes

29May20
 - baculum: Request #2546 support for full restore when file records for backup 
  job are pruned

25May20
 - baculum: Fix problem with authorization error after upgrade
 - baculum: Add UPGRADE file
 - Fix #6298 about permission issue on the Object table sequence id

24May20
 - baculum: Fix returning value in TStyleDiff - generated notice with PHP 
  7.4
 - baculum: Remove execute bit for framework scripts

22May20
 - baculum: Fix displaying empty column button in table column visibility menu - 
  reported by Wanderlei Huttel

21May20
 - baculum: Update Polish translations
 - baculum: Update Portuguese translations

20May20
 - make_unique_filename() now use "const char *key"

19May20
 - baculum: New user management. LDAP support. Role-based access control.
 - Update grant/drop SQL scripts for new tables
 - Add new SQL tables for next features
 - Fix BAT compilation

18May20
 - btraceback do a "bt full" of the faulty thread to get local variables

16May20
 - BEE Backport bacula/src/qt-console/tray-monitor/enterprise-tray-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/android.qrc
 - BEE Backport bacula/src/qt-console/tray-monitor/JobListItem.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-monitor.pro.mingw64.in
 - BEE Backport bacula/src/qt-console/tray-monitor/android-fd-service.h
 - BEE Backport bacula/src/qt-console/tray-monitor/FileSelectTab.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/runjob-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/TutorialPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/FileDaemonPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-ui.h
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-monitor.pro.mingw32.in
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-monitor.pro.in
 - BEE Backport bacula/src/qt-console/tray-monitor/respanel-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/PulseLoader.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/respanel-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/runjobmodel.h
 - BEE Backport bacula/src/qt-console/tray-monitor/jobmodel.h
 - BEE Backport bacula/src/qt-console/tray-monitor/enterprise-tray-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/RunJobPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/resmodel.h
 - BEE Backport bacula/src/qt-console/tray-monitor/RestoreJobPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-monitor.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-monitor.android.pro.in
 - BEE Backport bacula/src/qt-console/tray-monitor/task.h
 - BEE Backport bacula/src/qt-console/tray-monitor/task.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/resmodel.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/RestoreConfirmTab.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/runjobmodel.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/restorejobmodel.h
 - BEE Backport bacula/src/qt-console/tray-monitor/jobmodel.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/authenticate.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/MainMenuPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/restorejobmodel.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/resdetails-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/app-boot-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/JobSelectTab.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/resdetails-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/config-storage.h
 - BEE Backport bacula/src/qt-console/tray-monitor/ResourcePanel.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/restoreoptionswizardpage.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/app-boot-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/restore-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/ResourceStatusPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray_conf.h
 - BEE Backport bacula/src/qt-console/tray-monitor/make_debug_apk.sh.in
 - BEE Backport bacula/src/qt-console/tray-monitor/config-storage.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/ResourceListPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/main.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/fd-config-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/JobListPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/fd-config-ui-controller.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/TrayUiPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/FileDaemonConfigPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/DesignDocument
 - BEE Backport bacula/src/qt-console/tray-monitor/ConfigTutorialPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/tray_conf.cpp
 - BEE Backport bacula/src/qt-console/tray-monitor/runjob-ui-controller.h
 - BEE Backport bacula/src/qt-console/tray-monitor/ResourceListItem.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/FeaturesTutorialPage.qml
 - BEE Backport bacula/src/qt-console/tray-monitor/make_release_apk.sh.in
 - BEE Backport bacula/src/qt-console/win32/qmake.conf
 - BEE Backport bacula/src/qt-console/restore/restoretree.cpp
 - BEE Backport bacula/src/qt-console/bcomm/dircomm_auth.cpp
 - BEE Backport bacula/src/qt-console/bcomm/dircomm.cpp
 - BEE Backport bacula/src/qt-console/bat_conf.h
 - BEE Backport bacula/src/qt-console/bat_conf.cpp
 - BEE Backport bacula/src/qt-console/bat.pro.mingw64.in
 - BEE Backport bacula/src/qt-console/bat.pro.mingw32.in
 - BEE Backport bacula/src/qt-console/pages.h
 - BEE Backport bacula/src/qt-console/bat.pro.in
 - BEE Backport bacula/src/qt-console/main.qrc
 - BEE Backport bacula/src/qt-console/bat.pro.android
 - BEE Backport bacula/src/qt-console/make-win32

13May20
 - Fix #6270 About incorrect JobId displayed in "list joblog"

12May20
 - Fix compilation on Tru64
 - Fix new compiler warnings + always use bstrncpy not strncpy to ensure EOS at 
  end of string
 - BEE Backport bacula/src/console/console_conf.c
 - BEE Backport bacula/src/console/console_conf.h
 - BEE Backport bacula/src/console/console.c
 - BEE Backport bacula/src/console/bbconsjson.c
 - BEE Backport bacula/src/console/authenticate.c
 - BEE Backport bacula/src/version.h
 - BEE Backport bacula/src/filetypes.h
 - BEE Backport bacula/src/fileopts.h
 - BEE Backport bacula/src/streams.h
 - BEE Backport bacula/src/jcr.h
 - BEE Backport bacula/src/bacula.h
 - BEE Backport bacula/src/baconfig.h
 - BEE Backport bacula/src/fileopts.h
 - BEE Backport bacula/autoconf/config.h.in
 - BEE Backport config.guess
 - BEE Backport bacula/autoconf/bacula-macros/db.m4
 - BEE Backport bacula/autoconf/Make.common.in
 - Add BEEF to version.h
 - BEE Backport bacula/src/lib/authenticatebase.h
 - BEE Backport bacula/src/lib/bsock_meeting.c/h
 - BEE Backport bacula/src/stored/vtape_dev.h
 - BEE Backport bacula/src/stored/vtape_dev.c
 - BEE Backport bacula/src/stored/vol_mgr.c
 - BEE Backport bacula/src/stored/vbackup.c
 - BEE Backport bacula/src/stored/tape_dev.h
 - BEE Backport bacula/src/stored/tape_dev.c
 - BEE Backport bacula/src/stored/stored_conf.h
 - BEE Backport bacula/src/stored/stored_conf.c
 - BEE Backport bacula/src/stored/stored.h
 - BEE Backport bacula/src/stored/stored.c
 - BEE Backport bacula/src/stored/status.c
 - BEE Backport bacula/src/stored/protos.h
 - BEE Backport bacula/src/stored/spool.c
 - BEE Backport bacula/src/stored/sdcollect.c
 - BEE Backport bacula/src/stored/sd_plugins.h
 - BEE Backport bacula/src/stored/sd_plugins.c
 - BEE Backport bacula/src/stored/s3_driver.h
 - BEE Backport bacula/src/stored/s3_driver.c
 - BEE Backport bacula/src/stored/reserve.c
 - BEE Backport bacula/src/stored/record_write.c
 - BEE Backport bacula/src/stored/record_util.c
 - BEE Backport bacula/src/stored/record_read.c
 - BEE Backport bacula/src/stored/record.h
 - BEE Backport bacula/src/stored/read_records.c
 - BEE Backport bacula/src/stored/read.c
 - BEE Backport bacula/src/stored/protos.h
 - BEE Backport bacula/src/stored/prepare.h
 - BEE Backport bacula/src/stored/org_stored_prepare.c
 - BEE Backport bacula/src/stored/org_stored_dedup.c
 - BEE Backport bacula/src/stored/org_libsd_sir.c
 - BEE Backport bacula/src/stored/org_libsd_quota.c
 - BEE Backport bacula/src/stored/org_libsd_filemedia.c
 - BEE Backport bacula/src/stored/null_dev.c
 - BEE Backport bacula/src/stored/mount.c
 - BEE Backport bacula/src/stored/match_bsr.c
 - BEE Backport bacula/src/stored/lock.c
 - BEE Backport bacula/src/stored/label.c
 - BEE Backport bacula/src/stored/job.c
 - BEE Backport bacula/src/stored/init_dev.c
 - BEE Backport bacula/src/stored/hello.c
 - BEE Backport bacula/src/stored/generic_driver.h
 - BEE Backport bacula/src/stored/fifo_dev.c
 - BEE Backport bacula/src/stored/autochanger.c
 - BEE Backport bacula/src/stored/generic_driver.c
 - BEE Backport bacula/src/stored/file_driver.h
 - BEE Backport bacula/src/stored/file_driver.c
 - BEE Backport bacula/src/stored/fd_cmds.c
 - BEE Backport bacula/src/stored/dircmd.c
 - BEE Backport bacula/src/stored/dev.h
 - BEE Backport bacula/src/stored/dev.c
 - BEE Backport bacula/src/stored/dedupstored.h
 - BEE Backport bacula/src/stored/dedup_interface.h
 - BEE Backport bacula/src/stored/dedup_dev.h
 - BEE Backport bacula/src/stored/cloud_transfer_mgr.h
 - BEE Backport bacula/src/stored/cloud_transfer_mgr.c
 - BEE Backport bacula/src/stored/cloud_parts.h
 - BEE Backport bacula/src/stored/cloud_parts.c
 - BEE Backport bacula/src/stored/cloud_glacier.h
 - BEE Backport bacula/src/stored/cloud_driver.h
 - BEE Backport bacula/src/stored/cloud_dev.h
 - BEE Backport bacula/src/stored/cloud_dev.c
 - BEE Backport bacula/src/stored/butil.c
 - BEE Backport bacula/src/stored/bsdjson.c
 - BEE Backport bacula/src/stored/bscan.c
 - BEE Backport bacula/src/stored/bls.c
 - BEE Backport bacula/src/stored/block_util.c
 - BEE Backport bacula/src/stored/block.h
 - BEE Backport bacula/src/stored/block.c
 - BEE Backport bacula/src/stored/bextract.c
 - BEE Backport bacula/src/stored/bcopy.c
 - BEE Backport bacula/src/stored/authenticate.c
 - BEE Backport bacula/src/stored/askdir.c
 - BEE Backport bacula/src/stored/append.c
 - BEE Backport bacula/src/stored/aligned_dev.h
 - BEE Backport bacula/src/stored/acquire.c
 - BEE Backport bacula/src/stored/Makefile.in
 - BEE Backport bacula/src/tools/test_tags.c
 - BEE Backport bacula/src/tools/joblist.c
 - BEE Backport bacula/src/tools/cdp-client
 - BEE Backport bacula/src/tools/bwild.c
 - BEE Backport bacula/src/tools/bsparse.c
 - BEE Backport bacula/src/tools/bsock_meeting_test.c
 - BEE Backport bacula/src/tools/bsnapshot.c
 - BEE Backport bacula/src/tools/bsmtp.c
 - BEE Backport bacula/src/tools/bregtest.c
 - BEE Backport bacula/src/tools/bregex.c
 - BEE Backport bacula/src/tools/Makefile.in
 - Remove create_test_database
 - BEE Backport bacula/src/cats/sql_list.c
 - BEE Backport bacula/src/cats/drop_postgresql_tables.in
 - BEE Backport bacula/src/cats/delete_catalog_backup.in
 - BEE Backport bacula/src/lib/bcrc32.c

11May20
 - Return smartalloc buffers zeroed -- future performance improvement
 - BEE Backport bacula/src/cats/update_sqlite3_tables.in
 - BEE Backport bacula/src/cats/update_postgresql_tables.in
 - BEE Backport bacula/src/cats/update_mysql_tables.in
 - BEE Backport bacula/src/cats/sqlite.c
 - BEE Backport bacula/src/cats/sql_update.c
 - BEE Backport bacula/src/cats/sql_get.c
 - BEE Backport bacula/src/cats/sql_find.c
 - BEE Backport bacula/src/cats/sql_delete.c
 - BEE Backport bacula/src/cats/sql_create.c
 - BEE Backport bacula/src/cats/sql_cmds.h
 - BEE Backport bacula/src/cats/sql_cmds.c
 - BEE Backport bacula/src/cats/sql.c
 - BEE Backport bacula/src/cats/protos.h
 - BEE Backport bacula/src/cats/postgresql.c
 - BEE Backport bacula/src/cats/mysql.c
 - BEE Backport bacula/src/cats/make_sqlite3_tables.in
 - BEE Backport bacula/src/cats/make_postgresql_tables.in
 - BEE Backport bacula/src/cats/make_mysql_tables.in
 - BEE Backport bacula/src/cats/make_catalog_backup.pl.in
 - BEE Backport bacula/src/cats/grant_postgresql_privileges.in
 - BEE Backport fix_postgresql_tables
 - BEE Backport bacula/src/cats/drop_mysql_tables.in
 - BEE Backport bacula/src/cats/cats.h
 - BEE Backport bacula/src/cats/cats.c
 - BEE Backport bacula/src/cats/bvfs.h
 - BEE Backport bacula/src/cats/bvfs.c
 - BEE Backport bacula/src/cats/bdb.h
 - BEE Backport bacula/src/cats/Makefile.in

10May20
 - Improve scanning data/time, fixes bug #2472
 - Make ABORT mention segfault to clarify non-bug #2528

09May20
 - baculum: Fix validators in run job modal window

02May20
 - Remove unused -t option in dbcheck.c -- fixes bug #2453

01May20
 - Fix bug #2534 possible double free in error case
 - Fix bstat_test unittest
 - Fix events scan function
 - Fix possible sscanf overflows
 - Fix overflow from malicious FD reported by Pasi Saarinen

29Apr20
 - Update SQL scripts for Events table. Catalog format 1022

24Apr20
 - Reliably log user activity in a way that satisfies auditors
 - BEE Backport bacula/src/dird/verify.c
 - BEE Backport bacula/src/dird/vbackup.c
 - BEE Backport bacula/src/dird/ua_update.c
 - BEE Backport bacula/src/dird/ua_tree.c
 - BEE Backport bacula/src/dird/ua_status.c
 - BEE Backport bacula/src/dird/ua_select.c
 - BEE Backport bacula/src/dird/ua_run.c
 - BEE Backport bacula/src/dird/ua_restore.c
 - BEE Backport bacula/src/dird/ua_purge.c
 - BEE Backport bacula/src/dird/ua_prune.c
 - BEE Backport bacula/src/dird/ua_output.c
 - BEE Backport bacula/src/dird/ua_label.c
 - BEE Backport bacula/src/dird/ua_dotcmds.c
 - BEE Backport bacula/src/dird/ua_collect.c
 - BEE Backport bacula/src/dird/ua_cmds.c
 - BEE Backport bacula/src/dird/ua_acl.c
 - BEE Backport bacula/src/dird/ua.h
 - BEE Backport bacula/src/dird/snapshot.c
 - BEE Backport bacula/src/dird/run_conf.c
 - BEE Backport bacula/src/dird/restore.c
 - BEE Backport bacula/src/dird/query.sql
 - BEE Backport bacula/src/dird/protos.h
 - BEE Backport bacula/src/lib/org_dird_quota.c
 - BEE Backport bacula/src/dird/next_vol.c
 - BEE Backport bacula/src/dird/newvol.c
 - BEE Backport bacula/src/dird/msgchan.c
 - BEE Backport bacula/src/dird/mac_sql.c
 - BEE Backport bacula/src/dird/job.c
 - BEE Backport bacula/src/dird/inc_conf.c
 - BEE Backport bacula/src/dird/fd_cmds.c
 - BEE Backport bacula/src/dird/dird_conf.h
 - BEE Backport bacula/src/dird/dird_conf.c
 - BEE Backport bacula/src/dird/dird.c
 - BEE Backport bacula/src/dird/dir_plugins.c
 - BEE Backport bacula/src/dird/catreq.c
 - BEE Backport bacula/src/dird/bsr.c
 - BEE Backport bacula/src/dird/bdirjson.c
 - BEE Backport bacula/src/dird/backup.c
 - BEE Backport bacula/src/dird/autoprune.c
 - BEE Backport bacula/src/dird/authenticate.c
 - BEE Backport bacula/src/dird/admin.c
 - BEE Backport bacula/src/dird/Makefile.in

23Apr20
 - BEE Backport bacula/src/lib/output.h
 - BEE Backport bacula/src/lib/org_lib_fips.c
 - BEE Backport bacula/src/lib/org_lib_dedup.h
 - BEE Backport bacula/src/lib/org_lib_dedup.c
 - BEE Backport bacula/src/lib/authenticatebase.cc
 - BEE Backport bacula/src/lib/worker.c
 - BEE Backport bacula/src/lib/util.c
 - BEE Backport bacula/src/lib/unittests.h
 - BEE Backport bacula/src/lib/unittests.c
 - BEE Backport bacula/src/lib/tls.c
 - BEE Backport bacula/src/lib/status.h
 - BEE Backport bacula/src/lib/signal.c
 - BEE Backport bacula/src/lib/scan.c
 - BEE Backport bacula/src/lib/res.c
 - BEE Backport bacula/src/lib/protos.h
 - BEE Backport bacula/src/lib/plugins.h
 - BEE Backport bacula/src/lib/plugins.c
 - BEE Backport bacula/src/lib/parse_conf.h
 - BEE Backport bacula/src/lib/parse_conf.c
 - BEE Backport bacula/src/lib/output.c
 - BEE Backport bacula/src/lib/openssl.c
 - BEE Backport bacula/src/lib/openssl-compat.h
 - BEE Backport bacula/src/lib/message.h
 - BEE Backport bacula/src/lib/message.c
 - Add POOL_MEM.handle() function to get POOLMEM** from POOL_MEM
 - Add author note on lockmanager
 - BEE Backport bacula/src/lib/lockmgr.c
 - BEE Backport bacula/src/lib/lib.h
 - Add jobuser/jobgroup restore options
 - BEE Backport bacula/src/lib/edit.c
 - BEE Backport bacula/src/lib/dlist.h
 - BEE Backport bacula/src/lib/dlist.c
 - Check that the digest is valid before to use it
 - BEE Backport bacula/src/lib/cram-md5.c
 - Remove crc32.c

22Apr20
 - Add %x to scan_string

20Apr20
 - bwlimit avoid sleep > 60s
 - Add bstrftime_c() function
 - BEE Backport bacula/src/lib/bsys.c
 - BEE Backport bacula/src/lib/bsockcore.h
 - BEE Backport bacula/src/lib/bsockcore.c
 - BEE Backport bacula/src/lib/bsock.h
 - BEE Backport bacula/src/lib/bsock.c
 - Do not use tcp settings for unix pipes
 - BEE Backport bacula/src/lib/bnet_server.c
 - BEE Backport bacula/src/lib/bnet.c
 - BEE Backport bacula/src/lib/bget_msg.h
 - BEE Backport bacula/src/lib/address_conf.c
 - BEE Backport bacula/src/lib/Makefile.in
 - BEE Backport bacula/src/findlib/win32filter.h
 - BEE Backport bacula/src/findlib/win32filter.c
 - BEE Backport bacula/src/findlib/protos.h
 - BEE Backport bacula/src/findlib/match.c
 - BEE Backport bacula/src/findlib/fstype.c
 - BEE Backport bacula/src/findlib/find_one.c
 - BEE Backport bacula/src/findlib/find.h
 - BEE Backport bacula/src/findlib/find.c
 - BEE Backport bacula/src/findlib/create_file.c
 - BEE Backport bacula/src/findlib/bfile.c
 - BEE Backport bacula/src/findlib/attribs.c
 - BEE Backport bacula/src/findlib/Makefile.in
 - BEE Backport runres_conf.c and stub files
 - BEE Backport bacula/src/filed/fdcallsdir.c
 - BEE Backport bacula/src/filed/verify_vol.c
 - BEE Backport bacula/src/filed/verify.c
 - BEE Backport bacula/src/filed/status.c
 - BEE Backport bacula/src/filed/restore.h
 - BEE Backport bacula/src/filed/restore.c
 - BEE Backport bacula/src/filed/protos.h
 - BEE Backport bacula/src/filed/job.c
 - BEE Backport bacula/src/filed/hello.c
 - BEE Backport bacula/src/filed/heartbeat.c
 - BEE Backport bacula/src/filed/filed_conf.h
 - BEE Backport bacula/src/filed/filed_conf.c
 - BEE Backport bacula/src/filed/filed.h
 - BEE Backport bacula/src/filed/filed.c
 - BEE Backport bacula/src/filed/fd_snapshot.h
 - BEE Backport bacula/src/filed/fd_snapshot.c
 - BEE Backport bacula/src/filed/fd_plugins.h
 - BEE Backport bacula/src/filed/fd_plugins.c
 - BEE Backport bacula/src/filed/crypto.c
 - BEE Backport bacula/src/filed/bxattr_solaris.h
 - BEE Backport bacula/src/filed/bxattr_solaris.c
 - BEE Backport bacula/src/filed/bxattr_linux.c
 - BEE Backport bacula/src/filed/bxattr.h
 - BEE Backport bacula/src/filed/bxattr.c
 - BEE Backport bacula/src/filed/bfdjson.c
 - BEE Backport bacula/src/filed/bacula-fd.conf.in
 - BEE Backport bacula/src/filed/bacl.h
 - BEE Backport bacula/src/filed/bacl.c
 - BEE Backport bacula/src/filed/backup.h
 - BEE Backport bacula/src/filed/backup.c
 - BEE Backport bacula/src/filed/authenticate.c
 - BEE Backport bacula/src/filed/accurate.c
 - BEE Backport bacula/src/filed/Makefile.in

18Apr20
 - baculum: Add option to show time in job log - idea proposed by Wanderlei 
  Huttel
 - baculum: Add show log time parameter to job log endpoint

17Apr20
 - Update copyright year

16Apr20
 - baculum: Add tip about using table row selection

15Apr20
 - fix bls arguments dedup & filter both static in bls.c

03Apr20
 - dedup: split more dedup1 & dedup2

25Mar20
 - Move dedup code into dedup1 directory

19Mar20
 - more work on QT5 for windows

17Mar20
 - Fix bug #2525 seg fault when doing estimate with accurate and MD5
 - baculum: Fix issues with SELinux support reported by Neil MacGregor

16Mar20
 - Add support for QT5 in windows build
 - Correct some copyrights

09Mar20
 - Add little bpipe_test in tools/
 - Eliminate false error when droping postgres table MAC

08Mar20
 - Fix logic error in clearing bit on Windows

07Mar20
 - baculum: Update Portuguese translations
 - baculum: Update Polish translations
 - baculum: Add patch to PRADO framework 4.0.1 for supporting PostgreSQL 12 
  catalog database
 - baculum: Add support for PostgreSQL 12 catalog database
 - Enhance failed bpipe to changer error message
 - Clean up some incorrect copyrights
 - Correct spelling errors in messages
 - Add to plugins links
 - Add Docker plugin rpm spec files

28Feb20
 - unittest fix gdb_print_local() used by _ok() to avoid "tail call"

26Feb20
 - unittest: new rok() is ok or display the label and "return 1;"

08May19
 - cdp-client: Add exe to installers. Modify tools makefile.

26Mar18
 - win32: Makefile add winfiled target + NOTPARALLEL

28Oct17
 - Mark Volume read-only only if no access rights or read-only partition

23Oct17
 - When read-only volume found mark it in catalog -- fixes bug #2337

13Mar17
 - Add support for Fujitsu Eternus LT under Solaris 11

09Feb16
 - Fix bug #2197 -- build failure with --disable-libtool

Bugs fixed/closed since last release:

2197 2337 2427 2442 2453 2471 2472 2484 2487 2498 2500 2525 2528
2534 2538 2542 2546 2551 2560 2562 2564 2565 2567 2568 2570 2571
2573 2579 2584 2587 2588 2592 2597 2599 2604 2605 2610 2615 2622
2623 2627 2642 2646 2647 2653 2654 2656 2776 4053 5013 6001 6051
6099 6116 6119 6270 6280 6298 6341 6359 6360 6366 6413 6454 6457
6464 6472 6531 6557 6573 6575 6599 6602 6631 6637 6711 6736 6749
6790 6817 6852 6857 6860 6891 6892 6920 6932 6938 6940 6980 6981
6986 7033 7079 7094 7095 7098 7113 7137 7141 7161 7164 7165 7168
7207 7214 7222 7247 7256 7261 7262 7286 7319 7321 7373 7375 7396
7424 7448 7449 7451 7465 7530 7548 7552 7568 7600 7604 7623 7628
7629 7644 7660 7669 7671 7674 7678 7718 7739 7770 7776 7777 7806
7888 7914 7939 7959 7985 7986 7998 8098 8101 8126 8140 8142 8159
8167 8265 8276 8343 8576 8608 8719 8861 8866

        Changelog for version 9.6.3

09Mar20
 - Eliminate false error when droping postgres table MAC
 - Apply Carsten's character set fix for the docs. Many thanks!

08Mar20
 - Fix logic error in clearing bit on Windows

07Mar20
 - baculum: Update Portuguese translations
 - baculum: Update Polish translations
 - baculum: Add patch to PRADO framework 4.0.1 for supporting PostgreSQL 12 
  catalog database
 - baculum: Add support for PostgreSQL 12 catalog database
 - Enhance failed bpipe to changer error message
 - Clean up some incorrect copyrights
 - Correct spelling errors in messages
 - Add to plugins links

01Mar20
 - baculum: Add bulk actions for job history and volume tables
 - baculum: Update DataTables and its plugins

27Feb20
 - docker: Update copyright headers.
 - Update BSD copyright on *.conf.in files
 - docker: Remove unneeded tar binary.
 - Fix workaround for Sun C++ recommended by Phil Stracchino
 - baculum: Update Polish translations
 - baculum: Update Portuguese translations

Bugs fixed/closed since last release:

======================================
Release 9.6.2
26Feb20
 - Apply fix for history size from Martin Simmons

25Feb20
 - Fix missing part of patch 8135b9d21d -- readline truncate fix

23Feb20
 - baculum: Fix using bconsole with sudo on Fedora if SELinux is enabled

22Feb20
 - baculum: Add copy, CSV and column visibility buttons to tables
 - baculum: Add buttons and colvis DataTables plugins
 - baculum: Add additional values to job and volume API endpoints

15Jan20
 - docker: Replace realloc_pm() for check_size().
 - Update pluglib.
 - Fix Docker Plugin for accurate backup.
 - Docker: add baculatar docker image.

09Jan20
 - Win32: update Windows build to including needed collector files

31Dec19
 - Get Branch-9.4 ReleaseNotes
 - Update po POTFILES.in and version
 - Get ChangeLog from Branch-9.4

17Dec19
 - baculum: Update Polish translations for API and Web
 - baculum: Update Portuguese translations for API and Web

16Dec19
 - Fix cats-test.c compile

14Dec19
 - baculum: Upgrade W3.CSS from version 4.10 to 4.13
 - Add Docker Plugin for FileDaemon.
 - Add pluglib fd plugin support utilities.
 - Redesigning PM management add missing files.

12Dec19
 - baculum: Fix delete job button visibility
 - baculum: Add to BVFS lsdirs, lsfiles and versions endpoints new output=raw/json 
  parameter

08Dec19
 - baculum: Update spec and deb files

07Dec19
 - baculum: Do not try to switch to new user in API and Web install wizards
 - baculum: Improve Polish translations
 - baculum: Fix maximum length for basic auth password fields
 - baculum: Start storing basic auth passwords in APR MD5 format
 - baculum: Fix button to reopen change user password setting
 - baculum: Fix sorting clients in fileset browser window

05Dec19
 - baculum: Improve showing create new resource messages

03Dec19
 - baculum: Improve texts in restore wizard
 - baculum: Use new icons in restore and fileset browsers
 - baculum: Fix PHP error on storage view page with autochanger comming from 
  host different than main (reported by Jose Alberto)

01Dec19
 - baculum: Fix internal error on restore page if MySQL catalog database is 
  used
 - baculum: Avoid doing redundant API calls by job monitor
 - baculum: Add support to restore from copy jobs
 - baculum: Add API changes to support restore from copy jobs

29Nov19
 - baculum: Add script for checking if Baculum files are installed correctly

24Nov19
 - baculum: Refactor authentication, authorization and exceptions

22Nov19
 - Fix #5708 about "cancel all" command issue

21Nov19
 - baculum: Bandwidth limit window improvements

20Nov19
 - baculum: Add auto-refreshing job tables

18Nov19
 - baculum: Add progress bar to restore jobs on status client
 - baculum: Add job name parameter to monitor

17Nov19
 - baculum: Add table filters

16Nov19
 - baculum: Add restore progress bar
 - baculum: In job status avoid calling client if job isn't running

14Nov19
 - Fix compilation on Solaris
 - baculum: Extend max length for client secret field to maximum allowed secret 
  size

11Nov19
 - baculum: Improvements to messages resource
 - baculum: Implement swipe event and use it to hide main menu on mobile devices

10Nov19
 - baculum: Group directives into sections in config directive list

09Nov19
 - baculum: Fix problem with shaking spinning icons on Firefox
 - baculum: Add confirm window to delete job action
 - baculum: Add job history list on job page

08Nov19
 - baculum: Fix loading first job setting in run job window on window open
 - baculum: Add in API wizard example sudo configuration for bconsole and JSON 
  tools
 - baculum: Make resource config page buttons always available

06Nov19
 - baculum: Fix language setting in config wizard during first run

05Nov19
 - baculum: Fix refreshing job status only when actions tab is open

03Nov19
 - baculum: Miscellaneous improvements to schedule configuration
 - baculum: Extend combobox control to support associative arrays as data 
  source

01Nov19
 - Fix for #0005391: show negative values.

30Oct19
 - Fix #5546 about incorrect level for job resumed
 - baculum: Move refresh job button and log order button to job log tab

29Oct19
 - baculum: Set job values on job selection in run job window
 - baculum: Turn application mode to normal
 - baculum: Add jsmin-php as framework dependency
 - baculum: Fix small issues with old not using svg icons

28Oct19
 - Fix error on .ls when plugin name without ':'
 - baculum: Add list job files to job history view page
 - baculum: Add list job files API endpoint

24Oct19
 - tray-monitor: fix potential memory corruption

22Oct19
 - Fix #5461 #5513 #4717 About WroteVol non-zero message
 - Update Docker Plugin build procedure.

21Oct19
 - docker: Add Docker Plugin DKID unittest.

15Oct19
 - Add Docker Plugin regression tests - more files.
 - Add Docker Plugin regression tests.
 - build: Add Makefile update to fd plugin builds.

04Oct19
 - baculum: Fix PHP error on running job status page and client status page

26Sep19
 - baculum: Fix support for UTF-8 currency symbols in paths - reported by 
  Frédéric F.

30Aug19
 - Fix running job count in status output

25Aug19
 - baculum: Fix directing to default API page when API settings has not been 
  created yet

20Aug19
 - baculum: Set default refresh interval for status client
 - baculum: Improve selecting storage value in run job window

18Aug19
 - baculum: Fix saving to config empty runscript subresources
 - baculum: Add graphical running job status on running job page
 - baculum: Add progress bars to backup jobs displaying on status client page
 - baculum: Fix displaying SqlQuery value in selection type job directive

15Aug19
 - baculum: Add to client status modal window to set bandwidth limit for job
 - baculum: Add API endpoint to set job bandwidth limit
 - baculum: Add to client status modal window to set bandwidth limit for client
 - baculum: Add API endpoint to set client bandwidth limit
 - baculum: Add UnitType and AllowRemove parameters to speed type directive 
  control

12Aug19
 - baculum: Don not use data description and data dependencies modules initialization
 - baculum: Improve checking dependencies

11Aug19
 - baculum: Fix running job twice when job is running by run job window

08Aug19
 - baculum: Changes to proper working list type controls on page load
 - baculum: Change Font Awesome SVG icons into web fonts icons
 - Add new psk-enable-test

07Aug19
 - baculum: Fix removing fileset options subresources
 - baculum: Make loading configuration controls easier
 - baculum: Enable adding multiple file set file browser controls on the same 
  page

04Aug19
 - baculum: Fix using nested directives in repeater control
 - baculum: Misc changes to keep backward compatibility in API endpoints
 - baculum: Fix scrolling to new runscript subresource on add new runscript 
  action
 - baculum: Change way of working directive renderer

03Aug19
 - baculum: Split API panel, oauth, api and page parts into separate services

01Aug19
 - baculum: Add component start/stop/restart actions to Web
 - baculum: Update API SELinux module for new component action policies
 - baculum: Implement component start/stop/restart actions in API

29Jul19
 - baculum: Show error message on status client request if client is not available

28Jul19
 - baculum: Implement graphical status client
 - baculum: Update Font Awesome icons to version 5.9.0
 - baculum: Add output=raw/json parameter to show client API endpoint
 - baculum: Add status client API endpoint

26Jul19
 - baculum: Remove deprecated and not used directives

25Jul19
 - baculum: On restore wizard job list add link to job history for specific 
  jobid
 - baculum: Fix showing job size value on jobs on volume page
 - baculum: Minor fixes and improvements in fileset file browser
 - baculum: Allow dollar character in bconsole commands (used for paths)

24Jul19
 - baculum: Enable restoring data from locations included in paths defined in 
  FileSet

23Jul19
 - baculum: Make 'Run job' and 'Perform restore' buttons clickable at whole 
  theirs area

21Jul19
 - baculum: Miscellaneous improvements to use restore file browsers on different 
  screen sizes and mobile devices
 - baculum: Fix removing items from selected file browser in restore wizard
 - baculum: Unify config module menus look
 - baculum: Create multiple combobox control and use it in console ACL directives
 - baculum: Add timeout to first refresh job log to have log output earlier

20Jul19
 - baculum: Do not show unknown job level for admin job type
 - baculum: Add new directives and new resources support
 - baculum: Fix setting selected items in list directive controls
 - baculum: Add version number to API and Web - idea proposed by Wanderlei 
  Huttel

19Jul19
 - baculum: Disable emulation prepared statements for MySQL to solve problem 
  getting every value as string
 - baculum: Apply framework patch that fixes SQL error when native MySQL prepare 
  statements are used

17Jul19
 - baculum: Add new graph types

07Jul19
 - baculum: Add statistics resource support

30Jun19
 - baculum: Add option to show size unit values as decimal or binary bytes

27Jun19
 - Add a Bacula statistics collection routine.

26Jun19
 - Fix incorrect ASSERTD().

23Jun19
 - baculum: Fix showing unit for size and time period directive types

22Jun19
 - baculum: Add missing speed type control to support speed type directives - 
  reported by Wanderlei Huttel

16Jun19
 - Fix comment

26May19
 - baculum: Fix #2477 escaping backslashes in config in text directive types

24May19
 - Fix bug 2476 -- copy/migration jobs fail when waiting for a new Volume
 - Add copy-jobspan-label-wait-test to do_all
 - Add two new regression tests submitted by Martin Simmons for bug 2476

23May19
 - Add bsmtp Message-Id/MIME-Version/Content-Type headers.
 - baculum: Fix #2474 error 404 if document root path uses link with ending 
  slash - fix suggested by vondi

22May19
 - Add Michael Narigon as author for Mac heap implementation
 - Remove bacula32.def and bacula64.def.

21May19
 - Redesigning PM management and add support for macOS.
 - baculum: Add password field control and use it for password directives

19May19
 - baculum: Add SELinux modules for Web and API

18May19
 - baculum: Remove php database extensions dependency from web requirements

17May19
 - Add tests/restart-jobmedia-test to do_all

14May19
 - baculum: Update API documentation to job estimate endpoint
 - baculum: Use in run job window estimate command in background to avoid HTTP 
  timeout
 - baculum: Move running job estimation to background in API part
 - baculum: Prevent selecting in restore file browser directories placed in 
  locations that are outside paths defined in fileset - reported by Wanderlei 
  Huttel

13May19
 - baculum: Fix removing path items selected to restore in restore wizard
 - baculum: Fix clearing restore path field after selecting backup in restore 
  wizard

12May19
 - baculum: Update API documentation
 - baculum: Add API endpoints to update slots with and without barcodes and use 
  them in on web interface side

09May19
 - baculum: Use on web interface side new API endpoints to label volume with and 
  without barcodes
 - baculum: Add API endpoints to label volume with and without barcodes

08May19
 - baculum: Update run job API endpoint in API documentation
 - baculum: Request #2469 add start and cancel buttons on job history list 
  page
 - baculum: Add filesetid parameter to run job API endpoint

07May19
 - baculum: Set column visibility priorities for status schedule tables in 
  responsive mode

03May19
 - baculum: Add status schedule endpoint to API documentation
 - baculum: Fix showing graphs if exists finished job with empty start time 
  value

02May19
 - baculum: Fix TPhpFatalErrorException exception on job view page with PHP 
  version lower than 5.5
 - baculum: Extend log parser to support restore client, job name and volume 
  names

01Apr19
 - Rework fsync patch for win32
 - Fix Windows SD compilation
 - Add Cython detection

29Mar19
 - Add SyncOnClose Storage Device directive

12Feb19
 - Add db_get_jobmedia_record() function
 - Check JobMedia validity after an incomplete job

Bugs fixed/closed since last release:
0005391 2469 2474 2477 5461 5546 5708


======================================================================
Release 9.4.4

28May19
 - rpm: Fix mysql dependency for bacula-postgresql

26May19
 - baculum: Fix #2477 escaping backslashes in config in text directive types

24May19
 - Fix bug 2476 -- copy/migration jobs fail when waiting for a new Volume
 - Add copy-jobspan-label-wait-test to do_all
 - Add two new regression tests submitted by Martin Simmons for bug 2476

23May19
 - baculum: Fix #2474 error 404 if document root path uses link with ending 
  slash - fix suggested by vondi

22May19
 - Remove bacula32.def and bacula64.def.
 - Add Michael Narigon as author for Mac heap implementation

18May19
 - baculum: Remove php database extensions dependency from web requirements

17May19
 - Add tests/restart-jobmedia-test to do_all

15May19
 - Allow to hangup/blowup inside a file for tests

13May19
 - baculum: Fix removing path items selected to restore in restore wizard
 - baculum: Fix clearing restore path field after selecting backup in restore 
  wizard

02May19
 - baculum: Fix TPhpFatalErrorException exception on job view page with PHP 
  version lower than 5.5

12Feb19
 - Add db_get_jobmedia_record() function
 - Check JobMedia validity after an incomplete job

Bugs fixed/closed since last release:
2474 2477



===========================================================
Release 9.4.3
02May19
 - baculum: Add status schedule page
 - baculum: Add status schedule API endpoint
 - Fix Window bpipe-fd strncpy programming error

01May19
 - baculum: Fix schedule directives setting
 - Change mysql my_bool to bool as it was removed from mysql

30Apr19
 - baculum: Update Portuguese translation file
 - Improve assert message

29Apr19
 - baculum: Fix #2466 add plugin directive support in fileset resource

28Apr19
 - baculum: Fix updating whole Bacula config at once
 - baculum: Fix showing validation error if new config is incorrect
 - baculum: Fix setting multiple config resources at once

27Apr19
 - examples: move backup-to-cdwriter.txt to move-backup-to-usb.txt

26Apr19
 - fix memory leak in DIR for copy-job
 - baculum: Add links to resources in job log output

24Apr19
 - baculum: Update example web server config files and spec file
 - baculum: Fix list type directives on configure hosts page
 - baculum: Fix showing messages resource configuration
 - baculum: Add parent node property to directive list types
 - baculum: Add capability to define multiple drivetype and fstype directives in 
  fileset resource
 - baculum: Fix showing runscript subresource on job pages
 - baculum: Update new texts in Portuguese translation file

23Apr19
 - baculum: Add missing texts to translation files reported by Wanderlei Huttel
 - baculum: Update Portuguese translations
 - baculum: Fix showing schedule resource configuration on job view and job 
  history view pages
 - baculum: Fix returning one line output from bconsole
 - baculum: Fix restore wizard error when no fileset available for normal user 
  with limited access
 - baculum: Add capability to use many ACL Console directives in one config 
  resource

22Apr19
 - baculum: Add client ls command to openapi file
 - baculum: Add text box list control to support directives that can be defined 
  multiple times in one resource

16Apr19
 - baculum: Add cancel button to last step new job wizard
 - baculum: Change PoolType field from text box into combo box

15Apr19
 - baculum: Fix adding new schedule run directives

14Apr19
 - baculum: Add support to multiple schedule run directives

13Apr19
 - baculum: Fix in API part saving job runscript config if RunsWhen=Always
 - baculum: Fix adding paths to empty include block
 - baculum: Fix saving job runscript config if RunsWhen=Always
 - baculum: New create backup job wizard
 - baculum: Add API endpoint to list files/dirs on client

03Apr19
 - Skip empty lines when generating the FileSet from a command

03Mar19
 - Fix creation of bad JobMedia records in Incomplete Job

02Mar19
 - Add messages for Incomplete Jobs
 - Fix misplaced cancel check reported by Alain

01Mar19
 - Change round() to bround() to avoid library definition conflict

13Feb19
 - rpms: Fix bacula-cloud spec file

12Feb19
 - rpms: Add bacula-cloud spec file
 - rpms: Add missing isworm script
 - baculum: Fix renaming resources

10Feb19
 - Use more appropriate computation for VolIndex when creating restore .bsr

05Feb19
 - Fix Daemon message "Message repeated X times" count
 - Fix Carsten's names
 - Make diff.pl adapt to different install locations

31Jan19
 - Fix #4598 Display JobIds used in the restore job log

14Dec18
 - Add smartalloc function to print the owner of a buffer
 - Avoid to use the same variable name for two different things in the cmd_parser 
  class

13Dec18
 - Fix #4433 about 'UPDATE File SET MD5='...' WHERE FileId=0' error when using 
  SpoolAttributes=no

30Nov18
 - Fix MaxVolumeBytes accounting after a mount request

29Nov18
 - Fix verify volume jobs with sparse files

23Nov18
 - Fix small memory leak with Console runscripts

22Nov18
 - Add 'prune jobs/files all' command
 - fix #4383 Sometime SD hangs when TLS and DEDUP are used together

Bugs fixed/closed since last release:
2466 4383 4433 4598


============================================================
Release 9.4.2

04Feb19
 - Update Windows .def files
 - Change create_postgresql_database.in script to be more flexible
 - Implement eliminate verify records in dbcheck bug #2434
 - Enhance verify-voltocat-test to detect comparing deleted files
 - Fix bug #2452 VerifyToCatalog reports deleted files as being new
 - Use correct quoting for a character -- fixes previous patch

03Feb19
 - Recompile configure.in
 - Apply Carsten's multiarch patch fixes bug #2437
 - Apply Carsten's patch for adding CPPFLAGS to tools/gigaslam.c compile
 - Allow . to terminate sql queries prompts

02Feb19
 - baculum: Update Baculum API OpenAPI documentation

29Jan19
 - Fix rwlock_test unittest bug #2449 Only call thr_setconcurrency if it's 
  available. Fix order of linking and installation.
 - FixFix spelling errors found by lintian by Carsten in bug #2436
 - Apply chmods from Carsten in bug #2445

28Jan19
 - Add license files LICENSE and LICENSE-FOSS to the regression directory

27Jan19
 - Display daemon pid in .apiV2 status output
 - Attempt to ensure that ctest job output gets uploaded
 - Apply varargs patch from Martin for bug 2443
 - Apply recv() hide patch from Martin
 - Fix lz4.c register compilation from bug #2443

25Jan19
 - dbcheck: Improve error message when trying to prune Path records with BVFS is 
  used.

24Jan19
 - Update cdash for version 9.4

19Jan19
 - Fix bug #2448 bregex and bwild do not accept -l command line option
 - Partial update copyright year
 - Fix struct transfer_manager to be class transfer_manager
 - Print Device xxx requested by DIR disabled only if verbose is enabled in 
  SD
 - Add migrate-job-no-resource-test to all-disk-tests
 - Remove unused berrno call + return
 - Remove mention of Beta release from ReleaseNotes

15Jan19
 - Fix #3225 about Migration issue when the Job resource is no longer defined

12Jan19
 - baculum: Fix restore paths with apostrophe

31Dec18
 - baculum: Fix data level
 - Change endblock edit to unsigned -- suggested by Martin Simmons

27Dec18
 - Update DEPKGS_VERSION

22Dec18
 - baculum: Adapt Apache configs to version 2.4

Bugs fixed/closed since last release:
2434 2436 2437 2443 2445 2448 2449 2452 3225


======================================================
Release 9.4.1
21Dec18
 - Remove register attribute on variables as it is not supported by newer C++ 
  compilers

20Dec18
 - Fix regression from 9.2 when backporting Enterprise code
 - Add missing default flag so that configure looks for libs3

Bugs fixed/closed since last release:


==========================================================
16Dec18 Release 9.4.0

14Dec18
 - Add copyright and correct name on stop-restart-test

12Dec18
 - Fix #4449 about an incorrect pool selected with the restart command

21Nov18
 - Fix #4386 About incorrect permission on directories after a restore with 
  replace=ifnewer

20Nov18
 - Fix bug #4379 certain fields of Media record not reset after Truncate command

17Nov18
 - Revert "Update bdirjson.c"

16Nov18
 - Improve volume truncation error messages
 - Free ids buffer

14Nov18
 - Update PO files
 - Initial version and date update
 - Initial cut of ChangeLog and ReleaseNotes

13Nov18
 - Add use_dcr_only in cloud_dev.c so that manual truncate works

11Nov18
 - More Enterprise backports
 - More Enterprise backports + changes to the backporting
 - Minor backport from Enterprise + my own changes

10Nov18
 - Update bdirjson.c

09Nov18
 - Add pseudo WORM support for vtape
 - worm: Fix multiple display of the WORM Recycle message

04Nov18
 - Add first cut cloud drivers
 - Use bfopen in place of fopen

31Oct18
 - Fix #3574 Add "clients" option to the "help list" output
 - Add makedir() in fd_common.h

29Oct18
 - Add bfile is_plugin_data() API
 - Fix issue between FO_PORTABLE and FO_PORTABLE_DATA
 - baculum: Update Japanese translation files

25Oct18
 - baculum: Fix availability web config wizard when there is problem with access 
  to api

24Oct18
 - baculum: Add new size directive control

22Oct18
 - Fix NOATTR detection

17Oct18
 - Implement worm cassette support

14Oct18
 - Make detection of duplicate M_SECURITY messages work
 - Remove unused prototype recv(len)
 - Add new security monitoring test

04Oct18
 - Implement new message numbers in stored/block.c
 - Fix incorrectly indicating: malformed message

03Oct18
 - baculum: Fix basic auth user setting in API install wizard
 - Fix bugs #2335 and #2349 Volume messages printed many times
 - Add new test for bug printing many multiple Max Volume jobs= info
 - Add worning message about failure to update volume info
 - Improve error messages when JobMedia errors

27Sep18
 - baculum: Fix undefined index error on web config wizard page

16Sep18
 - baculum: Fix #2418 creating or updating new resource
 - baculum: Fix size unit formatters in restore browser reported by Wanderlei 
  Huttel

14Sep18
 - Fix complier warning due to unused subroutine variable

06Sep18
 - Fix bug #2334 seg fault when releasing globals
 - Security: sleep(5) on error + aggregating identical messages

27Aug18
 - Update sellist unittests.
 - Update unittests for lockmgr.c and fix memory leak.
 - Update unittests fir ConfigFile/ini.c.
 - Update 'rm -f' for libtool $(RMF).
 - Correct libs/Makefile.in separator.
 - Update htable unittests.
 - Update sha1 unittests.

21Aug18
 - Add fnmatch unittests.
 - Update unit tests and add regression tests for it.

20Aug18
 - Fix escaping special characters in bvfs restore for sqlite catalog

18Aug18
 - baculum: Improve error handling in web part
 - baculum: Fix formatted size and time values on the volume details page
 - Add new manual test

17Aug18
 - baculum: Do not store any main oauth2 client nor main http basic user in api 
  config

16Aug18
 - Fix tls_bsock_shutdown() compilation when no TLS available.

15Aug18
 - Fix bsock compilation warning.

14Aug18
 - Fix bsock compilation problem in *BSD.

13Aug18
 - Permit negative FileIndex values in the catalog

12Aug18
 - baculum: Fix logging output if it is not possible to decode to json
 - baculum: Fix saving logs when an error occurs
 - baculum: API panel and wizard improvements

11Aug18
 - baculum: Add name field to api client parameters

05Jun18
 - Fix format string is not a string literal (potentially insecure).

Bugs fixed/closed since last release:
2334 2335 2418 3574 4379 4386 4449

====================== Version 9.2.2 ====================

06Nov18
 - Fix bug #2421 by Adam about quoting Windows paths in CreateChildProcess()

05Nov18
 - Update po files

29Oct18
 - baculum: Update Japanese translation files

25Oct18
 - baculum: Fix availability web config wizard when there is problem with access 
  to api

24Oct18
 - baculum: Add new size directive control

04Oct18
 - Implement new message numbers in stored/block.c
 - Fix incorrectly indicating: malformed message

03Oct18
 - baculum: Fix basic auth user setting in API install wizard
 - Fix bugs #2335 and #2349 Volume messages printed many times
 - Add new test for bug printing many multiple Max Volume jobs= info

27Sep18
 - baculum: Fix undefined index error on web config wizard page

16Sep18
 - baculum: Fix #2418 creating or updating new resource
 - baculum: Fix size unit formatters in restore browser reported by Wanderlei 
  Huttel

14Sep18
 - Fix complier warning due to unused subroutine variable

06Sep18
 - Fix bug #2334 seg fault when releasing globals

03Sep18
 - rpm: Fix mysql dependency for bacula-postgresql

20Aug18
 - Fix escaping special characters in bvfs restore for sqlite catalog

18Aug18
 - baculum: Improve error handling in web part
 - baculum: Fix formatted size and time values on the volume details page
 - Add new manual test

17Aug18
 - baculum: Do not store any main oauth2 client nor main http basic user in api 
  config

16Aug18
 - Fix tls_bsock_shutdown() compilation when no TLS available.

15Aug18
 - Fix bsock compilation warning.

14Aug18
 - Fix bsock compilation problem in *BSD.

12Aug18
 - baculum: Fix logging output if it is not possible to decode to json
 - baculum: Fix saving logs when an error occurs
 - baculum: API panel and wizard improvements

11Aug18
 - baculum: Add name field to api client parameters

Bugs fixed/closed since last release:
2334 2335 2418 2421


============================================================
Version 9.2.1

11Aug18
 - Permit catalog to contain negative FileIndexes
 - baculum: Fix saving directives in messages resource

10Aug18
 - Refactoring of BSOCK and introducing BSOCKCORE.
 - baculum: Update API documentation
 - baculum: Add status endpoint to available scopes endpoints
 - Make print_ls_output identify delete files more clearly
 - Backport stored/vbackup.c

09Aug18
 - baculum: Add status director and status storage endpoints
 - baculum: Add type and level filters to jobs endpoint
 - baculum: Add support for .api 2 command in bconsole module

08Aug18
 - Implement a keepalive on bpipe sockets fixes bug #2347
 - Backport bpipe enhancements
 - Fix bug #2319 wrong port value stored in bsock giving incorrect error messages

07Aug18
 - baculum: Add to jobs endpoint filtering by client and clientid
 - Fix bug #2410 bdirjson output incorrect for day greater than 24
 - Attempt to avoid MySQL complaints about not allowing zero or empty in DATETIME

06Aug18
 - Add M_SECURITY when connection is bad + fix bug where invalid probes sent to 
  Dir
 - baculum: Fix schedule single day value setting

05Aug18
 - Fix bug #2286 copied jobs always have level=Incremental
 - baculum: Fix add slot parameter to label command
 - baculum: Fix restoring backup from deleted clients
 - baculum: Fix click action on remove config resource button
 - baculum: Fix framework validation for active list type controls
 - baculum: Implement ideas from Wanderlei Huttel

04Aug18
 - Fix bug 2395 problem with man dir
 - baculum: Fix saving subresources in config
 - Start work on HAVE_CLIENT_ONLY install
 - Switch to using /lib/systemd/system to install service files
 - Install Bacula systemd files in /etc/systemd/system
 - baculum: Update Portuguese translations

03Aug18
 - baculum: Fix group most recent backups option in restore wizard for mysql
 - Fix bug #2404 uninstall systemd service
 - Fix warning during compilations of mainwin.cpp

02Aug18
 - baculum: Implement second part ideas and fixes proposed by Wanderlei Huttel
 - Update catalog update scripts in updatedb directory
 - Fix bug #2340. Display of db_driver
 - Add warning messages for bad or old self-signed certificates

29Jul18
 - baculum: Fix #2403 error while writing diraddress directive in Bacula config

26Jul18
 - baculum: Implement ideas and fixes proposed by Wanderlei Huttel

24Jul18
 - baculum: Update Portuguese translations

23Jul18
 - baculum: Fix pool does not exist error on pool details page
 - baculum: Fix create directive base method

03Jul18
 - rpm: Fix MySQL dependency on bacula-postgresql package

Bugs fixed/closed since last release:
2410 2389 2286 2319 2340 2347 2357 2403 2404 2405 2395 2392

==================================================================

Version 9.2.0
20Jul18
 - Separate dequeuing msgs and dequeuing daemon msgs

17Jul18
 - Replace uint with uint32_t

15Jul18
 - Reset default status schedule limit to 30
 - Comment out use of uint that breaks Windows build
 - Update win32 .def files
 - Fix concurrent acquire/release of device

14Jul18
 - Correct copyright
 - Fix compiler warning generated by prior commit 1aad2088d21a3
 - Backport Enterprise src/findlib

13Jul18
 - Backport Enterprise src/filed
 - Backport Enterprise src/lib

12Jul18
 - baculum: Fix cancel button in web config wizard
 - baculum: Web interface password is no longer stored in settings.conf
 - Add debug code for bug #2356

08Jul18
 - Fix bug #2385 -- compiler bug IMO

02Jul18
 - fix #3945: Add "ocfs2" to list of filesystems known by "FsType" directive

01Jul18
 - Backport parts of src/dird to community
 - Use bstrcmp in place of strcmp

30Jun18
 - baculum: Fix path validator for UTF-8 characters

29Jun18
 - Recompile configure
 - Update config.guess and config.sub

27Jun18
 - Fix #3615 about bconsole Socket errors reported in the bacula log file

19Jun18
 - Fix permissions of mtx-changer.conf

16Jun18
 - Use /dev/sg0 rather than /dev/sg1 so vtape devices work

15Jun18
 - Make out of freespace non-fatal for removable devices -- i.e. behaves like 
  tape

10Jun18
 - Pull latest tls*.pem from BEE

04Jun18
 - Fix #3854 missing tls library initialization in bdirjson, bfdjson, bsdjson 
  and bbconsjson

27May18
 - Fix bug #2212 where restore jobid=nn file=xxx restores the files twice
 - Apply patch from Wandlei Huttel to add Run Time and suffix to Restored 
  bytes
 - Fix bug #2343 where truncate of explicit Volume name truncates non-purged 
  volumes

26May18
 - Fix some file execute permissions. Fixes bug #2389

25May18
 - Fix license problems in Bug #2382
 - Apply patch from Carsten to fix bug 2192

21May18
 - Fix bad placement of jcr->pool reference as pointed out by Martin Simmons

18May18
 - rpm: Add OpenSuse Leap 42.3

17May18
 - rpm: Update bacula.spec for Fedora 27

16May18
 - Fix #3824 about incorrect setdebug command description

15May18
 - baculum: Fix SQL grouping error in restore wizard reported by Rasmus Linden

02May18
 - Fix Solaris 10 compilation error on BXATTR when no linkat(2) found.

01May18
 - baculum: Fix catching API exceptions
 - baculum: Clean up theme Baculum-v1
 - baculum: Fix initializing new resource page
 - baculum: Add button to set job log order
 - baculum: Add manual loading CSS files with versioning
 - baculum: Move API panel CSS files to separate directory
 - baculum: Move Web CSS files to separate directory
 - baculum: Fix not showing 'gui on' command in bconsole output

27Apr18
 - win32: Fix backup issue with path > 250 char

25Apr18
 - Fix #3672 about bdirjson issue with the Autochanger directive
 - baculum: Add capability to set maximum numer of jobs visible in tables

24Apr18
 - baculum: Loading table data performance improvements

23Apr18
 - baculum: Fix sending path load request by enter key
 - baculum: Add patch to fix gettext class file in framework
 - baculum: Add htaccess file to framework directory
 - baculum: Update rpm and deb templates with apache and lighttpd config files

22Apr18
 - baculum: Update example api endpoints
 - baculum: Adapt Web and API to new framework version
 - baculum: Updated PRADO framework to version 4.0.1
 - Enable build of Windows 64 bit tray monitor
 - Fix build of Windows tray-monitor
 - Some changes to configure.in

21Apr18
 - Update some old copyrights
 - baculum: Highlight main menu items for subpages
 - Update some old copyrights
 - baculum: Add prune and purge actions to volume view page
 - baculum: Fix compatibility with old api for prune and purge actions

20Apr18
 - baculum: Update Portuguese translations
 - Fix showing PkiCipher and PkiDigest values in bfdjson output
 - Fix buffer overrun at BXATTR_Solaris::os_get_xattr_names.
 - Bring Branch-9.1 up to date with Branch-9.0

19Apr18
 - baculum: API v1 documentation as open API file
 - baculum: Update Web requests form for the new API v1
 - baculum: New improved version API v1

18Apr18
 - Fix #3745 update the client SQL record after a reload

17Apr18
 - Fix 'grep -m' when '-m' option is not available.
 - Update the build for ACL/XATTR support.

13Apr18
 - Add some debugging information to bacl_solaris.
 - Fix backup ACL/XATTR when fatal error and not only error.

12Apr18
 - Fix Solaris XATTR support on Solaris 11.
 - Fix compile error on !HAVE_EXTENDED_ACL
 - Add some debugging messages.
 - baculum: Fix link to job history page
 - baculum: Fix previous step button in restore wizard
 - baculum: Enable debug for first config wizard run
 - baculum: Fix directing to wizard if application config doesn't exist
 - baculum: Fix opening configuration tabs bug reported by Heitor Faria

11Apr18
 - baculum: Set curl connection timeout
 - baculum: Show error message after connection to api test
 - baculum: Update LICENSE file
 - baculum: Solve old browser cache problem for javascript after upgrade
 - baculum: New redesigned web interface
 - baculum: Changes in api for the redesigned web interface

26Mar18
 - Fix compilation warning on FreeBSD.

23Mar18
 - Add command to change the pool of a job and the associated volumes

15Mar18
 - Fix #3593 VirtualFull will select jobs to consolidate using Job name in 
  addition to Client/FileSet

12Mar18
 - Do not increment the device num_writers if the call to dir_update_volume_info() 
  fails

13Feb18
 - Add prune option to select volumes from a/all pool(s)

03Feb18
 - baculum: Fix saving boolean values in schedule Run directive

19Jan18
 - rpm: Add Fedora26-64 platform

12Jan18
 - Add the RestoreClient directive for Restore job.

11Jan18
 - Implementaion of .ls command for Plugins.

10Jan18
 - baculum: Add link to go back from job configuration window

09Dec17
 - Use correct SQL table encoding for Postgresql 10.x

08Dec17
 - Fix Where/Replace parameter displayed in the Restore job summary

05Dec17
 - use pthread_kill() instead of pthread_cancel() to terminate SD_msg_chan

04Dec17
 - Recompile configure.in
 - Recompile configure.in

03Dec17
 - baculum: Add listbox control and use it for base and device directives

02Dec17
 - baculum: Fix showing verify job fields in job run configuration window
 - baculum: Revert back volume pool name in volume list window
 - baculum: Fix error message about disabled bconsole
 - baculum: API endpoints code refactor
 - baculum: Add state, number, boolean and id validators
 - baculum: Return bconsole disabled error if bconsole support isn't enabled
 - baculum: Remove unused api endpoints

01Dec17
 - Correction of my_name_is() function using realpath()
 - Add a detection of realpath() function to configure.
 - Fix tray-monitor compilation

30Nov17
 - Use breaddir() in the tray monitor
 - file_dev.c: replace readdir_r() wit new breaddir()

28Nov17
 - new breaddir() function to replace readdir_r() + core update
 - Fix #3098 Add debug tag 'record' for traces about records in the SD
 - Fix #1826 Add Job Where and Replace variables to the Restore job summary
 - Remove tests about "NULL Volume name. This shouldn't happen!!!*
 - baculum: Fix oauth2 client working in the web part

27Nov17
 - baculum: Fix auth setting radio buttons alignement
 - baculum: Enlarge interface height to 100%
 - baculum: Add more information to cURL error
 - baculum: New reworked restore wizard
 - baculum: Wizards view improvements
 - baculum: Add restore hardlinks support in api
 - baculum: Add strip_prefix, add_prefix, add_suffix and regex_where restore 
  options to api restore
 - baculum: Add new volumes required api endpoint

22Nov17
 - Port missing RestoreObject Plugin Config code from BEE.

21Nov17
 - baculum: Stop using hidden fields to store item identifiers
 - baculum: Fix redundant loading users portlet
 - baculum: Add required config fields asterisk mark

19Sep17
 - Enhance "status schedule" function to allow multiple job= and client= filters
 - Add next_name() function to scan string lists
 - Fix #1170. Enhance "status schedule" command. Display ordered output, add 
  Client and FileSet filters.

12Sep17
 - bvfs: Add clients= option to .bvfs_get_jobids to handle clusters

11Aug17
 - Add delete client bconsole command

14Jun17
 - Fix #2910 about a problem in the "status network" command when the client is 
  not reachable

15Jun15
 - Fix #1108 Enhance setdebug help command and console completion

Bugs fixed/closed since last release:
1108 1170 1826 2212 2343 2356 2382 2385 2389 2910 3098 3593 3615 3672 3745
3824 3854 3945

========================================================================
Release 9.0.8

27May18
 - Fix bug #2212 where restore jobid=nn file=xxx restores the files twice
 - Pull regression truncate-test from Branch-9.1
 - Apply patch from Wandlei Huttel to add Run Time and suffix to Restored 
  bytes
 - Fix bug #2343 where truncate of explicit Volume name truncates non-purged 
  volumes

26May18
 - Fix some file execute permissions. Fixes bug #2389

25May18
 - Fix license problems in Bug #2382
 - Apply patch from Carsten to fix bug 2192

21May18
 - Fix bad placement of jcr->pool reference as pointed out by Martin Simmons

18May18
 - rpm: Add OpenSuse Leap 42.3

17May18
 - rpm: Update bacula.spec for Fedora 27

15May18
 - baculum: Fix SQL grouping error in restore wizard reported by Rasmus Linden

21Apr18
 - Update some old copyrights

20Apr18
 - baculum: Update Portuguese translations

19Apr18
 - Remove old Bacula Systems notices

Bugs fixed/closed since last release:
2212 2320 2349 2354 2379 2382 2383 2330 2054
2343 2369 2194 2359 2151 2366 2353 2381 2378


Release 9.0.7


18Apr18
 - Remove NSIS debug

12Apr18
 - baculum: Fix opening configuration tabs bug reported by Heitor Faria

25Feb18
 - Restore win32 dir from Branch-5.2 and update it

23Feb18
 - Add Phil Stracchino's fix for Qt5

03Feb18
 - baculum: Fix saving boolean values in schedule Run directive

19Jan18
 - rpm: Add Fedora26-64 platform

10Jan18
 - baculum: Add link to go back from job configuration window

09Dec17
 - Use correct SQL table encoding for Postgresql 10.x

03Dec17
 - baculum: Add listbox control and use it for base and device directives

02Dec17
 - baculum: Fix showing verify job fields in job run configuration window
 - baculum: Revert back volume pool name in volume list window
 - baculum: Fix error message about disabled bconsole
 - baculum: API endpoints code refactor
 - baculum: Add state, number, boolean and id validators
 - baculum: Return bconsole disabled error if bconsole support isn't enabled
 - baculum: Remove unused api endpoints

28Nov17
 - baculum: Fix oauth2 client working in the web part

27Nov17
 - baculum: Fix auth setting radio buttons alignement
 - baculum: Enlarge interface height to 100%
 - baculum: Add more information to cURL error
 - baculum: New reworked restore wizard
 - baculum: Wizards view improvements
 - baculum: Add restore hardlinks support in api
 - baculum: Add strip_prefix, add_prefix, add_suffix and regex_where restore 
  options to api restore
 - baculum: Add new volumes required api endpoint

22Nov17
 - Port missing RestoreObject Plugin Config code from BEE.

21Nov17
 - baculum: Stop using hidden fields to store item identifiers
 - baculum: Fix redundant loading users portlet
 - baculum: Add required config fields asterisk mark

Bugs fixed/closed since last release:

==========================================================

Release 9.0.6

19Nov17
 - Update AUTHORS for recent commits
 - Remove incorrecly placed openssl-compat.h
 - Add openssl-compat.h which went in wrong directory
 - baculum: Add removing single resource
 - baculum: Add module to check resource dependencies
 - baculum: Fix saving names with spaces inside schedule Run directive
 - baculum: Fix saving entire config by api request
 - Backout vol size tests in previous attempt to fix bug #2349
 - Fix compiler warning in previous patch
 - Apply patches from bugs #2325 and #2326 to fix FIFO bugs
 - Fix bug #2315 INTEGER misspelled in update_sqlite3_tables.in
 - Try to fix bug #2349 multiple recycle messages

17Nov17
 - Add support for items with comma in ini_store_alist_str()

15Nov17
 - Fix segfault after the reload of an incorrect configuration
 - Add temporary fix to avoid a deadlock after a reload command on an incorrect 
  configuration
 - baculum: Throw 404 error if service not known

14Nov17
 - Fix race condition between setip and the access to CLIENT::address()
 - Fix #3284 about Client address not reloaded properly
 - baculum: Use home page url when an error is shown

12Nov17
 - Fix bug #2346 Dir blocks when max reloads reached
 - baculum: Send config to api server as json
 - Remove enterprise code that breaks Mac install -- fixes bug #2351
 - Correct FS size calculation for FreeBSD, Solaris, and Windows

11Nov17
 - baculum: Enable Portuguese language support in makefile

10Nov17
 - baculum: Fix required directives in schedule resource configuration
 - baculum: Fix saving messages resource
 - baculum: Improve slow reloading config resource list

09Nov17
 - crypto: remove most of OpenSSL initcallbacks for 1.1
 - Update ACL/XATTR code and define new ACL/XATTR API for Plugins.
 - baculum: Fix numeric password setting bug reported by Heitor Faria

08Nov17
 - crypto: convert EVP_PKEY access and remainings bits for OpenSSL 1.1
 - crypto: convert EVP_MD_CTX + EVP_CIPHER_CTX to OpenSSL 1.1
 - crypto: Use DEFINE_STACK_OF()
 - crypto: Add a tiny OpenSSL compat level
 - crypto: remove support for ancient openssl

06Nov17
 - fix #3269 obey the user choice of "Are you sure you want to delete X JobIds

02Nov17
 - Add restore wizard to the tray monitor.
 - Preparation fixes: remove some warning
 - Add ASSERTD() to track NULL Volume name error

24Oct17
 - Add "noautoparent" restore command option to disable the automatic parent 
  directory selection

20Oct17
 - Make qt-console compatible to Qt5 (Qt4 still work)

Bugs fixed/closed since last release:
2315 2325 2346 2349 2351

======================================================================

Release 9.0.5

01Nov17
 - Use if exists on dropping MAC table in postgres. Fixes bug #2314
 - Fix bdirjson display of Minutes. Fixes bug #2318
 - baculum: Set default language if no language set
 - baculum: Fix language setting in api
 - baculum: Update generated .mo files for api
 - baculum: Add missing texts to translations
 - baculum: Fix add to translation static texts on the api default page
 - baculum: Fix missing session start
 - Make verify job log same as other logs -- fixes bug #2328
 - Take a more conservative approach for setting killable true
 - Add extra safety for readdir buffer

31Oct17
 - Retab systemd/Makefile.in
 - Don't require mount for @piddir@
 - Use Debian systemd start/stop scripts supplied by Sven Hartge

29Oct17
 - Fix bug #2316 add CacheRetention to Pool
 - Skip tape ioctls on FreeBSD when using a FIFO fixes bug #2324
 - Fix bug #2338 to not truncate already truncated volumes
 - Remove some old C int code and use bool

28Oct17
 - Remove unused lib/lz4.c.orig file
 - Update AUTHORS file
 - Mark Volume read-only only if no access rights or read-only partition
 - Add -P daemon option to supress creating PID file
 - Fix too big copy to test FD plugin_ctx

26Oct17
 - Backport Enterprise code

23Oct17
 - When read-only volume found mark it in catalog -- fixes bug #2337
 - Make out of space on partition fatal
 - Fix bug 2323 -- loop exit condition was backward and add error message
 - Add missing copy-plugin-confs for regress
 - Fix bug reported by jesper@schmitz.computer where bat hangs on FreeBSD

08Oct17
 - baculum: Fix reading and writing schedule resource

15Sep17
 - baculum: Fix undefined offset error during saving director config
 - baculum: Fix listing days of week in schedule setting

14Sep17
 - baculum: Fix saving schedule run directive value

12Sep17
 - rpm: Add missing script baculabackupreport and query.sql for Suse
 - rpm: Add missing libbacsd* file and tapealert script to Suse rpm spec file
 - rpm: Add missing libs bbconsjson, bdirjson and bsdjson to Suse rpm spec 
  file
 - rpm: Add aligned plugin rpm spec file for Suse
 - rpm: Add bacula-tray-monitor.desktop launcher in scripts directory
 - rpm: Add Suse Linux ES 12.1 platform

11Sep17
 - rpm: Add bacula-tray-monitor.desktop file in script dir

Bugs fixed/closed since last release:
2314 2316 2318 2324 2328 2337 2338


Release 9.0.4
06Sep17
 - Update po files

05Sep17
 - Fix SQLite3 upgrade tables script fixes bug #2306
 - baculum: Fix language setting in config file

03Sep17
 - Upgrade to latest lz4.c to fix bug #2310 bus error on 64 bit Solaris
 - Recompile configure.in
 - Ensure systemd/bacula.conf is created by configure fixed bug #2307
 - Fix compiler warning noted in bug #2309
 - Fix SQLite3 Version bug #2305
 - Remove unused variable to elimiate compiler warning
 - Recompile configure.in

28Aug17
 - Fix #2925 Do not try to stop non backup jobs (virtualfull, copy, migration, 
  restore, etc...)

25Aug17
 - baculum: Fix broken symbolic links for lang files

17Aug17
 - don't use add_event() when flag "l" is not set

14Jun17
 - core: bwlimit measure bandwidth

02Jun17
 - core: bwlimit handle backlog and allow burst

25Apr17
 - Do not purge running jobs in autoprune

Bugs fixed/closed since last release:
2305 2306 2307 2309 2310 2925


==========================================================

Release 9.0.3

06Aug17
 - baculum: Fix access denied error on api install wizard page
 - baculum: Remove assigning to api host when user is deleted
 - baculum: Fix empty admin setting
 - baculum: Add ability to assign host to specific user
 - baculum: Fix bconsole test connection for new api host that works with new 
  director

05Aug17
 - baculum: Fix sqlite db support

03Aug17
 - Fix bug #2301 Solaris Available space incorrectly reported by turning off the 
   output for Solaris
 - Fix bug #2300 mount/unmount/release of single tape drive does not work

01Aug17
 - baculum: Fix bconsole connection test in config wizard
 - baculum: Fix writing config for schedule and message names with space

31Jul17
 - bpipe: Fix compiler warning
 - baculum: Fix drag & drop file version elements

30Jul17
 - baculum: Add fileset info endpoint and use it in restore wizard
 - baculum: Use client name instead of clientid and start using fileset to 
  prepare restore tree
 - baculum: Remove fileset parameter from run restore
 - baculum: Fix lstat regex pattern
 - baculum: Get the most recent jobs by client and fileset or by clientid and 
  filesetid
 - Fix: bug #3048: jobs are stuck in endless loop in reserve.c
 - Add total time to test.out file

29Jul17
 - baculum: Add restore job selection in restore job wizard

26Jul17
 - Enhance verify job report from bug 2249

Bugs fixed/closed since last release:
2300 2301 3048


======================================================
Release 9.0.2

23Jul17
 - Use Bacula in place of Libz variables so we can build with/without libz and 
   lzo
 - Apply ideas from bug #2255 prettier status slots output
 - Configure and install bacula-tray-monitor.desktop

22Jul17
 - Fix btape test which counted files incorrectly on EOT

21Jul17
 - Fix bug #2296 where Bacula would not compile with postgres 8 or older

20Jul17
 - Fix bug #2294 Bacula does not build with MariaDB 10.2

14Jul17
 - baculum: Fix multiple directors support
 - baculum: Fix showing errors from the API

Bugs fixed/closed since last release:
2255 2294 2296


Release 9.0.1

10Jul17
 - Remove two incorrect trailing commas in bsock.h
 - Fix bug #2293 bad big endian detection in lz4.c
 - Add new tray-monitor files that were omitted in the backport from Enterprise

06Jul17
 - bvfs: Do not insert deleted directories in PathVisibility table

05Jul17
 - Fix compilation for Debian Stretch with GCC 6.3

Bugs fixed/closed since last release:
2293

Release 9.0.0

02Jul17
 - Skip verify-data-test if not running Linux
 - Skip lzo-test if lzo not in Bacula
 - Remove double define HAVE_LZO in config.h

01Jul17
 - Add documentation on baculabackupreport to delete_catalog_backup.in
 - Install baculabackupreport and ignore script without .in
 - Recompile configure.in
 - Add Bill's baculabackupreport script

30Jun17
 - Update po files

29Jun17
 - Fix error in FreeBSD during maxtime-test

27Jun17
 - Fix #2853 About character substitution for "virtual full" job level in 
  RunAfterJob

26Jun17
 - Attempt to fix timing problem with console-dotcmd-test on FreeBSD
 - Ensure we have a DIR connection in dequeue_messages

25Jun17
 - Add more debug to regress for FreeBSD failures

23Jun17
 - Fix #2940 Allow specific Director job code in WriteBootstrap directive

21Jun17
 - Fix pragma pack to allow lz4.c work on Solaris and other machines

19Jun17
 - baculum: Fix working logout button
 - A more correct fix for lz4.c on Solaris 10

18Jun17
 - Remove use of #pragma pack in lib/lz4.c for Solaris 10
 - Recompile configure from configure.in
 - Detect Solaris 10


17Jun17
 - Fix bug #2289 version 7.9 not compatible with old FDs -- comm compression

10Jun17
 - Make getmsg.c compatible with old FDs

09Jun17
 - Use one MAX_BLOCK_SIZE and set to 20M

08Jun17
 - rpm: Add Fedora 25 build platform

07Jun17
 - Remove vestiges of crc32_bad -- fixes Solaris build
 - Fix #2890 about segfault in .status command on Redhat 5 32bit
 - Add missing semi-colon in bsys.c

06Jun17
 - baculum: Fix incorrect table name error during restore start

30May17
 - Display the correct address in lockdump for db_lock()

05Jun17
 - Fix getmsg to handle additional forms of Progress messages

04Jun17
 - baculum: Fix double assets and runtime symbolic links in baculum-web deb 
  package

03Jun17
 - baculum: Fix missing php-xml dependency in deb metafile
 - baculum: Improve errors handling in API restore pages

29May17
 - rpm: Remove libbacsd.la for both Red Hat and Suse
 - rpm: Add missing libs bbconsjson, bdirjson and bsdjson
 - rpm: Fix libstdc++ version in BAT spec file

28May17
 - Fix some problems noted by clang
 - baculum: Reorganize run job code
 - baculum: Reorganize estimate job code
 - baculum: Make get method definition not obligatory
 - Make file-span-vol-test portable
 - Attempt to fix deadlock in FreeBSD maxtime-test

27May17
 - Do not produce error if MySQL database exists in create_mysql_database

26May17
 - rpm: Add missing tapealert script
 - rpm: Add missing libbacsd
 - rpm: Remove dvd-handler script

24May17
 - Fix bvfs queries
 - Use FileId in place of Filename
 - Revert "Put FilenameId in .bvfs_lsfiles output"
 - Put FilenameId in .bvfs_lsfiles output
 - Add more debug in src/cats/bvfs.c
 - Fix bvfs_lsdirs and bvfs_lsfiles
 - baculum: Add Japanese language support in deb and rpm packages
 - Add DirectoryACL directive
 - baculum: New Baculum API and Baculum Web
 - Add forking info to LICENSE and LICENSE-FAQ
 - Minor improvement to error message
 - Fix race in steal_device_lock shown in truncate-concurrent-test
 - Apply Marcin's fix for 6th week of the month
 - Add new truncate test
 - Retab Makefile.in in platforms/systemd.in
 - Fix compiler warning
 - Add FD backwards compatibility
 - Fix regression minor scripting problems
 - Fix #2807 about an issue with the show command when using incorrectly JobToVerify 
   directive
 - Fix #2806 about the director service started before the database with systemd
 - Update Dart control files
 - Massive (70,000+ lines) backport of code from Bacula Enterprise 8.8.
   See next line ...
 - Adapt update_bacula_tables scripts for catalog version 15
 - Allow to use Base directive in a JobDefs
 - Add more debug to the bpipe plugin
 - Enhance error message when packets are too big
 - Add '.storage unique' bconsole command
 - Allow to use ".jobs type=!B" to display specific job type
 - Add lockdump storage daemon information

 - Fix #2698 Display loaded driver list in status storage output
 - Fix autochanger unload message that contains sometime an incorrect volume name
 - Fix issue with open_bpipe() function that may flush stdio buffer if the 
   command is incorrect
 - Fix unload tape messages to print correct volume + improve output format
 - Fix unload/re-load same volume
 - Fix DIR get unexpected "Connection reset by peer" for FD
 - Fix #2548 about SQL connection leak with RunScript::Console commands
 - Fix #2588 about segfault in bdirjson with JobDefs/Base directive
 - Fix #2593 about incomplete jobs incorrectly rescheduled
 - Fix #2629 about pool argument not listed in the "help cloud" output
 - Fix #2632 about VolType not set correctly for Cloud volumes after a label problem
 - Fix #2640 about a reference to the source directory in query.sql file
 - Fix bug #2271 where poll interval causes tape mount message to repeat
 - Fix segfault in bdirjson with incorrect configuration files

Bugs fixed/closed since last release:
2271 2548 2563 2567 2588 2593 2602 2624 2625 2627 2629 2632 2638 2640 2646
2698 2520 2559 2561 2582 2806 2807 2890 2289 2890 2853 2940


==============================================================

Release Version 7.4.7

15Mar17
 - Permit specifying query item number on bconsole query command line
 - Fix Solaris 10 problems reported by Phil Stracchino
 - Fix EPROTO on OpenBSD

==========================================================================

Release Version 7.4.6

10Mar17
 - Fix bug #2271 where poll interval causes tape mount message to repeat
 - Attempt to fix IPV6 not configured

09Mar17
 - Possible fix for acl seg fault on OpenBSD where no acl code defined
 - Change release digest from SHA1 to SHA256

14Feb17
 - Fix getnameinfo() for FreeBSD fixes bug #2083

Bugs fixed/closed since last release:
2083 2271

==========================================================================

Release version 7.4.5

07Feb17
 - Correct wrong word in message

28Jan17
 - Remove restriction on using the scratch pool that can cause restore failures
 - Remove debug code that breaks btape fill

25Dec16
 - Initialize freespace_mutex fixes bug 2207

11Dec16
 - baculum: Update AUTHORS file

08Dec16
 - baculum: Enable Japanese language on web interface
 - baculum: Implement Japanese language support

19Nov16
 - XACL - refactoring an ACL and XATTR codes.
 - Revert "Warn of Storage Daemon version incompatibility if label fails. Bug 
  #2193"

02Oct16
 - Make another attempt to resolve bug #2176
 - Warn of Storage Daemon version incompatibility if label fails. Bug #2193
 - Apply patch to list more pool info from bug #2202

21Sep16
 - Fix status alignment output reported by Wanderlei Huttel

==========================================================================

Release version 7.4.4 

20Sep16
 - Fix broken backport commit

12Sep16
 - Fix #2085 About director segfault in cram-md5 function
 - Attempt to fix bug #2237

11Sep16
 - Recompile configure.in
 - Fix systemd installation
 - If using readline reset terminal at bconsole exit

08Sep16
 - Fix compilation without SMARTALLOC

02Sep16
 - Fix #2060 about SQL false error message with "update volume fromallpools" 
  command

29Aug16
 - Fix spurious MD5 update errors when nothing changed should fix bug #2237 and 
  others

23Aug16
 - Fix small memory leak with the restart command

14Aug16
 - baculum: Update language files

11Aug16
 - Fix #335 Avoid backups going to the scratch pool

08Aug16
 - systemd: Give 3mins to the bacula-sd service to stop and close the dde

31Jul16
 - Minor modifications to Ubuntu packaging

22Jul16
 - Check if the ScratchPool points to the current Pool and print a warning 
  message in such case

21Jul16
 - Fix #1968 print the ScratchPool name instead of just 'Scratch'

20Jul16
 - Display PrefixLinks in "show job" output
 - Add explicit LL to big integers to appease older compilers

18Jul16
 - Enable the plugin directory for the FileDaemon by default
 - Allow multiple mailcommand+operatorcommand in Messages. Fixes bug #2222

14Jul16
 - Handle NULL pointers in smartdump() and asciidump()

12Jul16
 - Modify status to include Admin and Restore in Level field -- clearer

11Jul16
 - Ensure that zero JobMedias are written for labelling

07Jul16
 - Fix error message about the stream 26 (PLUGIN_NAME) in bextract

Bugs fixed/closed since last release:
1968 2060 2085 2222 2237 335


====================================================================

Release version 7.4.3

17Jul16
 - Add shortcut to RunScript console commands. Submitted by Wanderlei Huttel. 
   Fixes bug #2224
 - Fail when multiple mailcommand and other strings are specified in .conf. Fixes 
   bug #2222
 - Add support for terabytes in sizes. Submitted by Wanderlei Huttel. Fixes bug 
   #2223
 - Add error message for truncate command when actiononpurge not set. Fixes bug 
   #2221
14Jul16
 - Fix optimization error with GCC 6.1
 - Fix compilation warnings with GCC 6.1
13Jul16
 - Explicitly create MySQL user in grant_mysql_privileges.in

Bugs fixed/closed since last release:
2221 2222 2223 2224

=====================================================================

Release version 7.4.2

06Jul16
 - Fix #1926 about wrong duplicate job detection with Copy/Migration and Backup 
  jobs

03Jul16
 - Recompile configure after db.m4 change
 - Fix batch insert for MySQL 5.7

02Jul16
 - Fix zero level debug output -- now at 100

29Jun16
 - Fix #766 about Job logs displayed with unneeded linefeed

27Jun16
 - Fix #1902 about a segfault with the "cancel inactive" command

14Jun16
 - Fix bug where MySQL 5.7 is improperly linked on Ubuntu 16.04

Bugs fixed/closed since last release:
1902 1926 766


==============================================

Release version 7.4.1

31May16
 - Fix bug #1849 MySQL does not accept 0 for DATETIME default

12May16
 - Modify the alist object to be reused after a destroy()

24Apr16
 - baculum: Fix setting invalid timezone value for PHP

18Apr16
 - Fix compilation for AIX

07Apr16
 - Fix the restore termination string in the job report to take in account 
  JobErrors and SDErrors

12Mar16
 - baculum: Show jobs for client

04Mar16
 - Fix bconsole "llist job=<xxxx>" output

01Mar16
 - Fix #146 about update volume command line usage

29Feb16
 - bat: Fix #1066 about bad update pool command
 - Fix #1653 about make_catalog_backup default user name

28Feb16
 - baculum: Show jobs stored on volume

15Feb16
 - Fix update Volume=x Slot=nn when Slot > MaxVols
 - Set exit code for create_postgresql_database.in

09Feb16
 - Fix bug #2197 -- build failure with --disable-libtool
 - Fix bug #2204 -- superfluous END-OF-DATA in update_mysql_tables.in

02Feb16
 - Convert a Migration job with errors into a Copy job

31Jan16
 - Remove exporting add_mtab_item -- fixes bug #2198

23Jan16
 - Fix possible problem of show multiple resources

18Jan16
 - Comment out tools/smtp-orig.c as it is for reference only

Bugs fixed/closed since last release:
1066 146 1653 1849 2197 2198 2204

=================

Release Version 7.4.0

14Jan16
 - Put back missing line in copyright
 - Update date
 - Implement MaxVirtualFullInterval
 - Update AUTHORS

13Jan16
 - Ensure relabel has latest vol info may fix bug #1412
 - Update AUTHORS

12Jan16
 - Change license as per agreement with FSFE
 - Apply Carsten's patch that fixes bug #2192 builds on kfreebsd
 - Update AUTHORS file
 - Add some additional tape slot debug code

11Jan16
 - baculum: Add Wanderlei Huttel to AUTHORS
 - baculum: Enable Portuguese language on web interface
 - baculum: Implement Portuguese language support
 - baculum: Assign Baculum copyright to Kern Sibbald
 - Add more debug to recycle-test
 - More debug info when aborting

10Jan16
 - baculum: Fix sorting in restore by group most recent backups
 - Change copyright as per agreement with FSFE
 - Update po files
 - Change copyright as per agreement with FSFE

09Jan16
 - baculum: Fix restore group most recent backups for MySQL

06Jan16
 - Fix FD DisableCommands

05Jan16
 - baculum: Fix to change user password

04Jan16
 - Add ExpiresIn field in list and llist media output
 - Fix #1548 about Solaris SIGBUS with accurate mode backup

02Jan16
 - Change copyright as per agreement with FSFE + update copyright year
 - Finish revert of patch
 - Revert commit 1157f172ea1c3b3
 - Update year to 2016
 - Backport some Enterprise code to sql_list.c

01Jan16
 - Change copyright as per agreement with FSFE
 - Add info message of #jobs consolidated in Virtual Full
 - baculum: Unify user validation
 - baculum: Fix showing bconsole test result in configuration wizard
 - baculum: Fix auto-login after finishing wizard
 - baculum: Check if auth data exists before log in try
 - Add HasBase+Comment to llist Jobs
 - Fix a few debug outputs that should be unsigned

31Dec15
 - baculum: Add php-xml to requirements
 - Fix seg fault in btape fixes bug #2180
 - Fix slight error in autoprune -- should fix bug #2151
 - Change copyright as per agreement with FSFE
 - baculum: Add first unit tests

30Dec15
 - Fix #1545 about fix in manual_prune.pl script with large number of volumes
 - Fix false status output. Fixes bug #2103
 - Integrate patch into latest version, which fixes bug #1882
 - Fix bug #2090 correct detection of GCC
 - baculum: Add support for terminated with warnings job status
 - baculum: Hide users input on ESC key press
 - baculum: Fix logout action on Apache web server
 - baculum: Implement users management from web interface
 - baculum: Prevent opening new sessions for each request

27Dec15
 - Fix CLANG warning messages -- fixes bug #2090
 - Add new chio-changer-freebase from bug #2115
 - Applied modified patch from bug#2117 to fix bpipe end of stream
 - Apply patch from bug #2165 to fix the update sqlite3 script
 - baculum: Rework access by restricted consoles

26Dec15
 - Fix update MD5 failure bug reported by Peter Keller

25Dec15
 - baculum: Add dashboard panel

23Dec15
 - Patch to add MySQL ssl access

21Dec15
 - Change copyright as per agreement with FSFE

20Dec15
 - Manually apply patch in bug #2156 to allow building on KFreeBSD
 - Fix bug #2153 with patch submitted by Ana Arruda
 - Prevent possible seg fault
 - Fix possible seg fault if debug mode set
 - baculum: Close console on press ESC key
 - Change copyright as per agreement with FSFE
 - baculum: Switch to started job status just after job start

19Dec15
 - baculum: Add possibility to open configuration windows from URL
 - Fix restore when storage specified on command line
 - baculum: Add jobbytes and media type to volumes list
 - Set jcr in heartbeat thread of FD
 - Remove not yet implemented from UA Verify Volume Data message

18Dec15
 - Fix restore of Windows streams to non-Windows machines
 - Add new verify data test
 - Implement level=Data to the Verify job
 - baculum: Fix requirements path

16Dec15
 - Fix #1524 about bextract trace file location
 - Partial modification of copyrights as per agreement with FSFE
 - Fix truncate bug free_volume problem

14Dec15
 - baculum: Fix showing table header
 - baculum: Search field works with all table cells

13Dec15
 - baculum: Do not refresh window lists if toolbar is open or elements are 
  checked
 - baculum: Remember sort order for data grids
 - baculum: Add example Nginx config
 - baculum: Fix working with php-fpm
 - baculum: Fix sorting formatted values in tables
 - baculum: Improve size formatter precision
 - baculum: Fix jobs count in job list
 - baculum: Show jobid in job configuration window
 - baculum: Add jobbytes and jobfiles columns in job list

12Dec15
 - baculum: Get system timezone for PHP if possible
 - baculum: Fix restore when a lot of jobids given
 - baculum: Remove temporary Bvfs table when restore starts
 - baculum: Show copy job label in job list
 - baculum: Set default job attributes (level, client, fileset, pool, storage, 
  priority) in Run job panel
 - baculum: Get job show result by job name or jobid

11Dec15
 - baculum: Set half size window as default window size
 - baculum: Not remember controls state in jobs window
 - baculum: Add session cache
 - Fix truncate race bug #1382
 - Fix some low level messages to display correctly

28Nov15
 - baculum: Remove deprecated message in initial wizard
 - baculum: Update SELinux policy module
 - baculum: Fix update pool action when no volumes in pool
 - baculum: Split configuration windows into two tabs: actions and console
 - baculum: Change default elements limit to 500 elements
 - baculum: Add drive parameter to bconsole release command execution
 - baculum: Switch interface from performance mode to normal mode due to no 
  cache checking in performance mode

27Nov15
 - Fix #1470 Fix setdebug command when all components are selected
 - baculum: Set default elements limit in window to 1000 elements

25Nov15
 - baculum: Fix expectation failed error during restore
 - baculum: Switch to debug mode only when debug is enabled in config
 - baculum: Switch interface to performance mode
 - baculum: Add JSMin from framework for complete switch interface to performance 
  mode
 - baculum: Add Ulrich Leodolter to AUTHORS
 - baculum: Fix end-of-file warning in bconsole calls. Patch from Ulrich Leodolter

22Nov15
 - baculum: Fix remove users file during upgrade deb packages

21Nov15
 - Add new JOB_DBR field
 - #ifdef out bpluginfo since it does not compile

20Nov15
 - Fix #1449 about a FileDaemon segfault with the fstype option

17Nov15
 - Remove vestiges of rechdr_queue hopefully fixes bug #2180
 - Apply bconsole manpage patch from bug #2182
 - Apply ppc64el configure detection patch from bug #2183

12Nov15
 - Fix #1414 When the FD is down, status dir now prints "is waiting for Client 
  xx-fd"

11Nov15
 - Ensure that JOB_DBR is properly initialized before a db_list_job_records()

10Nov15
 - Implement new options in list command
 - Add @tall command to log both input/output in a log file

31Oct15
 - Fix #1360 about bextract -t not documented in the man page

30Oct15
 - Update spec file for latest OSX versions
 - Fix compilation on MacOS

28Oct15
 - fix syntax error

27Oct15
 - Improve Jmsg in response(), display SIGNAL number when appropriate
 - Avoid segfault in dump_block() when the block_len is invalid

23Oct15
 - Fix #1368 about xattr error not displayed correctly at restore time

22Oct15
 - If we swapped a Volume, clear in_use bit on Volume

19Oct15
 - Fix #1362 about libgcc dependency in sles12 bat package
 - Remove installation of manpage for bplugininfo
 - Fix bug 2171 cannot build tray-monitor

18Oct15
 - Enhance bvfs performance .bvfs_update for MySQL
 - Do some sanity checks on user inputs
 - Enhance bvfs performance .bvfs_update for MySQL
 - Enhance bvfs performance .bvfs_update for MySQL
 - Recompile configure.in
 - Fix bug 2173 QT tray monitor can not be built due to missing files in configure

16Oct15
 - dedup fix bextract bug

15Oct15
 - Move plugin_free() in free_jcr()
 - Fix bug #2083 -- Fix sockaddr_to_ascii for FreeBSD

10Oct15
 - Fix fadvise bug found by Robert Heinzmann

22Sep15
 - Fix compilation without zlib and lzo
 - Fix compilation error with new fstype_cmp() function
 - Fix compilation problem with AFS

19Sep15
 - Fix compilation on Solaris/FreeBSD

18Sep15
 - Fix segfault in open_bpipe() when the program is empty

17Sep15
 - Modify find_next_volume_for_append() to not send the same volume twice

15Sep15
 - Avoid <NULL> string displayed in restore menu
 - Do not update state file after a bacula-xxx -t

10Sep15
 - Fix #804 about misleading message with the purge command
 - Fix automount feature after a label command

20Aug15
 - rpms: Add Fedora22 and Systemd support for redhat rpms

19Aug15
 - Add missing required packages versions

18Aug15
 - Reinsert tabs in systemd Makefile.in

17Aug15
 - Remove old DVD.conf in examples

16Aug15
 - baculum: Fix default values in Makefile
 - baculum: Split deb result package into baculum, baculum-lighttpd and baculum-apache2 
  packages
 - baculum: Provide LICENSE-FOSS file content in Baculum deb packages (copyright 
  file)
 - baculum: Add deb template files and deb configs examples
 - baculum: Change Makefile to using also for deb packages template

11Aug15
 - Use Client Catalog resource in get_catalog_resource() if "client" is specified 
  in command line

07Jul15
 - Fix #1131 about Job::Next Pool resource precedence over the Pool::Next pool 
  directive

11Feb15
 - Fix #898 truncate volumes larger than 200 bytes

Bugs fixed/closed since last release:
1131 1360 1362 1368 1382 1412 1414 1449 1470 1524 1545 1548 1882 2083 2090
2103 2115 2117 2151 2153 2156 2165 2180 2182 2183 2192 804 898

==========================================================

Release Version 7.2.0

12Aug15
 - Put back missing close_msg(NULL) to flush daemon messages at job end
 - Add LICENSE-FOSS and update LICENSE for baculum
 - Backport from Bacula Enterprise

29Jul15
 - Put back old pruning
 - Fix max vol size test accidently deleted
 - Remove gigaslam and grow on uninstall -- from bug report
 - Revert to Branch-8.3 fd_snapshot.c
 - Pull more recent changes from Branch-8.2
 - Fix bvfs_lsdir pattern parameter setting
 - Remove CheckList nolonger used
 - Revert "Use db_lock()/unlock() around JobMedia creation transaction"
 - Fix #1099 about director crash with rescheduled jobs
 - Fix #1209 about bat segfault when clicking on Media
 - Qmsg(M_FATAL) set jcr->JobStatus to JS_FatalError immediately
 - snapshot: Abort the job by default if a snapshot creation fails
 - Revert to old SD-FD close session protocol
 - Remove drive reservation if no Jobs running
 - Remove filename patch
 - snapshot: Try to detect LVM when the filesystem is ext3 or XFS
 - Fix bad debug message in mac_sql.c
 - Fix restore-multi-session test by incrementing found files only on next 
   file
 - Add -T description in man pages
 - Correct incorrect Fatal error message text in bsock
 - mysql: Add support for multiple instances binary backup in the same fileset
 - Fix compilation with new debug hook
 - mysql: Avoid warning with abort_on_job plugin option
 - Fix compilation after patch "prune volume yes"
 - Do not print message about retention when using "prune volume yes" command
 - Fix #536 about Copy/Migration/VF that should not use Client "Maximum Concurrent 
   Jobs"
 - Fix potential segfault with unused ConfigFile objects
 - Fix #1108 Enhance setdebug help command and console completion
 - Add more JCR variables in lockdump procedure
 - Fix error in update_postgresql_tables.in caused by bad search and replace
 - Fix #1127 about the repositioning enhancement during restore
 - Correct try_reposition() return code after a seek()
 - Add position information in the block structure
 - Fix a number of acl and xattr bugs + give more understandable variable 
   names
 - Make btraceback.dbx and .gdb use new sql engine name
 - Revert most of patch ef57e6c4 and replace with old cats code
 - Revert useless parts of patch 08d8e2d29
 - Revert patch d7f71d2c94a and rewrite it using simpler public domain example
 - Fix batch mode detection for SQLite3
 - Revert d9aa76fa and simplify
 - Revert patch 30388e447fa3 + fix bug #1948
 - Use a more appropriate name for the acl context
 - Use class pointer rather than jcr in src/lib/jcr.c
 - Revert patch f294b276
 - Change B_DB to BDB to correspond to naming convention
 - Add -T option in bacula-sd to use trace file
 - Force use of newer TLS protocols
 - Avoid problem with db_get_job_record() when SchedTime or RealEndTime is 
   NULL
 - Update our regexec() to support NULL argument
 - Add function to copy a file in bsys.c
 - Fix bug 2141 fork before TLS initialization
 - Update LICENSE-FOSS
 - Change license on src/lib/crc32.c as agreed with the author, Joakim Tjernlund
 - Update po
 - More license updates
 - Fix compilation
 - Add read_control command between Plugin/FD and Storage Daemon
 - Add .bvfs_get_jobs and .bvfs_get_bootstrap functions
 - Fix compilation for Solaris9
 - Fix Makefile.in tabs
 - Update Windows .def files
 - More copyright notices
 - Fix Windows plugin licenses
 - Change license copyright for updatedb and qt-console/tray-monitor
 - Change copyright for logwatch
 - Update more copyrights
 - Update copyrights in pebuilder
 - Update plugin licenses
 - Add copyrights + license to platforms
 - Update copyrights in po
 - More license clarifications
 - One more copyright in src/cats
 - Update src/cats .in file copyrights
 - Compute Job "Compression Ratio" using SDJobBytes instead of JobBytes
 - Get correct attributions for bsmtp.c
 - Switch from LGPLv3 for scripts to BSD 2-Clause
 - Fix segfault on dot commands used in RunScript::Console directive
 - Fix patch c0f0e6c01c7 to optimize retries only for autochangers
 - Fix #876 about SD reads too far with complex bootstrap
 - Correct unmount test in dev.c
 - Add debug JobId in next-vol-test script
 - Fix patch c59e5da29 to not orphan buffers
 - Fix bad implementation of enable/disable job,client,schedules + implement 
   enable/disable storage devices
 - Implement enable/disable schedule and client
 - Optimize Volume protocol when Volume not InChanger
 - Do not trash existing record during label of new volume
 - During accurate restore unstrip as soon as possible
 - Better handline of no storage device found
 - Fix #1075 The replace=never flag was not properly handled when combined with 
   database= option in mysql/postgresql plugin
 - display timestamp in X_msg() in one single pass to avoid double flush()
 - Update copyrights in scripts directory
 - Fix bug #1083 RT14512
 - configure.in: new HAVE_FCNTL_LOCK detect fcntl() locking capability
 - Fix #1008 about status storage that displays "Writing" and "Reading" information 
   for the same DCR
 - Add new %E job code to use non fatal job errors in scripts
 - Revert to old htable, but add 64 bit hash
 - Fix possible race condition in smartalloc
 - Refactor + optimize fstype.c + revert mntent_cache.c/h
 - snap: Fix small initialization problem with LVM backend
 - Fix compilation warning in bextract
 - lock the pid file using fcntl(F_SETLK)
 - bat: Fix segfault in client view when the Uname field is empty
 - bat: Fix #1047 about segfaults in Client, Media and Pool view
 - Revert patch 62ab7eb5 for filed/backup.c
 - Revert patch 62ab7eb5 for filed/verify.c
 - Refactor mount/unmount to use class calls
 - Add return status to DEVICE:close and report error at end of Job
 - Fix seg fault
 - fix a Dmsg in match_bsr.c:match_volume()
 - Fix #861 about bad help command on status schedule
 - Add new cats header file
 - Refactor DB engine to be class based
 - Remove regression cancel_test from do_all
 - Fix invalid .mod command in BAT during restore (bugfix #858)
 - Use B_ISXDIGIT() in rangescanner
 - Handle hex numbers in str_to_uint64()
 - Fix prune-migration-test -- wait in wrong place
 - fix MA 987 cannot copy/migrate jobs with a Level=VF in the job resource
 - Fix basejob error caused by patch on bug #965
 - Allow to list restore jobs in llist jobid= command
 - Fix #940 about segfault in bat when doing an "update slots"
 - Fix #983 about segfault on win32 filedaemon when using bat to monitor the 
   status
 - Fix #969 about a segfault while doing a cancel of a copy job
 - Fill errmsg after an error with FETCH query in db_big_sql_query()
 - Fix #965 about an empty error message after a problem when sending accurate 
   file list
 - Fix #972 about segfault in show command used with multiple resources
 - Work bsnapshot for SLES12 and fix issue with ZFS
 - Fix small memory leak in cancel command with ujobid and job parameters
 - Ensure that client resource is not freed during setbandwidth command
 - fix errors in the use of a Mmsg()
 - Use a specific mutex for auth instead of jcr->mutex
 - update po
 - Add missing call to free_jcr() in previous patch
 - Lock the jcr when using sd_calls_client_bsock variable
 - Ensure that only one thread can use the auth code in the Storage
 - Fix #951 about SDCallsClient not used during restore jobs
 - snapshot: Get the creation date from the zfs list snapshot command
 - snapshot: Fix small issue with Name parameter in list snapshot
 - Fix bsnapshot to return status=0 on error
 - fix a mempool error at SD shutdown
 - snapshot: Call support() only if the device is in the fileset
 - snapshot: Avoid double / in path and files when volume is /
 - Fix segfault with Console runscript introduced by "Stop ua commands if comm 
   line drops"
 - handle ctrl-C and SIGTERM the same way in SD
 - Startup scripts return proper exitcode for service restart action
 - Implement tables configuration
 - Add ReadBytes to FD status output
 - Accept 0/1 for @BOOL@ type in ConfigFile module
 - Set cmd_plugin only in pluginCreateFile if not SKIP/ERROR/CORE
 - Fix #13680 about systemd message "unknown lvalue"
 - Stop ua commands if comm line drops
 - Fix weird compilation problem on rhel5
 - Display TLS information in status client/storage
25Feb15
 - Fix rpms where unix user were not properly defined
 - update extrajs package in debs/rpm package
 - Fix segfault with new filesetcmd
 - snapshot: Reset JobId in Snapshot table when deleting a job
 - snapshot: Add ability to list snapshots from the FD
 - snapshot: Add a confirmation message when pruning snapshots
 - Add RunScript AfterSnapshot event
 - Fix #431 About upon upgrade, RPMs resets group membership
 - snapshot: Display bsnapshot error message if possible
 - Fix jobmedia-bug3
 - Set error code in return from run regress script
 - snapshot: More work on LVM backend and on list/sync commands
 - snapshot: Add EnableSnapshot directive in fileset
 - snapshot: Add errmsg and status to SNAPSHOT_DBR
 - snapshot: Send SnapshotRetention parameter to the Client and work on the 
   prune command
 - Add bacula-snapshot.spec
 - Add disabled=yes/no in bsnapshot.conf
 - Fix #875 about bvfs repeats the same output many times
 - Revert "Storing the result in a local variable from sql_num_fields saves us a 
   lot of callbacks."
 - Remove passing args to cats driver class initialization
 - Simplify cats by eliminating the B_DB_PRIV class
 - Convert more db funcs to class calls
 - Add Snapshot Engine to bacula core
 - Change more db calls into class calls
 - Add files missed in last commit
 - Convert db_lock/unlock to be called via class
 - Fix small memory leak
 - Remove more vestages of Ingres
 - Fix #843 about "show storage" option missing in the help command output
 - Use bzip2 for sles dependency
 - Avoid warning with uninitialized variables
 - update "help status"
 - Revert "Small fix to Eric great patch for readline commandcompletion so it 
   also compiles on non gcc compilers."
 - Separate out definitions into new header
 - Remove bad restore.h
 - Revert "Move restore struct defintions to seperate include file. Small change 
   to acl.h and xattr.h to use define inline with other header files."
 - Revert "Fix MediaView::getSelection"
 - Bat: ensure sufficient rows to display drives in storage display
 - new MmsgDx() macro that combine Mmsg(errmsg, fmt, ...) and Dmsg in once
 - add a ASEERTD() for DEVELOPPER
 - Fix wrong KiB value
 - Revert "Fix bug #1934 Wrong values at media list in BAT"
 - Change bplugin_list to b_plugin_list which is more appropriate
 - Remove Ingres related unused files
 - Simplify rwlock coding
 - Make subroutine names clearer
 - Back out useless patches
 - Put back old code prior to excessive edits
 - Remove over complicated acl/xattr code
 - Add license to files without any
 - Fix #805 about nextpool command line argument not properly used
 - Remove recursion from free_bsr() and free_bsr_item() to handle very large 
   BSR
 - Avoid segfault in connect_to_file_daemon() when jcr->client is NULL
 - #776 Volume created in the catalog but not on disk and #464 SD can't read an 
   existing volume
 - Add schedule to show command tab completion
 - Make global my_name hold 127 chars
 - Mark file volumes that are not accessible in Error in mount_next_vol
 - Fix #743 about bat permission conflict on /opt/bacula/etc
 - Add copyright to Makefiles
 - change in lockmgr.c to avoid the report of a memory leak in testls
 - lib: integrate SHA2 into bacula
 - Fix #747 about restore problem failing on "Unexpected cryptographic session 
   data stream
 - Revert previous copyright accidentally changed
 - Fix btape fill command by removing some debug code in empty_block()
 - Add Accurate Fileset option "M" to compare ctime/mtime with the save_time 
   like with normal Incremental
 - Add index on Job(JobTDate) to mysql catalog
 - Fix bad check on bopen_rsrc return status. bug #2106
 - Do not stop the storage daemon startup if the File device is not yet accessible
 - Fix double free in btape
 - Fix failed mount request in btape fill test
 - Avoid ASSERT() when using btape with vtape driver
 - Possible fix for NULL client bug #2105
 - Fix compilation of Nagios check_bacula
 - Add test for restict c99 in autoconf
 - Allow to use device= option in release/mount/unmount command
 - Fix #699 about duplicated job name when starting two jobs at the same time
 - Fix #701 about status schedule missing from tab completion and correct job 
   filter
 - remove autoconf/configre
 - Fix #346 Add ipv6 support for Solaris
 - Fix #692 about compatibility issue with community FD
 - Fix new match_bsr patch
 - Fix #588 Improve SD bsr read performance
 - Fix ownership bug in html-manuals package
 - Add EFS in the client status flag list
 - Implement Win EFS Support
 - Fix QT windows build for 32bit
 - Add SLES113 to spec files
 - Add @encode and sp_decode functions for plugins
 - Fix tls-duplicate-job seg fault + harden pthread_kill() code
 - Update plugin version to ensure 8.0 will not load 6.6 plugins
 - Add JobBytes and ReadBytes to llist jobid= output
 - Rewrite store_drivetype and store_fstype to allow a comma separated list of 
   items
 - Fix #633 about JobDefs MaximumBandwidth Job inheritance
 - Fix possible editing truncation due to 32 bit calculations
 - Remove non-portable -ne in echo
 - update po
 - Add Makefile for mssql-fd plugin
 - Improve error message of open_bpipe() on win32
 - Add jobid= parameter in .status dir running command
 - Add worker states
 - Pull latest worker files from development branch
 - Add comment about incorrect scripting
 - Put Dsm_check() on reasonable debug level
 - Remove auto-generated tray-monitor.pro.mingwxx file
 - Display message about MaximumBlockSize default value only if a value was 
   specified
 - fix solaris : replace be64toh() by unserial_uint64()
 - update SD <-> SD capabilities exchange
 - Handle RestoreObjects with Copy/Migration jobs
 - Add free list to worker class
 - Fix bad caps with SDcallsClient + debug + fix seg fault on connection error
 - Implement blowup=nn for FD and hangup+blowup for SD
 - Correct bat copyright
 - Change sizeof expressions to be more standard
 - Remove regress trap that causes sd-sd-test to fail
 - Dmsg was not handling tag anymore
 - Fix for SD seg fault while swapping volumes
 - Make bextract able to handle dedup streams
 - Remove unused file
 - Make sure mount_next_read_volume() will cancel the current job
 - Forbid llist command in runscript
 - Fix #295 about query file message
 - Add no_mount_request to DCR
 - Update Windows .def file
 - Add spec file for redhat/suse html manual package
 - Fix bug #2091 bad vtape device definitions
 - Fix bug #2089 compiler warning
 - Make sure level is tag free when printing debug message
 - fix tags in Dmsg
 - Regenerated configure script
 - Remove spaces at the end of lines in Bat file
 - Revert bat.pro.in file
 - Fix recursive echo bug #2088
 - Add new fifo class flist.h/c
 - Allow to create temp DEVICE from DEVRES
 - For bat always use g++
 - Make selection by Volume Name or MediaId a bit clearer
 - Optimize Dmsg() with tags by keeping current tags into a separate variable
 - Make message more understandable


Release version 7.0.5

28Jul14
 - Fix #547 by adding .schedule command

27Jul14
 - Update AUTHORS
 - Fix bug #2079 with patch from Robert Oschwald

26Jul14
 - Fix orphaned file descriptors during errors
 - Yet another client==NULL
 - Improve FD and SD cancel
 - Jim Raney's TLS patch
 - Update AUTHORS
 - Fix bug #1679 pool overrides not shown in manual run display
 - Attempt to avoid client==NULL

23Jul14
 - Fix for bug #2082 (hopefully)

22Jul14
 - Fix seg fault in jobq.c

14Jul14
 - make stop after first error

12Jul14
 - Increase status schedule days from 500 to 3000
 - Remove bad cherry-pick
 - Fix compiler warning
 - Allow options create_postgresql_database from patch in bug #2075 by roos
 - Fix bug #2074 crashes when no conf file present

10Jul14
 - Set pthread id in jcr at beginning so the job can be canceled.
 - Fix possible heartbeat interval timing problems

08Jul14
 - Fix some errors reported by valgrind. May fix the problem with bsmtp command.
 - Ensure b_sterror() is using the correct size of input buffer

07Jul14
 - Fix possible seg fault

04Jul14
 - Fix segfault when trying to stop the bnet_server thread in terminate_stored()

03Jul14
 - Fix bad link bug #2076

02Jul14
 - Fix compilation of bsock.c when TLS is not available

27Jun14
 - Correct L suffix to be LL
 - Fix bad copy/migrate data header

26Jun14
 - On termination shutdown thread server

23Jun14
 - baculum: Updated README file
 - baculum: Update English language texts
 - baculum: Saving auth file for web server HTTP Basic auth
 - baculum: Added directory for web server logs
 - baculum: Added example Lighttpd configuration for Baculum and sample web 
  server auth file
 - Expanded auth error message
 - baculum: Support for web servers which do not provide direct info about HTTP 
  Basic auth

15Jun14
 - Fix limit bandwidth calculation
 - Eliminate strcpy() from bsmtp

12Jun14
 - Fix for configuring sudo option for bconsole access
 - Display correct NextPool overrides + use Job NextPool in restore if available

09Jun14
 - Fix Bacula to work with newer Windows pthreads library

17May14
 - Fix bug #180 ERR=success in btape when tape error

Bugs fixed/closed since last release:
1679 180 2074 2075 2076 2079 2082 547

====

Release version 7.0.4
02Jun14
 - Better error handling for cancel command

01Jun14
 - Fix compiler warning + simplify some #ifdefs

22May14
 - Fix copy/migration to second SD

19May14
 - Fix calls to sl.set_string()
 - Improve sellist code

=====

Release version 7.0.3
12May14
 - Fix error handling in do_alist_prompt
 - Tighten error condition handling in sellist
 - Add new cancel test

06May14
 - Update LICENSE and LICENSE-FAQ

03May14
 - Also update autoconf/aclocal.m4
 - Reschedule on error caused EndTime to be incorrect -- fixes bug #2029
 - Flush console queued job messages -- should fix bug #2054
 - Attempt to fix FreeBSD echo/printf, bug #2048
 - Update to newer libtool + config.guess
 - Recompile configure
 - Apply fix supplied for acl.c in bug #2050

01May14
 - Fix a SD seg fault that occurs with over committed drives

28Apr14
 - Clear bvfs cache and set debug options available only for admin
 - Moved auth params to curl opts
 - Filtred single results for restricted consoles

27Apr14
 - Removed unnecessary debug
 - Changed e-mail address in gettext file
 - Support for customized and restricted consoles

15Apr14
 - Misc changes for rpm building (made by Louis)

13Apr14
 - Updated requirements for Baculum

12Apr14
 - Apply fix for bug 2049: wrong drive selected

11Apr14
 - Fix #2047 about bthread_cond_wait_p not declared

09Apr14
 - Fix Bacula bug #2044 -- fix Makefile for bplugininfo linking
 - Fix Bacula bug #2046 -- sellist limited to 10000
 - Fix Bacula bug #2045 -- multiply defined daemon_event
 - Fix Bacula bug #2020 overflow in btape -- Andreas Koch

Bugs fixed/closed since last release:
2020 2029 2044 2045 2046 2047 2048 2050 2054


Release version 7.0.2
02Apr14
 - Remove more vestiges of libbacpy
 - Put back @PYTHON@ path in configure
 - Fix improper string in parser
 - Remove libbacpy from rpm spec files
 - Fix linking check_bacula
 - Fix new SD login in check_bacula
 - Tweek docs build process

Release version 7.0.1
31Mar14
 - Remove old plugin-test
 - Update po files
 - Enable installation of the bpluginfo utility
 - More tray-monitor updates
 - Add Simone Caronii to AUTHORS
 - Align command line switches in manpages.
 - Apply upgrade to config.guess
 - Remove bgnome-console and bwx-console leftovers.
 - Update tray-monitor header also for new bsock calls
 - Attempt to fix nagios to use new bsock calls
 - Update tray-monitor to new bsock calls

==========
Release version 7.0.0

24Mar14
 - Add Josip Almasi to AUTHORS
 - [PATCH] Support for restricted consoles in BAT config
 - [PATCH] Fix for free director directive
 - [PATCH] Fix auto-select restricted console for director in bconsole
 - Realign output display
 - Update ua_output.c from Branch-6.7
 - Add some missing Branch-6.7 updates
 - Added needed empty directories to Baculum
 - Fix for support PostgreSQL, MySQL and SQLite
 - Framework adjusting to Baculum database connections
 - Framework fix for lower case tables names in MySQL
 - Fix for Baculum SQLite support
 - Initial commit Baculum
 - Add Marcin to AUTHORS file
 - Strip trailing blanks
 - Update copyright year
 - Update LICENSE and header files
 - Remove old file
 - Add new header in misc files
 - Remove tray-monitor bwx-console manual installation
 - Remove FD python and examples
 - Fixup spec files
 - Remove pythonlib from lib
 - Update package-list
 - Fix SDCallsClient daemon synchronization
 - Add debug code + make 127.0.0.1 same as localhost for tls tests
 - Fix multiple DIRs in console
 - Make failure for bat to connect to DIR non-fatal
 - Fix bat style to one that works
 - Take disk-changer from Branch-6.7
 - Simplify Version output
 - Fix FDVersion for SD Calls Client test
 - Update accurate test
 - Update differential test
 - Add new regress timing scripts
 - Improve plugin make clean
 - Implement regress FORCE_SDCALLS
 - Remove win32 tray-monitor and wx-console directories
 - Remove regress-config need only regress-config.in
 - Add configure archivedir
 - Improve SQL failure reporting
 - Major backport from BEE to community
 - Add copyright to mtx-changer.in

Release version 5.2.13

19Feb13
 - Fix build/configure problems with bpluginfo.c
 - Add missing vol_mgr.h file
 - Add timer to run_multiple

18Feb13
 - Refactor lock_volumes so most lock a vol rather than globally
 - Add virtualfull-extreme test

17Feb13
 - Apply patch for chio-changer-openbsd from bug #1984 -- Implements listall
 - Add bat Mac patch from bug #1953

16Feb13
 - Fix bug #1812 cannot run Copy/Migrate jobs from bat
 - Fix loading of bat translations. Patch from bug #1890
 - Fix text input in bat. Fixe bug #1965
 - Remove Device from show command as it is not used or updated

13Feb13
 - Fix #1982 update enabled keyword in help command

08Feb13
 - Fix update_postgresql_tables 10 to 11

30Jan13
 - Clean after building doc binaries requested by Willem vd Akker for Debian
  build

29Jan13
 - Remove unused method
 - Require Qt version 4.8.4
 - Fix bug #1955 that OK to run? does not retry on bad response
 - Backport new lock calls + debug for SD

26Jan13
 - Remove old todo

09Jan13
 - Fix bug #1975 new label ignored when first is duplicate.

31Dec12
 - Require Qt 4.8.1 to build bat

27Dec12
 - Make compile of timelimit a bit more portable

26Dec12
 - Tweek turn off prune-test
 - Pull src/lib changes from master
 - Pull SD files from master

25Dec12
 - Turn off prune-test
 - Add logdir and bsrdir to regression config
 - Add bsrdir and logdir to regress-config
 - Rebuild configure
 - Changed default directories from /var/bacula to /opt/bacula
 - Fix patches from master
 - Make spool size max message more explicit
 - Display more info when maximum spool size is reached

23Dec12
 - Fix TERM defs for Solaris 11 in conio.c

21Dec12
 - Force DEVELOPER on during regression setup

14Dec12
 - Allow group to cd to sysconfdir

09Dec12
 - Make sysconfdir belong to Bacula user/group and exclude others

07Dec12
 - Fix Virtual Full file close bug -- race condition
 - Enhance mount message to include read/append

06Dec12
 - Improve vol_mgr swap messages
 - Add Jmsg7 and Jmsg8
 - Enhance output of Using Device to include for read/write

04Dec12
 - Add jobid to Pmsg output

29Nov12
 - Fix bug #1959 input validation on delete of jobs.

24Nov12
 - Fix bug #1956 Authorization Errors false

23Nov12
 - Add workaround for #5507 where autoprune and reload are in deadlock

21Nov12
 - Allow conf file quoted strings to be used in a list
 - Make bfgets handle very long lines
 - Backport from Enterprise

17Nov12
 - Avoid seg fault by checking for NULL client -- reported by Arno

10Nov12
 - Final fix of bug #1943

08Nov12
 - Fix bug #1948 MailOnSuccess get executed on error.

07Nov12
 - Fix missing index on Media table

06Nov12
 - Fix bug #1943 no message storage on closed database connection.
 - Fix bug #1946 Fix problem with MySQL with big Base jobs.

02Nov12
 - Reduce wait time in regression RunScripts
 - Attempt to indicate timed out tests
 - Implement a timeout on regression tests of 15 minutes
 - Fix #5346 .bvfs_lsfiles and .bvfs_restore to handle deleted files

01Nov12
 - Fix spooldata, accurate and ingnoreduplicate run argument

21Oct12
 - Add remote regress test script

16Oct12
 - Fix messages segfault

10Oct12
 - Recompile configure.in
 - Implement feature request #1939

07Oct12
 - fix #1938 about PATH_MAX on hurd
 - fix #1938 about MAXPATHLEN on hurd

05Oct12
 - Fix bug #1937 OpenBSD autochanger example script

25Sep12
 - Fix #4996 about MaxRunTime canceling the job too early

19Sep12
 - Fix bug #1934 Wrong values at media list in BAT

18Sep12
 - Fix race condition in close_msg that causes seg fault

16Sep12
 - Fix double unlink
 - More tests for freeing NULL pointers

14Sep12
 - Add MaximumConcurrentReadJobs directive to Storage resource

03Sep12
 - Add ujobid to .bvfs_get_jobids

28Aug12
 - Do not try to strip RestoreObject during attribute encoding
 - Avoid problem when stripping a relative path

16Jul12
 - Fix #4513 about HIDDEN attribute set to parent directory during restore

Bugs fixed/closed since last release:
1812 1890 1934 1937 1938 1939 1943 1946 1948 1953 1955 1956 1959 1965 1975 1982 1984 4513 4996 5346 5507


Version 5.2.12

13Sep12
 - Fix accurate option in the estimate command
  - Fix bug #1932 director crash.

Version 5.2.11

10Sep12
 - Add JobId to SD debug output
 - Commit batch session every 800,000 files
 - Simplify safer delete code using a single regex

08Sep12
 - Clean up error message generation during update attributes -- should fix bug
  #1823
 - Eliminate heartbeat error messages. Fixes bug #1925

07Sep12
 - Set bsrdir default to workingdir
 - Recompile configure.in
 - Apply patch from bug #1911 to implement --with-logdir

06Sep12
 - Add chio-changer-openbsd submitted in bug #1903
 - mysql database install/update scripts patch. Fixes bug #1901
 - Delegate uid/gid changing to systemd. Fixes bug #1905

05Sep12
 - Fix bug #1906
 - Fix manpage errors, fixes bug #1907
 - Final fix for #1859 missed one query.

30Aug12
 - bpluginfo - Utility tool display various information

19Aug12
 - Backport more master code
 - Fix Makefile.in so that testfind builds with acl dependency

18Aug12
 - Make dump_resource respect console ACL's
 - Backport more from master

17Aug12
 - backport code from master

16Aug12
 - Fix #1923 about MySQL 4 support for BVFS

05Jul12
 - Fix #1902 about bad status slots output
 - Fix Sigma Copy bug #4377

03Jul12
 - Fix bsmtp
 - Reset bsmtp to only send to IPv4 mailhosts.

Bugs fixed/closed since last release:
1823 1859 1901 1902 1903 1905 1906 1907 1911 1923 1925 4377


Version 5.2.10

27Jun12
 - Add extra test for unsupported Protocol Families.

26Jun12
 - Fix inet_pton call.
 - Real fix of bug #1897 5.2.9 breaks IPv6 connectivity
 - Fix bug #1891 wrong daemon name printed with -? option
 - Fix bug #1859 INSERT INTO Counters fails

25Jun12
 - First try at fixing bug #1897 5.2.9 breaks IPv6 connectivity

23Jun12
 - Convert write_rec_to_block() to a state machine

18Jun12
 - Fix bat from eating all Dir connections -- fixes bug #1872
 - Back port fixes from BEE to fix Windows bug #1892

15Jun12
 - Add block checksum flag to version.h
 - Add block checksum debug code
 - Fix bug #1893 dbcheck -B gives rwl_writelock error.

13Jun12
 - Remove restriction of network buffer size being multiple of a tape block

11Jun12
 - Recompile configure.in
 - Add rudimentary support for saving AFS acls.

04Jun12
 - Send level before the fileset in estimate_cmd() like in backup()

Bugs fixed/closed since last release:
1859 1872 1891 1892 1893 1897


Version 5.2.9
11Jun12
 - Remove patch: Apply readline without TERM_LIB dependency patch from bug #1871

Version 5.2.8

10Jun12
 - Apply readline without TERM_LIB dependency patch from bug #1871
 - Ensure cancel status is set for canceled duplicate jobs -- partial fix for
   bug #1851
 - Enhance Win32 error messages -- fixes bug #1879

09Jun12
 - Apply patch from bug 1876 to permit dot commands in a runscript
 - Remove config variables from examples/devices fixes bug #1884
 - Add more debug code for bug 1885
 - Add more debug to block.c when read rejected
 - Fail job that attempts to read from closed device -- reported in bug 1885 but
   not fixed
 - Detect Python 2.7 fixes bug #1888
 - Recompile configure
 - Apply systemd patch from bug #1886

08Jun12
 - Rewrite some SD subroutines as class members

05Jun12
 - New overhaul of xattr code.

03Jun12
 - Use IPPROTO_TCP for SOL_TCP if SOL_TCP isn't defined.
 - Fix compiler warning.

Bugs fixed/closed since last release:
1851 1871 1879 1884 1886 1888


Version 5.2.7

02Jun12
 - Correct Qt version needed for bat

01Jun12
 - Turn on SD deadlock detection by default
 - Fix bug #1880 ltdl.m4 missing for new feature.
 - Fix bug #1870 GNU binutils-gold build failure.
 - Fix bug #1874 crash with xattr support on a BTRFS filesystem

31May12
 - Add new empty netinet/tcp.h so Windows compile works
 - Eliminate compiler warning in stored/dircmd.c

30May12
 - Fix TCP Heartbeat code

28May12
 - Align conio.c struct at 8 bytes to fix Sparc bus error.

18May12
 - Fix get_basename() -- rewrite

15May12
 - Apply James' exchange-fd.c regression fix

05May12
 - Add first Dutch translation

30Apr12
 - Ensure that StorageId is updated after write
 - Fix updating of cached slots + error message numbering

29Apr12
 - Remove old shared objects before install

22Apr12
 - Add missing dummy bVarPrefixLinks variable retrieval.
 - Rebuild configure.
 - Fix mysql config for older versions of mysql+config.

20Apr12
 - Fix problem in BVFS with concurrent queries
 - Add more checks to bvfs

19Apr12
 - Try to use multi-row insert statements for mysql.
 - On some platforms intptr_t is in an other include file.
 - Add support for fcntl(fd, F_CLOSEM) to close filedescriptors.
 - Use closefrom if available instead of trying to close fds ourself.
 - Fix class member shadowing.
 - Move storages tls initialization to proper place.
 - Fix Copyright on init scripts suse, add specific daemon user & group
 - Add support for new POSIX getaddrinfo interface.
 - Recompile configure.in
 - Apply MSQL detection fixes from bug #1829
 - Recompile configure.in
 - Fix bug #1805 cannot specify hostname in ./configure
 - Require latest Qtlibs
 - Fix restore_job restore keyword

18Apr12
 - Allow plugin to backup a directory
 - Print seconds in schedule time as noted in bug #1854
 - Change dev->open() to return bool

17Apr12
 - Fix #1857 about restore cd command that blocks on empty directory

15Apr12
 - Backport new StorageId code

14Apr12
 - More definitive fix for update slots bug

13Apr12
 - Fix old update slots bug

12Apr12
 - Fix #4062 on make_catalog_backup.pl script when user/password are empty

28Mar12
 - Fix bug #1853: bacula-sd dead but pid file exists.

23Mar12
 - Fix bug #1841 estimate command level=differential goes wrong in accurate
  mode.

22Mar12
 - Fix bug #1842 Incorrect port number reported
 - Fix bug #1848 bsock.c:335 Socket has errors=1 on call to client

10Mar12
 - Force the re-initialization of BaseJobOpts, AccurateOpts and VerifyOpts
  between two Include{}

08Mar12
 - Add test-deltaseq source
 - Rename delta-test plugin to test-deltaseq

Bugs fixed/closed since last release:
1805 1829 1841 1842 1848 1853 1854 1857 1870 1874 1880 4062


Version 5.2.6

17Feb12
 - Fix old exchange-fd plugin Accurate checkFile code.

16Feb12
 - Insert the slot field as a numeric field.
 - Update Change log and Release notes

15Feb12
 - Fix #1831 by dropping the table before creating it

14Feb12
 - Make cd accept wildcards

13Feb12
 - First cut wild card in restore cd command -- works in one component only

10Feb12
 - Remove bad optimization from Accurate code

04Feb12
 - Lock read acquire in SD to prevent to read jobs getting the same thing

03Feb12
 - Complicate the prune-migration regression by adding one more job
 - Implement more robust check in other drives for tape slot wanted
 - Add more debug to failing test
 - Fix lost dcr point -- memory loss in Copy/Migration + possible confusion
 - Make copy-job test handle one more job

02Feb12
 - Ensure that bvfs SQL link is not shared

31Jan12
 - Fix error printing in acl and xattr code.

29Jan12
 - Backport better error debug output for sd plugins.

28Jan12
 - Add wait on bad connection for security
 - Make mtx-changer more fault tolerant
 - Fix 32/64 bit problems in SD sscanf commands
 - Fix 32/64 bit problems in scanning commands in SD

26Jan12
 - Skip certain filesystem types on some platforms.
 - Allow BVFS to browse and restore Base jobs
 - Add error message to .bvfs_clear_cache command

20Jan12
 - Fix plugin bug with multiple simultaneous jobs

Bugs fixed/closed since last release:
1831

Version 5.2.5

25Jan12
 - Disable usage of JS_Warning waiting for a more complete implementation

24Jan12
 - Removed old sd plugins which doesn't work anymore.

23Jan12
 - Adapt sample-query.sql for Warning job status

20Jan12
 - Fix location of Qt dlls for Win64 build

18Jan12
 - Fix MediaView::getSelection

Bugs fixed/closed since last release:
1824 (1814 1806 1818 non-bugs)

Version 5.2.4

18Jan12
 - Prepare for adding IPv6 to Windows in the future
 - Fix bug #1822 Schedule run line parsing fails if value is keyword
 - Revert to 5.0 size computation in accurate elements, may fix #1821
 - Mark that a file was found in the accurate list in the ff_pkt with a
   variable

17Jan12
 - Fix Windows build
 - Update po files
 - Definitive fix for MySQL MaxValue problem
 - Fix python module compilation

15Jan12
 - Initialize delta_seq to -1 because 0 means that we have already a version
 - Back out bad MinValue patch

14Jan12
 - Fix bug #1810 use single quotes instead of double quotes for MinValue and
  MaxValue in catalog

11Jan12
 - Adapt bfileview for bvfs tables
 - Set job status to running when restore job really starts

10Jan12
 - Remove ifdeffing that turned off JS_Warning status -- must have been missed
  test code
 - Add support for soname setting in libtool.

09Jan12
 - Make error somewhat more understandable.
 - Fix bug #1815
 - Fix systemd pid files.

08Jan12
 - Fix const char compiler warning

07Jan12
 - Limit migration/copy jobs to starting 100 at a time
 - Avoid conflict with PAGE_SIZE define

06Jan12
 - Fix warning reported by clang
 - Send previous Job name during Incremental/Differential to the FD
 - Fix bug #1811 Filed fails to backup more then one xattr.
 - system.posix_acl_default is also an acl stored as xattr
 - Don't copy xattr and acl streams.
 - Fix bug #1807
 - Recompile configure
 - Add configure for new redhat spec files
 - Backport Enterprise spec files
 - Remove unnecessary break and unused variable
 - Fix xattr/acl regression script.

05Jan12
 - Fix bad memset() reported by clang

04Jan12
 - Move ini.c to libbaccfg from libbac
 - Test new plugin function in bpipe and test plugin
 - Try to fix openssl problem with signal
 - Add BSOCK::set_killable()
 - Set directory attributes when using Replace=Never when Bacula creates them
 - Use RestoreObject type in Catalog
 - Add new features in plugin
 - Add helper for ini files
 - Implement run accurate=yes/no
 - Add .bvfs_clear_cache
 - Add Accurate and MaxRunSchedTime in Schedule resource
 - fix warning
 - Fix xattr/acl regression.

03Jan12
 - Recompile configure
 - Fix bug #1802 configure code to detect LZO is broken
 - Fix bug #1806 failure to save second and more xattr.
 - Add second xattr to show bug 1806

02Jan12
 - Enhance sellist to allow rescanning the list
 - Fix lib/sellist.c

01Jan12
 - Remove double include of sellist.h
 - First cut selection list

31Dec11
 - Fix seg fault in plugin event loop

18Dec11
 - Implement slow regression for manual testing things like cancel/stop
 - Fix slow regress setups

16Dec11
 - Fix #3210 about slow restore with bvfs

Bugs fixed/closed since last release:
1802 1806 1807 1810 1811 1815 3210


Version 5.2.3

15Dec11
 - Revert patch from Ben to not compress man pages on Solaris fix #1801

14Dec11
 - Fix bug #3322 don't poll when operator is labeling tapes

13Dec11
 - bvfs: Fix mysql REGEXP operator

12Dec11
 - Fix Mysql 5.5.18 symbol lookup

08Dec11
 - fix utf8/iso8859 problems

06Dec11
 - Fix #3419, update stats problem

05Dec11
 - Fix cats_test to use the new method names.
 - Update accurate code to use 1 byte instead of 3
 - Fix segfault in accurate code

03Dec11
 - Fix compilation warning on FreeBSD

Bugs fixed/closed since last release:
1801 3322 3419

Version 5.2.2
23Nov11
 - Implement -t option for Bat
 - Require correct Qt version to build bat
 - Get new lib/plugins.h
 - Pull files from Master
 - Add systemd files
 - Update po files
 - Fix script to set mode of cats scripts
 - Create systemd dir if not already exists
 - Add Systemd configure options

17Nov11
 - Split messages line by line before sending it to syslog() fix #3325

16Nov11
 - Fix bvfs_restore on MySQL
 - Fix #3308 where a SMTP problem can block the director

12Nov11
 - Change locking scheme of the mountpoint cache.

11Nov11
 - Enhance mountcache with rescan option after interval.

10Nov11
 - Add %D option to edit_job_code, simplify callbacks on director side

09Nov11
 - Move Zdeflate and Zinflate to seperate file.
 - Put libraries in the correct order for non shared libs.

07Nov11
 - Remove last traces of @SQL_BINDIR@ and @DB_TYPE@
 - Fix bug #1774
 - Move batch insert detection into db.m4

06Nov11
 - Free jcr in btape before other pointers

04Nov11
 - bat: try to fix offset button problem when clicking too much on previous
 - bvfs: Use single transaction for each job during update

02Nov11
 - Add missing bwild & bregex man8 pages
 - Fix compilation issue of wx-console #1778

31Oct11
 - bvfs: fix filter for pattern= bvfs parameter
 - Improve speed of BVFS with SQLite, Thanks to J.Starek

30May11
 - bvfs: add clear_cache function
 - bvfs: Handle windows drive when building path hierarchy

Bug fixes
1774 1778 3308 3325


Version 5.2.1

30Oct11
 - Don't define HAVE_POSTGRESQL twice
 - Don't use the -R (runtime link path) when not using libtool for the linking.

29Oct11
 - Fix detection of batch insert enabler functions.

29Oct11
 - Add script to list authors
 - Update AUTHORS
 - Add new updatedb files
 - Make PurgeMigrationJob directive name correspond to doc
 - Put Win exchange plugin debug code on level 100
 - Remove old gnome console files
 - Update po files

28Oct11
 - Fix bug #1771 BAT crashes.

27Oct11
 - Fix regression on Solaris.

25Oct11
 - Prohibit multiple Jobs from writing state file at same time
 - Apply autochanger temp file security fix to examples files
 - Update date

23Oct11
 - Fix to Windows socket error detection -- should fix bug #1770

20Oct11
 - Fix regression in keyword of migrate pool patch

19Oct11
 - Try to eliminate multiple blank lines output in bat
 - Remove Version browser from bat (broken) -- use brestore panel instead

16Oct11
 - Update Specs and ReleaseNotes
 - Update po files
 - Eliminate complier warning
 - Pull files from master
 - Fix small things in Windows depkgs build scripts
 - Update autoconf conf file for Win32
 - Fix Win32 build after new debug patch in smartall.c
 - Ensure log files in first backup are restored

11Oct11
 - allow to use ./sign alone
 - Modify ./release/sign to be able to use an other gpgkey (idea from Bruno)
 - Send level command before fileset as sugested by Bastian. Fix #1768
 - Enhance smartalloc abort

10Oct11
 - First attempt to fix vtape-autoselect-test bug
 - Add more info to tape error msgs

26Sep11
 - Fix lurking bug in match when db_driver is not set (everything but DBI).

23Sep11
 - Fix bug #1764 plugin_list shadows global variable of mysql 5.5

19Sep11
 - Update auth troubleshooting URL to use MANUAL_AUTH_URL macro
 - Define MANUAL_AUTH_URL in baconfig.h

17Sep11
 - Fix #1762 about bat version browser performance problem

16Sep11
 - On restore we don't have a full FF_PKT so we lstat the file.
 - Add XATTR and ACL flags for backup and restore.
 - Lower some messages from level M_ERROR to M_WARNING in acl/xatttr.

07Sep11
 - Fix spooldata and ignoreduplicates run command options to use JCR instead of
  the Job resource.

30Aug11
 - Fix #1761 about create_postgresql_database

22Aug11
 - Apply htmldir fix provided by Philipp

20Aug11
 - Fix possible buffer overrun in exchange plugin

17Aug11
 - Add help for "use" command as suggested by Thomas Mueller
 - Fix error message with bad dot commands

16Aug11
 - Drop unused sqlite_dump function from make_catalog_backup.pl
 - Adapt make_catalog_backup.pl for backend

09Aug11
 - Fix backtrace detection in configure

06Aug11
 - Make bat run dialog present only allowed levels

05Aug11
 - Fix bat seg fault in FileSet view

Bug fixes
1389 1444 1448 1466 1467 1468 1476 1481 1486 1488 1493 1494 1497 1499 1501
1502 1504 1509 1511 1513 1516 1524 1526 1527 1532 1536 1538 1541 1542 1549
1551 1553 1554 1558 1559 1560 1564 1567 1568 1569 1571 1574 1577 1581 1582
1584 1587 1594 1595 1600 1601 1602 1603 1604 1606 1608 1610 1612 1623 1624
1633 1643 1648 1655 1661 1664 1666 1669 1672 1675 1684 1685 1695 1696 1699
1700 1703 1735 1741 1749 1751 1761 1762 1764 1768 1770 1771 2710

Version 5.2.0rc1

08Jul11
 - Fix libtool definition and make the helper script executable.
 - Use a helper script to link the correct database backend.
 - Sync libtool to 2.4 version.
 - Fix #1741 about possible problems with fnmatch

07Jul11
 - Add missing stream in bscan, fix #1749
 - Change intmax_t to int64_t to fix #1664
 - Fix compilation with gcc 4.6.1

06Jul11
- Add mutex priority check for changer mutex
- Fix deadlock with autochanger
- Fix #1602 about Uninstall /S that should not prompt for user interaction

05Jul11
- Change JobFiles display from %f to %F in RunScript because %f was already
  affected to Fileset name

28Jun11
- Update config.h.in for LZO flags
- Fix brestore compilation from previous patch

21Jun11
- Solaris make doesn't like comments in make rules.
- Fix OSX acl regression test.
- Storing the result in a local variable from sql_num_fields saves us a lot of
  callbacks.

15Jun11
- Add extra check for pInfo size when loading plugin

14Jun11
- Fix [bs #2710] about Storage combo that is too small
- Make bad Storage check in is_on_same_storage non-fatal

04Jun11
- Alter the manpages install target to handle optional compression
- Add barcodes help to label command
- Remove class member shadowing.
- Eliminate some old bnet code

03Jun11
- Fix small memory leak when job get canceled.

01Jun11
- Fix small memory leak in dbcheck not calling free_pool_memory for name
  variable.
- Remove global variable shadowing by local variable.

31May11
- Fix the lockmgr test tool
- Fix dbcheck to use the new runtime checks for mysql and not compile time.
- Restore db_type printing to dbcheck -B

30May11
- Fix unitialized DeltaSeq during Verify jobs
- Make delta_seq same size as in other places
- Remove broken code

18May11
- Add LZO compression support in bacula-fd.
- Add COMPRESS_MANPAGES substituted variable to autoconf

17May11
- Allow va_arg in Dmsg/Jmsg director plugin functions

16May11
- Add db_strtime_handler to get DATE fields from database
- Drop AFS detection.
- AC_CHECK_DECL doesn't seem to work so lets do it somewhat differently.

13May11
- First attempt at fixing bug #1735 where acls on OSX doesn't seem to reach the
  backup.

10May11
- Drop old unused protypes from before backend refactoring.

04May11
- Don't force job duplicate checking on copy and migration jobs.
- Simplify the code path in migration and copy jobs
- Allow duplicate job check override from run cmdline for migrate and copy
  jobs.
- Initialize spool_data_set as boolean.
- Add stat packet size to encode/decode_ routines to detect compile differences

29Apr11
- Drop unused variable.
- Make the solaris init scripts user/group aware

30Apr11
- Correct fix for bat brestore crash
- Kludge fix to bat brestore crash

29Apr11
- bat: Call parent constructor in all pages
- Add debug to bat label seg fault bug

21Apr11
- Use user arguments when upgrading catalog
- Change all sm_checks into Dsm_check for performance reasons
- Free database results on class destruction (e.g. when reference count ==
  0)

20Apr11
- Allow custom variables and checks from debian/ubuntu startup scripts

19Apr11
- Fix couple of g++ warnings

15Apr11
- Ensure the directories for solaris init scripts are created
- Honour DESTDIR in Solaris install-autostart targets
- Collapse Solaris install-autostart targets

13Apr11
- Update AC_INIT use to make configure handle docdir properly

19Apr11
- Some more use DeltaSeq instead of MarkId

16Apr11
- Update Catalog version and use DeltaSeq instead of MarkId
- Fix Sqlite driver seg fault

13Apr11
- Fix #1612 about checksum for hardlinks

02Apr11
- Some more code sniplets of no need to call thr_setconcurrency anymore.
- For Solaris 9 and higher there is no need to call thr_setconcurrency anymore.
- Execute the Index creation for mysql in bvfs.c
- Use B_ISSPACE in scan.c and reformat comments a bit.

06Apr11
- Fix nanosleep for Windows
- Use %s when displaying bandwidth limits in FD status

03Apr11
- Fix reference to uninitialized stack variable
- Remove FATAL error for ignored events in old Exchange plugin

02Apr11
- Fix uninitialized stack variable in bextract
- Remove temp index on start and term of dbcheck

28Mar11
- Fix brestore that should have miscDebug enabled to start a restore job

10Mar11
- Fix kb/s to kB/s in FD output
- bacula-web: Sync with Davide repos

07Mar11
- Fix for duplicate jobmedia records bug #1666
- Fix bug #1703 unable to bextract compressed files

06Mar11
- Fix some esc_obj handling in DBI and wrong free in postgresql.c

05Mar11
- Get full Windows Version display string
- Fix seg fault in PostgreSQL driver code
- Remove _ in restore_job
- Attempt to disactivate old exchange-fd.dll if no plugin= line in FileSet

03Mar11
- Add tray monitor to windows installer
- Fix QT tray monitor compilation on windows

02Mar11
- Fix tray-monitor qmake project file

01Mar11
- Add extra Bacula plugin variables

26Feb11
- Fix Windows build entrypoints

25Feb11
- Add new maxuseduration-test
- Fix bug #1389 MaxUseDuration uses job start instead of first write time
- Better fix for bug #1603 restart of Virtual Full

22Feb11
- Use system malloc in strack_trace() instead of smartalloc

24Feb11
- Fix bug #1603 restart of Virtual Full becomes a Full
- Use jcr->is_xxx instead of direct tests
- Fix bug #1608 btape test failure when block size too big
- Fix week of year schduling bug #1699
- Comment out unused variables in tray-monitor
- Fix uninitialized variable in bat
- Fix lock race conditions in bug #1675
- Rename incomplete to rerunning for clarity

23Feb11
- Fix bug #1700 no timestamp with -dt on Windows
- Use jcr->setJobStatus() in favor of set_jcr_job_status(jcr...)
- replace set_Jobxxx by setJobxxx

21Feb11
- Add more debug to restart regress scripts
- Add stack_trace() function to print current thread backtrace
- Add HAVE_BACKTRACE in configure.in

16Feb11
- Add %h option in runscript to get client address

21Feb11
- Fix seg fault during cancel in SD

19Feb11
- Discard old messages in beginning of maxtime-test

18Feb11
- Fix #1696 about an error when displaying "Base" level keyword.

14Feb11
- Fix #1695 about bacula-sd crash in detach_dcr_from_dev()

08Feb11
- Rename ua->err to ua->errmsg

07Feb11
- B_DB is a class now not a struct lets fix the include files.
- Check some user inputs in purge and restore commands
- Check if resource name is valid in acl_access_ok()
- Avoid extra strlen() in is_name_valid()
- Add negative numbers to bsscanf
- Apply get_basename to printed filenames to reduce unnecessarily long paths

06Feb11
- Add MAKEOPT to conf for regression
- Fix double query in db_list_basefiles()
- Fix chgrp on bacula-x.conf
- Allow using sql_fetch_field() in db_sql_query() callback for SQLite

05Feb11
- Use old list_result() in db_list_xxx for good formating

04Feb11
- Increase Windows backup/restore privileges possible fix to Virtual Disk
  ticket

05Feb11
- Use db_escape_string() in all db_xxx functions
- Pull src/lib/Makefile.in from master

03Feb11
- Add configure magic for detecting getpagesize
- Implement mntent_cache on top of the new htable code using a small htable big
  buffer of 128 Kb to start with.
- Added support to htable for giving a hint on the number of pages to allocate
  for the buffer used for hash_mallocs so we can have htables without the
  previous default of 10 Mb.

05Feb11
- Implement chgrp on bacula-x.conf if user configs a Dir/SD/FD group
- Rebuild configure
- Remove old scripts no longer used
- Add patch from bug #1574 for Scientific Linux spec
- Apply patches from bug #1672 to clean up configuration
- Check if volume name is valid in select_media_dbr()
- Small change to exporting functions not found in include files on some
  platforms. Wrap it as one extern "C" block just like its done on most platforms
  in the proper include files.
- Fixed some compile errors in IRIX and TRU64 xattr code which is kind of hard
  to test without a proper platform. Compiled it now using some tricks on an
  other platform defining it is the given platform and fix the compile errors
  that way using a fake header file.

04Feb11
- Improve bat stability by checking if page valid
- Fix segfault with print_memory_pool_stats()
- Drop last SQL_INC leftovers. Due to backend abstraction there is no need to
  include backend specific include files anywhere then in the backend driver
  which use now per backend specific include directives. SQL_INC is not set by
  configure anymore and should not be used anymore.

03Feb11
- Remove reference to @SQL_INC@ in tools Makefile.in
- Pull in lib.h from master so new htable code compiles
- Use C99 __VA_ARGS__ instead of GCC extention ##__VA_ARGS__
- Adapt bvfs for SQLite3
- Adapt htable code to 64 bit keys
- Rename db_list_ctx.cat() to db_list_ctx.add()
- Fix bvfs for mysql

01Feb11
- Add simple way to add string elements to db_list_ctx

03Feb11
- Add code to trim heap after big mallocs

01Feb11
- Close cursor in big sql query

30Jan11
- Fix bad character in cats/sql_cmds.c

31Jan11
- Removed old queries from sql_cmds.[ch] which are no longer referenced and
  thus polluting the namespace for no obvious reason.
- Fix possible core-dump as seen in regression testing

28Jan11
- Ensure that we always close the transaction in db_big_sql_query()
- Implement db_big_sql_query() that uses cursor on PostgreSQL and limit memory
  usage in db_list_xxx
- Detect mount/junction points and ignore junctions in Windows

25Jan11
- Added set_db_type function to set global debug symbol removed when doing
  class based catalog backends. Coding is a bit different as we need get_db_type
  which needs a bdb class so we have to set it as part of the loop over all
  catalogs. This way we may set the global variable a couple of times but the
  code frees the global variable if needed so other then being somewhat overkill
  no harm is done.
- Drop removed catalog function prototype.
- Fix logic inversion.
- Add more ingres code
- Adapt bbatch and cats_test tool to new cats

18Jan11
- Backport changes for Windows compiling
- Backport one more patch into master from class based catalog backend code.
- Backport of class based catalog backends into Branch-5.1.

25Jan11
- Fix #1684 Use --with-db-password option in grant_bacula_privileges scripts

23Jan11
- Free unused pool memory after restore
- Add pool memory debug output

13Jan11
- Fix build of Windows bat -- Qt depends on libgcc_s_dw2-1.dll

23Jan11
- Change accurate CurFile allocation size

19Jan11
- Add more tests on cats_test
- Add cats_test unit tests

15Jan11
- Fix #1685 about JobBytes counter when using Accurate/BaseJobs with checksum

12Jan11
- Ignore replace=xx for directories. Corrects (not total solution) ticket 2317
  and bug #1444
- Add restore replace=never test ticket 2317
- Add replace=xxx on restore command line

10Jan11
- Add restore_job= option to restore command

06Jan11
- Add windows tray monitor to bat make-win32 script
- Adapt traymonitor qmake project file for win32
- Add cross-win32 target to qmake template
- Add new QT traymonitor
- Add qt traymonitor files to configure.in
- Add transparent icon with tape

05Jan11
- Fix #1661 about verify differences with VERIFY_VOLUME_TO_CATALOG

02Jan11
- Remove tray-monitor from Win32 build
- Fix some double Win32 #ifdefs
- Fix missing HAVE_LITTLE_ENDIAN for Win32 build

30Dec10
- Add helpers to add drives in VSS snapshot from plugins
- Make new crc32.c work on FreeBSD
- Fixes some problems in update_sqlite3_tables.in

29Dec10
- Handle all FD version in check_bacula
- Fix compilation warning in check_bacula

21Dec10
- Make new bat progress view compatible with previous FD
- Keep the same keywords as in previous version

20Dec10
- Modify Job view to follow backup progress in real-time
- Update ".status client running" output for new Bat screen

25Dec10
- Ensure that Job duration is not negative
- Add Slot to Media View table

20Dec10
- Fix compiler warning.

19Dec10
- Set proper status of autochanger slots with 0 on startup -- no volume rather
  than unknown

14Dec10
- Add indentation in lsmark command output

17Dec10
- Change SELECT count(*) to SELECT 1 .. LIMIT 1 to speed up PostgreSQL and
  Innodb in is_volume_purged()

01Dec10
- Fix #define when using --disable-smartalloc

17Dec10
- Track unbalanced start/end plugin stream

12Dec10
- Try to bug where we stop reading before the plugin end is returned
- Fix end plugin stream index

16Dec10
- Add missing switch values although the code works this is cleaner. Give
  better error when trying to restore a particular type of acl on a filesystem
  without support for those types of acls.

15Dec10
- Added support for NFSv4 ACLs added to FreeBSD 8.1. Some small updates to some
  comments of other ACL implementations.
- Added additional extended attributes used under FreeBSD for the storage of
  ACLs.

14Dec10
- Allow closing of all tabs + close tab clicked

13Dec10
- Add short-incremental regression test

12Dec10
- Print plugin end records in bls
- Center bat run window on screen

03Dec10
- Fix #1669 making director's address required in traymonitor.conf

27Nov10
- Update bat console display only if new text comes in
- xPut debug code on test + fix focus on Volume in label dialog box

12Nov10
- Improved error message when drive busy
- Ensure that bat.conf is updated when bconsole.conf is

09Nov10
- Make Win32 service name include the word Backup

25Nov10
- Add PurgeMigrateJob Job resource option to purge job on successful migration

24Nov10
- Move accurate test in BackupCommand for delta and delta-test plugins

25Nov10
- Add delta_seq available for plugin restore

24Nov10
- Prepare for adding high bits to Stream
- Use new FO_xxx bits in backup/restore and plugins
- Define new stream bits
- Separate definitions of streams, filetypes, and fileoptions to separate
  files
- Rename bEventVssSnapshotLetters to bEventPrepareSnapshot
- rename plugin->len to plugin->file_len

23Nov10
- Handle all kind of plugins when computing plugin name length
- Allow plugins to add drives to vss snapshot
- Ensure that two plugins starting with the same name won't share events
- Don't define DLL_IMP_EXP twice in fd_common.h

22Nov10
- Add execute bit to systemstate test

21Nov10
- Update delta plugin to raise error if we get delta back melted
- Insert Delta in bootstrap by JobTDate
- Modify MySQL accurate query with Delta
- Add missing MarkId in mysql accurate query
- Add delta option to db_get_file_list()

20Nov10
- Support restore with Delta in Director
- Add delta_seq to restore tree code
- Add db_get_file_list_with_delta() for restore
- Fix delta-test-fd
- Ensure that sparse stream is set when delta enabled
- Make non accurate fatal for delta-test plugin
- Update bfile.offset when with plugin offset
- Update delta plugin
- Add delta-test plugin
- Pass Delta Sequence to save_pkt and restore_pkt
- Clear delta sequence when not using in plugin
- Remove spaces, try to stop FD faster on cancel
- Implement incrementation of delta_seq (I think)
- First cut Delta code in FD

19Nov10
- Don't compute accurate list with MD5 if not used
- Use JobTDate instead of StartTime, and sort by JobTDate instead of JobId

05Nov10
- Avoid warning for win64

19Nov10
- Fix tray-monitor compilation

04Nov10
- Fix check_nagios compilation

18Nov10
- Add delta sequence to batch mode, accurate query and file daemon ff_pkt

17Nov10
- Start adding DeltaSeq

15Nov10
- bvfs: support basejobs and migration for PostgreSQL
- bvfs: support for bweb user acl

13Nov10
- Fix win32 build
- More porting from Branch-4.0

06Nov10
- Add check_changes to bacula def

27Oct10
- Add -l and -a options to drivetype tool

19Jul10
- Add debug info to smartall.c for buffer overrun

30Aug10
- Make RestoreObject compatible with older FDs

15Jul10
- Make VSS snapshot failures fatal

12Jul10
- Add bEventVssBeforeCloseRestore per James

24Jul10
- Call plugin bEventEndxxxJob even if Job canceled

06Nov10
- Fix Windows build to know about exepath

07Nov10
- Allow some plugin variables to be available during loadPlugin()

06Nov10
- Add bVarExePath to let plugins know about exepath

02Nov10
- Fix compilation warning about void* to int cast

24Oct10
- Remove extra EndTime displayed on the first line of the Job status report

12Nov10
- Prevent timer recursion in bat

07Nov10
- Implement close button in bat tabs

24Oct10
- Set daemon name and host name to zero

05Nov10
- Permit to get Where/RegexWhere from Plugin and give access to Accurate
  data
- Allow Plugin command without argument
- Fix compilation problem on win64

03Nov10
- Stop restore if job is canceled
- Make sure JobErrors is always nonzero on fatal error

02Nov10
- Fix bug #1655 Quitting bconsole with ctrl+d doesn't save history

31Oct10
- Fix bad handling of c: during restore in bat
- Ignore unknown dot commands in restore tree code

20Oct10
- Fix ubuntu/debian startup scripts

13Oct10
- Fix bug #1643 about orphan records with delete volume= command

07Oct10
- bvfs: fix mysql query, restore seems to be ok
- bvfs: Restore should be ok with MySQL

06Oct10
- Use start-stop-daemon handler to run daemons as bacula:bacula

26Sep10
- Reverted the change of TRU64 to OSF1 for the OS detection rules. Although
  Compaq/HP renamed OSF1 to TRU64 lets leave it for now.
- Fix new IRIX xattr code. Be a bit smarter when freeing data and do it in the
  exception handler (e.g. after the goto label)
- Fix some trivial errors and implemented the restore of IRIX xattrs.
- Added first try at supporting IRIX extended attributes.

25Sep10
- Added configure logic for detecting the TRU64 extended attributes interface.
  Also made the acl and xattr configure logic use the HAVE_XXX_OS_TRUE variable
  which is set by BA_CHECK_OPSYS macro so we only check for a certain interface
  that we know only exist on a certain platform when we are running on that
  platform. This should make the configure output much cleaner.

24Sep10
- Added support for TRU64 Extended Attributes interface.

06Oct10
- Remove SQL lib dependency from btape

05Oct10
- Fix bad copyright in new src/lib/crc32.c

04Oct10
- bat: Add pattern filter and make restore to start from brestore
- Adapt bvfs for BaseJobs (path is ok)

03Oct10
- bat: more work on brestore panel
- Add .bvfs_restore command
- Add .bvfs_get_path to traduce a pathid into a path

02Oct10
- bat: Add new form to run a restore
- bat: Add restore job list in console
- bat: Add restore option box for brestore
- bat: Add runrestore.ui to bat project file
- bat: Use current set of jobids for directories
- bat: fix drag&drop for new brestore screen

01Oct10
- bat: Try to implement drag&drop for file selection
- bat: Add checkbox to allow automatic fileset merging
- Add "all" option to .bvfs_get_jobids dot command.
- bat: get a simple working brestore file browser using bvfs API
- bat: Implement a Date and FileType helper in ItemFormatter
- Implement .bvfs_versions command to display all file versions for a client
- Update BVFS file versions browser
- Add .bvfs_get_jobids to return jobids needed by a job to restore

30Sep10
- bat: Use BVFS on bRestore view

05Oct10
- Fix #1648 about make_catalog_backup.pl with multiple catalog

01Oct10
- Rebuild configure
- Fix batch insert detection for MySQL and no .a libraries

30Sep10
- Fix pt_out() that can loose a message if the trace file can't be opened.

23Sep10
- Add missing new stream definitions.
- Added xattr interface found in AIX 6.x and higher which mimics the Linux/OSF
  interface but has just a bit different named functions and the error codes
  are somewhat different so its not a perfect match to extend the generic
  interface (which is named generic now instead of the linux interface as it
  used by Linux and OSX).
- Added configure support for the AIX extended attributes interface.
- Added extra check for Solaris xattr support so we don't get false positives
  on other os-es (AIX) etc.

22Sep10
- First compiling version of AIX 5.3 and later acl code using the new aclx_get
  and aclx_put interface.
- AIX also supports setmntent/getmntent so use that instead of much more
  complicated other interface which is left for AIX systems that might not
  support the setmntent/getmntent interface.

17Sep10
- Handle the old stream using the old system call just to be safe for now.

16Sep10
- First steps for adding new interface for acls added to AIX 5.3 and later.
  Added 2 new streams and basic code to handle these streams. Next step is the
  actual implementation.
- Rewrote ACL configure logic to be somewhat better readable in the same style
  as the new xattr configure logic.

22Sep10
- Add debug to next_vol.c + shorten retention for recycle-test
- Fix seg fault introduced during restore cut and paste

21Sep10
- Fix bat browser to ignore copy jobs. Fix bug #1604
- Create dummy to create test data
- patch 96793e fixes bug #1584

20Sep10
- Fix bconsole bug with new BNET signals
- Add skeleton of new bat run dialogs

18Sep10
- Fix getmntinfo handling on FreeBSD as it seems its the same as OSX (no real
  surprise).

10Sep10
- Add TODO on AIX acl code
- Detect acl_get() on AIX to enable ACL code

08Sep10
- Tweack project file to mark Item 7 done

30Aug10
- Fix the insert_autokey_record functions to be 64bit compliant. This fixes a
  long standing bug in the postgresql code where the id was converted using
  atoi which is now changed into a str_to_int64.

17Aug10
- When moving zlib into its seperate ZLIBS variable forgot to update the stored
  Makefile.in which still uses FDLIBS. But as FDLIBS now only contains libraries
  explicitly needed for building the filed this doesn't work. This should fix
  that. This is mostly a problem on Solaris like operating system as the linker
  doesn't load all dependency libs and gives unresolved symbols.

20Sep10
- Fix bug #1623 about indexes that are already created or deleted in postgresql
  upgrade process.
- First cut of bat rerun a Job from Jobs Run
- Allow sorting of more bat media columns
- Suppress superfluous warning messages if SD polling

19Sep10
- Add comm error output when cram-md5 fails with comm error

18Sep10
- Quote device name in SD and implement releasing message
- Massive bat notifier rewrite + fix seg fault + implement text input dialog

15Sep10
- Fix postgresql version detection in database creation script

13Sep10
- Make Ubuntu autostart scripts LSB compliant

12Sep10
- Fix restore browser to permit checking first item and to start in focus
- Fix another bat seg fault
- Fix bat seg fault

11Sep10
- Backport 5.0.3 rpm changes.

04Sep10
- Display job information on jobid in Verify screen
- Allow to verify any job specified in argument

03Sep10
- Send back updated jobs status from FD
- Allow plugin to skip restore if problem
- Attempt to eliminate waiting on Storage message during restore
- Add quotes around resource name in status output
- Change FD protocol version to avoid error message when sending RestoreObjects

22Aug10
- Allow limit= for all list sub commands

12Aug10
- Make third argument of DEVICE::d_ioctl optionnal to emulate varg
- Use SMARTALLOC+memset instead of overload new/delete that doesn't work in
  bat

02Sep10
- Fix bug #1601 where prune client pool=xx apply pool retention for all volumes.

31Aug10
- Add level option to estimate help command
- Fix #1633 Windows service is not removed if still running

30Aug10
- Fix #1624 about segfault in dvd driver when calling rewind(NULL)

29Aug10
- Rebuild configure
- Add scripts/reload

12Aug10
- Fix batch insert detection on SLES 11
- Add crc32sum in makefile

11Aug10
- Add ENDIAN detection in config.h/configure.in
- Use HAVE_LITTLE_ENDIAN in crc32 code

08Aug10
- crc32 optimization
- Add crc32 test program

10Aug10
- Update spec files
- Modify DEVICE class to use subclass for each driver implementation.
- Add USE_FTP in version.h
- Add new/delete operators with memset(0) on smartalloc

08Aug10
- Fix bug #1504 -- Error when creating tables in MySQL 5.5

03Aug10
- Remove patches directory

02Aug10
- Fix prune sql handler
- Allow sorting of MeditView table columns

01Aug10
- Make Win32 no filesystem change more explicit

31Jul10
- Revert to old block.c to fix recycling

29Jul10
- Remove some old files

28Jul10
- Fix #1606 about OpenSSLv1 detection using non-standard location

27Jul10
- Update the license template files

26Jul10
- Fix postgresql catalog creation when version is not on the first line

25Jul10
- More changes from GPLv2 to AGPLv3
- Fix some missed copyright changes
- Switch from GPLv2 to AGPLv3

21Jul10
- Implement %f %b to get JobFiles, JobBytes in a RunScript
- Fix bug #1610 handle empty xattr values on Linux and xBSD.
- Really free free pool memory before sm_dump
- Garbage collect memory pool at end of job and before sm_dump
- Ignore STREAM_RESTORE_OBJECTS returned by SD to FD

19Jul10
- Add xattr seg fault protection suggested by Marco for bug #1610

17Jul10
- Add archlinux to os.m4

14Jul10
- More fixes for 32/64 bit problems in smartall
- Fix 32/64 bit problem in smartalloc dump routine

11Jul10
- Fix .dump, .die, .exit when DEVELOPER turned off

10Jul10
- Make SD automatically fix the Volume size in the Catalog when out of sync
- Add bigger print buffer for sm_dump
- Add .dump and .exit commands for daemons

09Jul10
- Use Pmsg in smartall.c rather than printf for tracing Windows

07Jul10
- Up maximum block size to 20M
- Fix for TLS bugs #1568 and #1599

02Jul10
- Improve comm line error handling for TLS, may fix bug #1568 and #1599

04Jul10
- Add new tls-duplicate-job test

02Jul10
- Fix SD crash due to mismatched lock/unlock in error condition

29Jun10
- add comments
- Fix #1600 about problems with Accurate code on MySQL

26Jun10
- Fix bug #1587 if you have clients with different catalogs configured, both
  catalogs contains all clients after a reload or restart of the dir
- Fix bug #1577 During migration: ERROR in block.c:950 Failed ASSERT: dev->is_open()
  by moving and commenting out the ASSERT()

24Jun10
- Fix new killsafe code
- Add USE_LOCKMGR_SAFEKILL in version.h
- Add wrapper for pthread_kill() to check if thread exists before using kill

23Jun10
- Skip HB kill in FD if HB thread terminated

21Jun10
- update windows defs

20Jun10
- Fix crash from unequal volume_lock/unlock calls
- Fix pruning for migration jobs and do some optimization
- Print TestName at beginning of dump

19Jun10
- Remove prototypes of removed prune queries.

18Jun10
- Adapt new prune code with old db_accurate_get_jobids()

17Jun10
- update prune code
- Fix db_get_base_jobid()

16Jun10
- Make new prune algo to work with backup

19Jun10
- Save any dumps during regression to dumps directory
- Update LICENSE
- Fix crash from rw_lock/unlock miss match

18Jun10
- Attempt to fix duplicate job kill seg fault
- Replace pthread_kill by my_thread_send_signal() in jcr.c
- Fix postgresql error in grant script
- fix #1595 about batch mode detection problem for postgresql with non standard
  install dir
- Add TestName to gdb traceback
- Fix accurate code

17Jun10
- Remove bdb from configure

16Jun10
- make new update tables executable
- Improve the "update stats" sql command
- Improve performance for MySQL with update stats command
- Fix Makefile and build problems

14Jun10
- Fix #1594 about prune copy jobs
- Fix restore object compression flag -- James

11Jun10
- Add new upgrade script from DB vers 12 to 13
- Add BDB_VERSION for scripts + prepare update 11 to 12 + automate BDB_VERSION
  checking

09Jun10
- Add first cut Volume names to disk-changer

07Jun10
- Apply literal string fix in printf submitted by Luca Berra

05Jun10
- Drop 2 unneeded AC_DEFINE statements from configure.in for AFS.

03Jun10
- Fix bug #1582 Restore from multiple storage daemons breaks subsequent backups

01Jun10
- Fix segfault on "cancel jobid=" command
- Create table with jobids as a temporary table and move the sql definition to
  sql_cmds.c. We use a default query for all databases but Ingres.
- Update makefiles for new libtool revision
- Simplify libtool revision and use VERSION as default
- Simplify libtool revision

28May10
- Convert all Jmsg on the watchdog thread to Qmsg

30May10
- Don't set socket buffer size unless explicite set by users. Suggested change
  from bug #1493
- Fix bug #1554 Windows installer doesn't honor /S flag

29May10
- Add z (size_t) prefix to bsnprintf

28May10
- Fix #1571 and install libraries with 755 perms

27May10
- Fix bug #1581 ASSERTs in src/dird/jobq.c can never trigger
- Removed workaround for bug in Ingres with insert into tables with sequences
  from the batch insert temporary table. Added comment to the Ingres make table
  script to document the bug numbers which should be fixed in the Ingres
  version to be able to run batch inserts and currently known patch numbers for
  Solaris x86 and Linux x86_64.

25May10
- Fix segfault in action on purge test

24May10
- First cut Share Point plugin
- Add more debug code for bactrace

23May10
- Fix for bug #1569 deadlock/crash in Dir

20May10
- Fix problem with BaseJob and Accurate FileSet options on client side
- Do not use mtime with basejobs

18May10
- Optimize the selection process for saving either AFS or Native ACLS by
  keeping track of the filesystem we are doing a backup of. This way we don't
  have to check if a filesystem is still either AFS or not as when we know if
  it is all files on the same filesystem are either AFS or not. We also clear
  the native save flag when a filesystem says it doesn't support acls so we
  don't keep on trying saving acls on filesystem that don't support them.

16May10
- Added preliminary AFS acl support. The code may need some testing on a real
  AFS enabled server as most of the code was written using information available
  on the Internet. The code compiles and links on Linux using OpenAFS 1.4.
- Added fstype rewrite code so we have a uniform way of retrieving the fstype
  on Linux and OSF1 without the need to add code for each new filesystem added
  to a OS.

14May10
- First stab at a simple script to dump the content of the complete Ingres
  bacula database for disaster recovery purposes.

10May10
- Add .dump command
- update comments

08May10
- remove pragma warnings

06May10
- Fix problem when sending Cancel event to plugin
- first attempt at making bacula set the backup level in VSS
- Implement bEventPluginCommand event for systemstate plugin
- MySQL compilation fix

05May10
- stop Bacula aborting the job when one of the writers reports a problem

04May10
- Fix #1567 about display of long volume names truncated during restore

03May10
- Fix segfault when loading Plugins

02May10
- Added new bacula-libs package.
- Fix RestoreObject for PostgreSQL

01May10
- Move some AC_MSG_RESULT macros around so the configure output looks somewhat
  cleaner.
- Move libz out of FDLIBS into a seperate variable as we need it for libbac.so
  now too as it also has libz compiled functions. This way we keep the FDLIBS
  cleaner with only extra libs need for the Filed to compile.
- Fix RestoreObject schema on PostgreSQL
- Fix insertion of RestoreObject
- Change Byline
- Remove RestoreObjects when pruning Jobs
- Fix bug #1538 Start Scripts return incorrect value
- Fix bug #1564 init scripts not LSB compliant
- Rework sql queries for update copies

30Apr10
- Don't hardcode temporary table creation as some backend have a somewhat
  different SQL syntax.
- Added missing column in Ingres database definition for new database object as
  reported by Stefan.

28Apr10
- Patch from Martin to avoid error when single tape used
- James' patch
- Fix File and Job Retention in show pool command

27Apr10
- Add Polish translation. This translation project is sponsored by Inteos Sp. z
  o.o. based in Warsaw, PL.
- Change Ingres query filter to set a realy early timestamp instead of an empty
  string which doesn't seem to work on all Ingres versions.
- Add new file I missed from James' plugin patch

26Apr10
- Probable fix for SD crash bug #1553
- Remove bad debug line
- Add extra lock debug code but turned off
- Reduce accurate test output when not debug
- Add lmgr_is_locked() function to test if a thread own a mutex

25Apr10
- Put attr.c debug on dbglvl

24Apr10
- Use lwps cmd in dbx and no threads as it seems to give some strange side
  effects e.g. doesn't work and lwps seems to always work. So lwps it is
  then.
- Fix #1559 problem when restoring pruned jobs with a regexp
- Do some work on the btraceback on Solaris, we test to see what debugger is
  available and we prefer the debuggers in this order: dbx, gdb, mdb. Also
  enchanced the dbx bactrace somewhat that it always dumps all available
  threads (e.g. we also changed from lwp to threads for dbx). We also print
  some variables that the gdb script also dumps on a bactrace. Hopefully we get
  some better dumps using this. The mdb is used as a last resort as it should
  be always installed on a Solaris box (dbx and gdb may not) but at the moment
  I'm still trying to find out how to get some more understandable dumps from
  mdb as its rather rudimentary and more a crash debugger then a source code
  debugger.
- Fix for bug #1560 bcopy cannot find Volume
- Update autoconf scripts
- Fix Windows build

23Apr10
- Update Ingres RestoreObject table
- Add compress/decompress of Object Record data
- Fix #1558 about bscan that doesn't update PurgedFiles on Job records
- Remove pool zap code that breaks 2drive-concurrent-test
- Fix cancel crash bug #1551

21Apr10
- A timestamp can only be assigned to a timestamp in Ingres unless we convert
  it inline. But why should we the code to get Timestamps is already there so
  change it and we are allright.
- For Ingres always enable batch mode inserts.
- reindent some Ingres DECLARE queries so they are better readable.
- Lets not use the mdb->transaction bool but create a private one named mdb->explicit_commit
  as mdb->transaction is used by the bacula core and we need a private setting
  for Ingres.
- Lets have a single exit from db_write_batch_file_records where we always drop
  the temporary batch table.
- Fix job_metadata name problem
- Allow traceback with gdb on Solaris

20Apr10
- Implement IS_NUM for Ingres by using eqsqlda.h IISQ_ values for numeric types
  supported by Ingres.
- Correct Pool display in SD status. Fixes bug #1541
- Add performance notes in make_xxx_tables.in files

19Apr10
- Fix Ingres problems with queries with have both an LIMIT and OFFSET clause as
  we need to reorder this query for Ingres to be understandable we need some
  more regexp magic for now. Lets make things exentsible and allow for multiple
  regexps all being fired on a query transforming it into the query to execute.
  Dropped the encoding check which is for postgresql but not interesting for
  Ingres now we use VARBYTE and not VARCHAR.
- Fix cancel crash reported by Stephen Thompson
- Check if sql backend is thread-safe
- Fix error message with PostgreSQL on JobHisto sequence

18Apr10
- Add RestoreObject postgresql privilege
- Change plugin FileSet function names add NewOptions and NewIncludes
- Second cut plugin filesets
- Add exclude to test program
- Correct new plugin names
- First cut more complicated fileset options for plugins
- Skip FT_RESTORE_FIRST in verify
- Start adding plugin regex filesets

17Apr10
- Reorganize regex code

18Apr10
- Rewind on close to fix #1549
- Add bVarWorkingDir to filed plugins

17Apr10
- Update Ingres temporary table definitions with new datatypes and lengths.
- Added extra check to scream when we encounter a database datatype which we
  don't support yet. This should never happen as we should implement new
  datatypes when we use them in the schema but some defensive programming
  doesn't hurt.
- Some small indent changes.
- Possible fix for big-files-test
- Use a dedicated connexion when VirtualFull computes the file list.
- Add back line accidentally deleted -- fixes verify-vol tests
- Remove inappropriate comments and unused line
- Fix badly named index
- First stab at rewriting the ingres database schema to allow bigger path and
  filenames up to the current limit of 32000 bytes. Also reindented the database
  definitions to the Bacula standards which make it somewhat easier to read.
  Implemented the retrieval of some additional datatypes in the ingres backend
  now we switched some types from VARCHAR to VARBYTE.

16Apr10
- Remove closelog() in bpipe fixes bug #1536
- Convert restore object to use STREAM_RESTORE_OBJECT; cleaner code
- For now the Ingres type is not TEXT but VARCHAR(256) so lets define the
  temporary table that way.
- Seperate some basejob queries into sql_cmds.c so the code is cleaner and we
  can specify the Ingres specific definition of a temporary table.
- Remove some strange includes halve way this file which seems to be some
  copied code from the top of the file.
- Fix RestoreObject make_sqlite3_table.in syntax

15Apr10
- DISTINCT ON postgresql queries won't work on Ingres so try if the MySQL
  queries do any better on Ingres.
- Small changes to btraceback script so on solaris we don't get strange errors
  as PNAME is not a single binary name and that doesn't work to great for doing
  a gcore.
- Add install and uninstall of btraceback.mdb script

14Apr10
- Remove bad index tips on mysql creation script
- Apply James' patch with my restore object changes
- Add vss_close_backup_session after find_files + add object_name to restore
  object

13Apr10
- Ingres doesn't understand a query string with ORDER BY LastWritten IS NULL,LastWritten
  DESC,MediaId and we must rewrite it to ORDER BY IFNULL(LastWritten, '')
  DESC,MediaId which we now do by using an array with the correct order statement
  per backend in sql_cmds just as some of the other database specific queries.

12Apr10
- Add missing break. Pointed out by James

11Apr10
- Pass restore object to plugin
- Restore object now sent to FD
- Drop old bdb catalog scripts

10Apr10
- Extract restore object and send to FD first cut
- Add Ingres RestoreObject SQL changes
- Rename sql_insert_id into sql_insert_autokey_record so things are somewhat
  cleaner in name and things don't seem to imply we are just a mysql_insert_id
  replacement, which we are not.

09Apr10
- Turn off plugin debug
- Create and put data into RestoreObject table
- Create db_create_restore_object_record and code to insert it
- Drop all Ingres tables with one commit.
- Fix Win32 build
- Set level for debug code

08Apr10
- Make build and install of test-plugin for regress automatic
- Temp remvoe add exclude

07Apr10
- First attempt to fix plugin excludes
- Get binary objects working
- Make test-plugin regression test work
- Make test-plugin-test script
- Create test-plugin-fd
- Stuff object in extended attributes
- Add FT_RESTORE and first cut handling it

06Apr10
- Add more doc to example-plugin

05Apr10
- Start RESTORE_OBJECT code

08Apr10
- Fixed postgresql grant script which I seem to have updated while I thought I
  updated the Ingres one. Also added a missing entry as reported by Martin
  Simmons.
- First attempt at using mdb on Solaris instead of dbx which isn't standard on
  most current Solaris versions.
- fix grant_postgresql_privileges doesn t grant permissions on jobhisto_jobid_seq
- Add back something that for whatever reason got lost on last big merge.

07Apr10
- Fix stupid inverted logic
- Make the batch insert functions return bool instead of int.
- Add lock position info to volume manager

06Apr10
- Permits to use lock manager with file/line from outside

05Apr10
- Added empty db_check_backend_thread_safe to dbi backend.
- Change cryptic aop name
- Make sql_insert_id a atomic function which executes the insert query and when
  that succeeds retrieves the id the database used for storing the inserted
  record. Some databases want this to be atomic (e.g. without a COMMIT in
  between.) Coding wise this is also much cleaner.
- Drop have_insert_id in mdb as its always true for all backends.
- Lets call it COMMIT and not END as that seems to be the counterpart of BEGIN
  for transactions. Updated Ingres lock queries to only start a transaction as
  the current SQL is not valid Ingres SQL.

04Apr10
- First attempt at making things multi-threaded and make it possible to have
  multiple connections to the database without having the dreaded ERR=E_LQ002E
  The 'execute immediate' query has been issued outside of a DBMS session. This
  compiles but seems to give some problems so into the debugger it is.
- Use -lq.1 -lcompat.1 as shared libraries instead of linking with -lingres
  which is a static library. Also need to change generated code of esqlcc a bit
  to get things to link with the IIsqlca function.
- As we have a multithreaded application let tell that to esqlcc so it can
  optimize for that.
- Fix bscan segfault with new comment field

03Apr10
- Creating a database as an other user and giving grants doesn't seem to work
  for Ingres. Strange so for now create everything using the -u${db_user}
  option. This is something that needs to be investigated as it should be
  possible to have an different owner of the database.
- Create user in the right database for Ingres.
- Do all Ingres operations as the user invoking the script just as for all the
  other databases. The grant script will make sure the db_user will have the
  proper access rights to the database tables and sequences.
- Fix username argument to sql for Ingres grants.
- Replace ASSERT in block.c with fail Job
- Make the Ingres grant script work.
- Use uint32_t for max_concurrent_jobs
- Fix grant script to set grants on correct sequence names and not PostgreSQL
  names.
- Add new item to projects

02Apr10
- Fix bug #1542 File Daemon outputs usage message to stdout instead of stderr
- Apply James' rename events patch
- Apply James' plugin patch
- Added limit_filter which rewrites queries which use the LIMIT functions into
  something Ingres can understand. Removed all static functions from the
  myingres.sh file as they are no longer an exported interface (we can always
  put that back when we have the need to export more functions). Some other
  rewrites of the code to make it somewhat cleaner.

01Apr10
- Add make_def64
- Fix win32/lib/bacula.defs as pointed out by James
- Drop Ingres specific versions of queries with #ifdefs
- fixed syntax LIMIT/NULL behavior/improved tests

31Mar10
- Simplify db_check_max_connections code and ifdeffing
- Fix SQL warning message about concurrency pointed out by Graham
- Fix compiler warning
- Add jobs running to status of daemons

29Mar10
- Use file and line for rwlock and lmgr in db_lock()
- Add File and Line info to rw_lock for lmgr

27Mar10
- Fix compiler warning.
- Fix database locking calling db_lock and returning from function without
  calling db_unlock.
- Apply James' wide char patch
- Patch from James
- Add bVarVssDllHandle so that a plugin can get GetProcAddress

26Mar10
- Add missing db_unlock to bvfs_update_cache.

22Mar10
- Fix #1532 about permission on binaries
- Propose shell replacement to perl code, fix #1516
- Fix #1526 about verify jobs and runscript

20Mar10
- Add 5 minute timout to alert directive -- fixes bug #1536

19Mar10
- Add bEventInitializeVSS as requested by James

17Mar10
- Reduce compiler warnings on Windows build

16Mar10
- Add doc + make some compat subroutines static
- Fix Win64 build
- Correct mkdir in installer
- System State plugin update

14Mar10
- Allow users to build bat without static QT if desired.
- Add bat=no make option on Win32
- Fix for qt mkspecs location on Fedora 12.
- Second plugin patch
- System State plugin first cut

12Mar10
- syntax fix, test improved, empty results fixed
- Add read_vol_list mutex to lockmgr prio
- Fix #1527 about deadlock during migration
- When including term.h we don't need prototypes for tgetent, tgetnum and
  tgetstr as they are defined in term.h on Solaris.

10Mar10
- Another fix for OpenSSLv1
- Add -lrt to Solaris links

09Mar10
- Fix tls.c for OpenSSLv1
- Add plugin Exclude interface

08Mar10
- Add TODO in bvfs
- Fix #1511 when trying to insert more than 50.000 directories in bvfs
- Fix plugin load not to stop if one plugin bad -- pointed out by James

07Mar10
- Add Base and Copy to ua_dotcmds.c for Levels and Types for bat
- More devlock work
- Remove --without-qwt from configure statement.
- First cut new device lock code
- Fix bug in bvfs_update function, should work much better now
- Uses a dedicated connection when running bvfs_update command
- Add first cut at Win32 bpipe

06Mar10
- Switch from termlib to ncurses
- Second correct fix to bug #1524 verify fails after adding or removing files
- Fix bug #1524 verify fails after adding or removing files
- Fix bug 1523.
- Apply fix suggested by Andreas in bug #1502 for mediaview column sort problem
- Lets not generate the ingres code automatically when the .sc or .sh files
  changes as it seems these files get outdated on some systems and then this
  rule kicks in on systems that don't have the esqlcc ingres compiler installed.

04Mar10
- Fix CentOS detection in regression get-os script

06Mar10
- Cread subroutines to add exclusion for plugins

05Mar10
- This adds sql debugging to these classes that Eric wrote.
- This is a 1/2 fix of the issue. It allows for the sorting of the two non
  graphic columns, but still does not allow for sorting the graphic columns.
  The issue is with last. By setting the sort value, you are setting the value
  on the last. To experiment with what I mean, use the set background that I
  have commented out in this commit.

04Mar10
- Create AddExclude entry point for plugins

03Mar10
- Lets generate ingres code by calling esqlcc and not esqlc as we want c++
  code. Replaced some strncpy by bstrncpy calls. Add dependency in Makefile of
  generated code on it source file.
- Another file to add James' code to get VssObject
- Add James' code to get VssObject
- Fix OpenSSL 1.x problem in crypto.c on Fedora 12
- Display AllowCompress warning message only if compression used in FileSet

01Mar10
- Added comment on dbi backend needing a recent version of libdbi from CVS as
  the version currently released 0.8.3 wont work for compiling the code.
- Add Warning check to SQL
- Fix readline to use TERM_LIB found for conio

27Feb10
- Move bacula shared objects in separate bacula-libs package.
- Fix for termcap lib on suse.

26Feb10
- Fix for shared objects name convention change.
- Pass jcr to VSS class + minor clean up of VSS code
- update date

25Feb10
- Fix compile link flags for gigaslam
- Add missing defines for gccver.

24Feb10
- bconsole: make problem in director selection fatal (exit=1)

23Feb10
- Undelete bat help files
- Use db_socket parameter in make_catalog_backup_.pl script
- Add skeleton of system state plugin
- Ensure SD asks for help when looping even if poll set. Fixes bug #1513

22Feb10
- Fix compiler warnings in tools directory
- Temp remove savecwd to make Win32 build

21Feb10
- Fix three-pool regress bug
- Replace MIN by code as recommended by Marco to avoid compiler warning
- Add Fedora 11 and 12 build tags.
- Make script more portable

20Feb10
- Forgot one exit.
- Fixes for client only build.
- Fix seg fault in dup jobs regression test
- Remove duplicate.
- Possible fix for FreeBSD three-pool regress failure
- Remove mysql version variable.
- Enable readline support.
- Added patch from Stefan Reddig -- improved ingres db test
- Added patch from Stefan Reddig -- added some checks, db test prog
- bug report 1505
- This version fixes an issue where the console window would start out not
  docked. It is fixed by initiating the variables in the Pages class with a
  constructor.

19Feb10
- fix bvfs that displays NULL from time to time
- Add comments about lock priority
- Fix make_catalog_backup.pl fails when catalog db is on other host

18Feb10
- Discard prev regress test results
- Make set_jcr_sd_job_status static

17Feb10
- Apply MacOSX installer patch from bug #1509
- Add debug code for FreeBSD regress failures
- Reduce debug output

16Feb10
- Regress test Branch-5.0 prior to release
- Add more debug for three-pool regress failure
- Make dup jobs regress test work
- Eliminate error message in regress setup if get not present
- Avoid error message if git not installed

15Feb10
- Apply fix to previous fix of Copy problem. Fix proposed by reporter of bug
  #1476
- Set default Allow Duplicate Jobs = yes
- Better cancel + fix Allow Dups code
- Remove all bacula.spec.in

14Feb10
- Fix duplicate job bug
- Fix infinite wait on error when restore started
- Make undocking work
- Add check for sqlite3_threadsafe() in configure
- Add function to extract resource from config file
- First cut cd to dir during save and restore
- Add debug to testls

13Feb10
- Updates for 5.0.1.
- Clean up termcap requirements.
- Add dependency information.
- Changes to run bat as nonroot user.
- Refix version.
- Fix client only build.
- Add code to check and prevent setting StorageId to zero

12Feb10
- Lets call the Ingres version of the tables also version 12 as it already has
  all the new tables introduced in version 12 on the other backends.
- First cut at fixing AllowDuplicateJobs bugs
- Fix bug #1501 -t does not print errors
- Add more doc in sample-query.sql

11Feb10
- Apply SQLite3 update fix from bug #1497
- Apply bashism fix for diskchanger.in script from bug #1499
- Apply Philipp Storz fix on bconsole history file
- Apply rpm fix for Sci Linux from bug #1494
- Update po files
- Take most recent Ukranian po from bug #1448
- Fix pages not in focus

10Feb10
- Work around SQLite3 bug in bat submitted by Andreas Piesk a.piesk@gmx.net
- Move shared object numbers into version.h + use -release for libtool rather
  than -version-info
- Make mtx-changer errors clearer
- Check for existence of mtx-changer.conf in mtx-changer script

09Feb10
- Probable fix for Copy/Migration bug #1476
- Fix SQL that fails on SQLite3 in bat reported by Andreas Piesk a.piesk@gmx.net
- Add "bbatch -r" option to test database performance

08Feb10
- Make bsnprintf test program compile
- Add deadlock option to .die command
- Rename directory
- Reorganize spec files
- Fix bat bug that consumes connections + add braces on ifs + rename subroutines
- Fix compiling gigaslam.c whith $(CFLAGS) for OpenSuse Build service

01Feb10
- fixed segfault/reworked query execution

07Feb10
- Fix Mysql database upgrade.
- Fix bug #1488 -- create delivery_error() subroutine to avoid recursion and
  race conditions in messages.c
- Upgrade cats lib also to 5.1.0

06Feb10
- Fix missing console page in bat
- Move msg trace into subroutine
- Move bat help files into help subdirectory
- Add bat help files to Win64 installer
- Win -- add help files to installer + stop any running bacula-fd before
  install
- Fix bug #1481 -- bat consumes all console file descriptors
- Update date on win32 rc file

04Feb10
- Fix bug #1486 -- bat doesn't show any errors on command-line

03Feb10
- Correct .my.cnf umask in make_catalog_backup.pl

02Feb10
- Apply Philipp's fix for dbcheck use by make_catalog_backup.pl

01Feb10
- Free db_list when not used
- Fix seg fault in bscan from new comment field
- Implement new "purge volume action" command to trigg ActionOnPurge.
- Disable action_on_purge message in Storage
- Change db_get_media_ids() to use more MEDIA_DBR info in search
- Remove qmake-qt4 code so tht alternate qt4 build works. Fixes build problems
  in bug #1468
- Make configure.in changes recommended by Markus Elfring
- Patch from checks multple CNs when using TLS

31Jan10
- Commit spec+rpm build files from Scott

30Jan10
- Fix seg fault in SQlite driver

29Jan10
- - fixed the database/table scripts - db_user was missing - updated database
  schema - fixed missing statements in sql*.h - since there is a db_type for
  Ingres now, there have to be 5, not 4, members in the arrays - worked alot on
  myingres.c - queries seems to be working, but the first INSERT fails with a
  segfault
- Remove old bdb files + change DQUEUE to use dlist
- Change copyright date
- Document the empty query file

28Jan10
- Make versions of shared libs inline with the software version.
- Fix ActionOnPurge with a relabel command
- Remove file_index sequential check -- reported by Graham
- Enhance marking volume Used messages

27Jan10
- Disabled ActionOnPurge waiting for a fix
- Check pool memory size for truncate op

26Jan10
- Fix #1467 about ActionOnPurge with Devices having space
- Update bacula.spec with tips from Mory Henderson
- Add -D option to bconsole to choose between different directors

18Jan10
- Add comment= option to restore and run commands

26Jan10
- Fix #1466 about Bogus pruning message

25Jan10
- Fix make_catalog_backup.pl warning

Release version 5.0.3

03Aug10
- Fix Windows build
- Remove patches directory
- Fix compilation problem with zlib

02Aug10
- Remove comments field from tls-duplicate-job-test -- add back next database
  upgrade

01Aug10
- Make Win32 no filesystem change more explicit

31Jul10
- Update askdir.c to Branch-5.1
- Revert block.c to fix recycling
- More backport from Branch-5.1 to Branch-5.0
- Backport Branch-4.0 release to Branch-5.0
- Massive backport from Branch-5.1 to Branch-5.0 -- a bit more to do

29Jul10
- Remove some old files

28Jul10
- Fix #1606 about OpenSSLv1 detection using non-standard location
- Backport some 5.1 changes to 5.0

27Jul10
- Update the license template files

26Jul10
- Fix postgresql catalog creation when version is not on the first line

25Jul10
- More changes from GPLv2 to AGPLv3
- Fix some missed copyright changes
- Change license from GPLv2 to AGPLv3
- Define restore object stream

21Jul10
- Fix bug #1610 handle empty xattr values on Linux and xBSD.
- Really free free pool memory before sm_dump
- Garbage collect memory pool at end of job and before sm_dump
- Ignore STREAM_RESTORE_OBJECTS returned by SD to FD

19Jul10
- Add xattr seg fault protection suggested by Marco for bug #1610

17Jul10
- Add archlinux to os.m4

14Jul10
- More fixes for 32/64 bit problems in smartall
- Fix 32/64 bit problem in smartalloc dump routine

11Jul10
- Fix bad copy/paste in commit c88dccb88 prably a seg fault
- Fix .dump, .die, .exit when DEVELOPER turned off

10Jul10
- Add .dump and .exit commands for daemons

10May10
- Add .dump command

10Jul10
- Make SD automatically fix the Volume size in the Catalog when out of sync
- Add bigger print buffer for sm_dump

09Jul10
- Use Pmsg in smartall.c rather than printf for tracing Windows

11Jul10
- Update to master's bsnprintf.c

07Jul10
- Up maximum block size to 20M

04Jul10
- Add new tls-duplicate-job test

07Jul10
- Fix for TLS bugs #1568 and #1599

02Jul10
- Improve comm line error handling for TLS, may fix bug #1568 and #1599

03Jul10
- Remove Linux dependency (seq) in regress script

06May10
- Fix problem when sending Cancel event to plugin

01Jun10
- Update makefiles for new libtool revision
- Simplify libtool revision and use VERSION as default
- Simplify libtool revision

28May10
- Convert all Jmsg on the watchdog thread to Qmsg

20May10
- Do not use mtime with basejobs

02Jul10
- Fix SD crash due to mismatched lock/unlock in error condition

26Jun10
- Fix bug #1587 if you have clients with different catalogs configured, both
  catalogs contains all clients after a reload or restart of the dir
- Fix bug #1577 During migration: ERROR in block.c:950 Failed ASSERT: dev->is_open()
  by moving and commenting out the ASSERT()

23Jun10
- Skip HB kill in FD if HB thread terminated

21Jun10
- update windows defs

20Jun10
- Fix crash from unequal volume_lock/unlock calls
- Fix pruning for migration jobs and do some optimization
- Print TestName at beginning of dump

19Jun10
- Remove prototypes of removed prune queries.

18Jun10
- Adapt new prune code with old db_accurate_get_jobids()

17Jun10
- Remove bdb from configure
- update prune code

16Jun10
- Make new prune algo to work with backup

19Jun10
- Save any dumps during regression to dumps directory
- Update LICENSE
- Fix crash from rw_lock/unlock miss match

18Jun10
- Attempt to fix duplicate job kill seg fault
- Replace pthread_kill by my_thread_send_signal() in jcr.c
- fix #1595 about batch mode detection problem for postgresql with non standard
  install dir
- Fix accurate code
- Add TestName to gdb traceback

17Jun10
- Fix db_get_base_jobid()

14Jun10
- Fix #1594 about prune copy jobs

07Jun10
- Apply literal string fix in printf submitted by Luca Berra

03Jun10
- Fix bug #1582 Restore from multiple storage daemons breaks subsequent backups

01Jun10
- Fix segfault on "cancel jobid=" command
- Change libtool version

30May10
- Fix bug #1554 Windows installer doesn't honor /S flag

23Apr10
- Remove pool zap code that breaks 2drive-concurrent-test

28May10
- Fix #1571 and install libraries with 755 perms

27May10
- Fix bug #1581 ASSERTs in src/dird/jobq.c can never trigger

20May10
- Fix problem with BaseJob and Accurate FileSet options on client side

24May10
- Add more debug code for bactrace

23May10
- Fix for bug #1569 deadlock/crash in Dir

03May10
- Fix segfault when loading Plugins

04May10
- Fix #1567 about display of long volume names truncated during restore

02May10
- Added new bacula-libs package.

01May10
- Fix bug #1538 Start Scripts return incorrect value
- Fix bug #1564 init scripts not LSB compliant

28Apr10
- Fix File and Job Retention in show pool command

Release Version 5.0.2

27Apr10
- Add lmgr_is_locked() function to test if a thread own a mutex
- Probable fix for SD crash bug #1553

24Apr10
- Fix #1559 problem when restoring pruned jobs with a regexp
- Fix for bug #1560 bcopy cannot find Volume

23Apr10
- Remove comment field added in last patch
- Fix cancel crash bug #1551

21Apr10
- Check if sql backend is thread-safe

20Apr10
- Correct Pool display in SD status. Fixes bug #1541

19Apr10
- Fix cancel crash reported by Stephen Thompson

18Apr10
- Rewind on close to fix #1549

16Apr10
- Remove closelog() in bpipe fixes bug #1536
- Fix #1517 about missing Base level in .level command

08Apr10
- fix grant_postgresql_privileges doesn t grant permissions on jobhisto_jobid_seq

07Apr10
- Add lock position info to volume manager
- Permits to use lock manager with file/line from outside

03Apr10
- Replace ASSERT in block.c with fail Job
- Use uint32_t for max_concurrent_jobs

29Mar10
- Use file and line for rwlock and lmgr in db_lock()
- Add File and Line info to rw_lock for lmgr

27Mar10
- Fix database locking calling db_lock and returning from function without
  calling db_unlock.

26Mar10
- Add missing db_unlock to bvfs_update_cache.

22Mar10
- Fix #1532 about permission on binaries

14Mar10
- Allow users to build bat without static QT if desired.
- Fix for qt mkspecs location on Fedora 12.

12Mar10
- Fix #1527 about deadlock during migration

10Mar10
- Another fix for OpenSSLv1
- Add -lrt to Solaris links

09Mar10
- Fix tls.c for OpenSSLv1

08Mar10
- Fix #1511 when trying to insert more than 50.000 directories in bvfs
- Fix plugin load not to stop if one plugin bad -- pointed out by James

07Mar10
- Remove --without-qwt from configure statement.
- Fix bug in bvfs_update function, should work much better now

06Mar10
- Second correct fix to bug #1524 verify fails after adding or removing files
- Fix bug #1524 verify fails after adding or removing files
- Fix bug 1523.
- Apply fix suggested by Andreas in bug #1502 for mediaview column sort problem
- Lets not generate the ingres code automatically when the .sc or .sh files
  changes as it seems these files get outdated on some systems and then this
  rule kicks in on systems that don't have the esqlcc ingres compiler installed.
- Fix CentOS detection in regression get-os script

05Mar10
- Create subroutines to add exclusion for plugins
- This adds sql debugging to these classes that Eric wrote.
- This is a 1/2 fix of the issue. It allows for the sorting of the two non
  graphic columns, but still does not allow for sorting the graphic columns.
  The issue is with last. By setting the sort value, you are setting the value
  on the last. To experiment with what I mean, use the set background that I
  have commented out in this commit.

03Mar10
- Fix OpenSSL 1.x problem in crypto.c on Fedora 12
- Display AllowCompress warning message only if compression used in FileSet

01Mar10
- Added comment on dbi backend needing a recent version of libdbi from CVS as
  the version currently released 0.8.3 wont work for compiling the code.
- Add Warning check to SQL
- Fix readline to use TERM_LIB found for conio

27Feb10
- Move bacula shared objects in separate bacula-libs package.
- Fix for termcap lib on suse.

26Feb10
- Fix for shared objects name convention change.
- Remove mandrive and suse bacula.spec from configure

25Feb10
- Fix compile link flags for gigaslam
- Add missing defines for gccver.

Release Version 4.0.4

03Sep10
- Send back updated jobs status from FD
- Allow plugin to skip restore if problem
- Add comments to win32-systemstate-test
- Attempt to eliminate waiting on Storage message during restore
- Add quotes around resource name in status output
- Change FD protocol version to avoid error message when sending RestoreObjects
- Fix so .messages does not stop restore in bat (I think)


Release Version 4.0.3

31Aug10
- Fix bug #1633 Windows service is not removed if still running

30Aug10
- Make RestoreObject compatible with older FDs
- Apply #1624 properly
- Use VERSION for libtool library version
- Change branding to Bacula Enterprise
- Fix #1624 about segfault in dvd driver when calling rewind(NULL)
- Add registered trademark

17Aug10
- Correct rpm .spec for putting hostname and password in bat.conf


Release Version 4.0.2

12Aug10
- Fix batch insert detection on SLES 11

10Aug10
- Update Enterprise specs to work with 4.0

08Aug10
- Fix bug #1504 -- Error when creating tables in MySQL 5.5

02Aug10
- Allow sorting of MeditView table columns

01Aug10
- Make Win32 no filesystem change message more explicit

27Jul10
- Update the license template files

28Jul10
- Fix #1606 about OpenSSLv1 detection using non-standard location

Bug fixes
1504 1606


Release Version 4.0.1

26Jul10
- Fix pending_buf size calculation + malloc in big chunks
- Optimize mallocs in vssapi_registry.c
- Apply James' restore patch

25Jul10
- More changes from GPLv2 to AGPLv3
- Fix some missed copyright changes
- Bring plugin license up to new version

24Jul10
- Apply James' restore patch
- Call plugin bEventEndxxxJob even if Job canceled
- Check some plugin error conditions on restore to prevent seg fault
- Switch to AGPLv3

22Jul10
- Clear class buffer in operator new + add safe_free and correct some calls to
  use it
- Really free free pool memory before sm_dump
- Garbage collect memory pool at end of job and before sm_dump
- Ignore STREAM_RESTORE_OBJECTS returned by SD to FD
- Implement %f %b to get JobFiles, JobBytes in a RunScript
- Fix some windows plugin crashes

20Jul10
- Add exclude code + fix a few orphaned buffers

19Jul10
- Fix malloc of wrong size causing buffer overrun on restore with Windows
  plugins
- Fix free of unallocated buffer in win plugin code
- Add debug info to smartall.c for buffer overrun
- Add xattr seg fault protection suggested by Marco for bug #1610

18Jul10
- Add archlinux to os.m4
- Apply James' job_canceled fix

17Jul10
- Add some of James' comments
- Merge with previous KES changes
- Apply James' leaks patch
- Make VSS snapshot failures fatal
- Fix Win FD crash at termination
- Orphaned buffer fixes
- Fix 64 bit p_CreateVssExamineWriterMetadata entrypoint
- Apply James' backup orphaned buffer patch
- Modify win32 config to handle James new vss plugin
- Fix min compile problem + package vss-fd.dll instead of systemstate
- First cut merging James

14Jul10
- More fixes for 32/64 bit problems in smartall
- Fix 32/64 bit problem in smartalloc dump routine

13Jul10
- Make plugins ignore new event item
- Put all Windows plugin code on non-zero debug level
- Add bEventVssBeforeCloseRestore per James

11Jul10
- Fix .dump, .die, .exit when DEVELOPER turned off
- First cut systems state plugin cancel + release some of orphaned buffers
- Add bigger print buffer for sm_dump
- Add .dump and .exit commands for daemons
- Use Pmsg in smartall.c rather than printf for tracing Windows

09Jul10
- Add .dump command
- Permit using sm_dump in Windows plugins

08Jul10
- Add a make for winbmr directory

Bug fixes
1610

Release Version 4.0.0

07Jul10
- Fix for TLS bugs #1568 and #1599
- Add new tls-duplicate-job test
- Improve comm line error handling for TLS, may fix bug #1568 and #1599

06Jul10
- Make Windows binaries follow similar naming convention to source release
- Correct some of the Win64 compiler warnings
- Fix Win32 systemstate crash (hopefully)

03Jul10
- Remove Linux dependency (seq) in regress script

02Jul10
- Do not use mtime with basejobs
- Fix SD crash due to mismatched lock/unlock in error condition

29Jun10
- Use send_restore_object() when using plugin

26Jun10
- Fix bug #1587 if you have clients with different catalogs configured, both
  catalogs contains all clients after a reload or restart of the dir
- Fix bug #1577 During migration: ERROR in block.c:950 Failed ASSERT: dev->is_open()
  by moving and commenting out the ASSERT()

Release Version 4.0.0-RC3

19Jun10
- Move some AC_MSG_RESULT macros around so the configure output looks somewhat
  cleaner.
- Save any dumps during regression to dumps directory
- Fix crash from rw_lock/unlock miss match
- Attempt to fix duplicate job kill seg fault
- Replace pthread_kill by my_thread_send_signal() in jcr.c
- Add systemstate plugin in windows installer

18Jun10
- Fix postgresql error in grant script
- fix #1595 about batch mode detection problem for postgresql with non standard
  install dir
- Fix accurate code

17Jun10
- Fix db_get_base_jobid()

16Jun10
- Fix Solaris zlib link bug reported by Robert Garza
- Improve the "update stats" sql command
- Improve performance for MySQL with update stats command

14Jun10
- Fix #1594 about prune copy jobs
- Fix restore object compression flag -- James

11Jun10
- Add BDB_VERSION for scripts + prepare update 11 to 12 + automate BDB_VERSION
  checking

07Jun10
- Fix bug #1582 Restore from multiple storage daemons breaks subsequent backups
- Fix #1567 about display of long volume names truncated during restore
- Fix for bug #1569 deadlock/crash in Dir
- Apply literal string fix in printf submitted by Luca Berra

03Jun10
- Fix bug #1582 Restore from multiple storage daemons breaks subsequent backups

01Jun10
- Fix segfault on "cancel jobid=" command

30May10
- Fix bug #1554 Windows installer doesn't honor /S flag

28May10
- Fix #1571 and install libraries with 755 perms

27May10
- Fix bug #1581 ASSERTs in src/dird/jobq.c can never trigger
- Fix segfault in action on purge test
- Fix problem with BaseJob and Accurate FileSet options on client side

12May10
- Adjusted path handling to make 'where' work. 'where' is basically ignored. a
  'regexwhere' that affects plugin paths will probably still break things

11May10
- Don't activate plugin on restore if no RestoreObjects have been seen
- Move "Including VSS Writer ..." so it only appears once

10May10
- memory leak fixes
- make tocharstring() report line and file correctly for sm_alloc
- use free instead of delete to free memory allocated with wcsdup remove DOS
  EOLs
- Free some memory allocated in find_filespec
- plugin: Use smartalloc in find_filespec
- update find_filespec to allocate it's own memory and not retain any pointers
  from the caller

08May10
- remove GUID from the writer 'directory' name. Rely on the name of the instance_{GUID}
  dummy file instead
- add some deletes back in now that find_filespec does the expected
- Clean some stale code and superfluous debugging output
- forgot to mark file as seen when it is seen but not newer
- mark instance_{GUID} files as seen for incremental backups
- plugin: replace new/delete/malloc/free by smartalloc

07May10
- Remove bdb from cat makefile

06May10
- Fix problem when sending Cancel event to plugin
- Update plugin from James
- Implement bEventPluginCommand event for systemstate plugin
- MySQL compilation fix

05May10
- plugin: use smartalloc
- fix compilation for 64bit version

Release Version 4.0.0-RC1

04May10
- Fix xml_name in plugin

03May10
- Fix case order in vss_writer to resolve crash at the end of the writer
  backup
- Fix segfault when loading Plugins

01May10
- Fix insertion of RestoreObject
- Fix RestoreObject schema on PostgreSQL
- Use lwps cmd in dbx and no threads as it seems to give some strange side
  effects e.g. doesn't work and lwps seems to always work. So lwps it is
  then.
- Do some work on the btraceback on Solaris, we test to see what debugger is
  available and we prefer the debuggers in this order: dbx, gdb, mdb. Also
  enchanced the dbx bactrace somewhat that it always dumps all available
  threads (e.g. we also changed from lwp to threads for dbx). We also print
  some variables that the gdb script also dumps on a bactrace. Hopefully we get
  some better dumps using this. The mdb is used as a last resort as it should
  be always installed on a Solaris box (dbx and gdb may not) but at the moment
  I'm still trying to find out how to get some more understandable dumps from
  mdb as its rather rudimentary and more a crash debugger then a source code
  debugger.
- Remove RestoreObjects when pruning Jobs
- Fix File and Job Retention in show pool command
- Add Polish translation. This translation project is sponsored by Inteos Sp. z
  o.o. based in Warsaw, PL.
- Fix bug #1538 Start Scripts return incorrect value
- Fix bug #1564 init scripts not LSB compliant

28Apr10
- Patch from Martin to avoid error when single tape used

27Apr10
- Add lmgr_is_locked() function to test if a thread own a mutex
- Add new file I missed from James' plugin patch
- Probable fix for SD crash bug #1553

26Apr10
- Fix #1558 about bscan that doesn't update PurgedFiles on Job records
- Fix #1559 problem when restoring pruned jobs with a regexp

24Apr10
- Fix for bug #1560 bcopy cannot find Volume

23Apr10
- Add compress/decompress of Object Record data
- Remove pool zap code that breaks 2drive-concurrent-test
- Fix cancel crash bug #1551

21Apr10
- Fix job_metadata name problem
- Backport regress from Branch-5.0 and master
- Check if sql backend is thread-safe
- Update DartConfiguration
- Add lock position info to volume manager
- Backport lockmgr.h
- Backport bbatch.c changes
- Add install of mdb script
- add mdb traceback + remove cats/bdb
- Pull master changes

20Apr10
- Big backport from master
- Correct Pool display in SD status. Fixes bug #1541

05Apr10
- Fix compiler warning

03Apr10
- Replace ASSERT in block.c with fail Job
- Use uint32_t for max_concurrent_jobs

29Mar10
- Use file and line for rwlock and lmgr in db_lock()
- Add File and Line info to rw_lock for lmgr

27Mar10
- Fix database locking calling db_lock and returning from function without
  calling db_unlock.

26Mar10
- Add missing db_unlock to bvfs_update_cache.
- Fix array dimensions due to adding Ingres to certain sql arrays.

22Mar10
- Update configure
- Fix #1532 about permission on binaries

14Mar10
- Allow users to build bat without static QT if desired.
- Fix for qt mkspecs location on Fedora 12.

12Mar10
- Run ingres template code through esqlcc.
- another small fix
- syntax fix, test improved, empty results fixed
- Fix #1527 about deadlock during migration

10Mar10
- Another fix for OpenSSLv1
- Add -lrt to Solaris links

09Mar10
- Fix tls.c for OpenSSLv1

08Mar10
- Fix #1511 when trying to insert more than 50.000 directories in bvfs
- Fix plugin load not to stop if one plugin bad -- pointed out by James

07Mar10
- Remove --without-qwt from configure statement.
- Fix bug in bvfs_update function, should work much better now

06Mar10
- Second correct fix to bug #1524 verify fails after adding or removing files
